GNU bug report logs - #55227
[PATCH core-updates 0/8] The Full Source Bootstrap

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Severity: important; Reported by: "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN>; Keywords: patch; dated Mon, 2 May 2022 18:22:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 22 May 2022 04:42:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 22 00:42:33 2022
Received: from localhost ([127.0.0.1]:43424 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nsdQA-0006W5-MP
	for submit <at> debbugs.gnu.org; Sun, 22 May 2022 00:42:32 -0400
Received: from mail-qt1-f174.google.com ([209.85.160.174]:39856)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nsdQ6-0006Vq-Rr
 for 55227 <at> debbugs.gnu.org; Sun, 22 May 2022 00:42:25 -0400
Received: by mail-qt1-f174.google.com with SMTP id x7so7403029qta.6
 for <55227 <at> debbugs.gnu.org>; Sat, 21 May 2022 21:42:22 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=Wb8LFbo02NWPSmiiDTkxp+I/GHG2LeeiDDqMVwGq7C4=;
 b=PC9y0r6EANtyDy1/951BBrkabeb/UJ2GaZA81SSR3cv+YvIbME+cdQjBqdVvlMn+wW
 N7C7EJHnljyx7AiDnB/FljYEia6AnpNwt26tBC4UpwrL1hnozBSJc6tyUKv9Dakmlz5K
 F/GS0rXbIHk0VcOMOnvamZjFo6LUKATU1OAzyAnpLeN+/LtdRDg1XM4N2ab7Z2ek/4Vs
 ouKwAtpW3cymIY28CHCYU8onJhu9Ky//FaBfWy11fi6kmjPpHjonRYC87pAmltgmH1yI
 J7nDJcQbDgWLpBxg3xWjpwjgg/EZD0e8/RAZ5sHyf+/NjNZwjkZkjIDG+sj0W8ezUdTB
 VU+g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=Wb8LFbo02NWPSmiiDTkxp+I/GHG2LeeiDDqMVwGq7C4=;
 b=ysaSK3/GppIQ6Bynj9RrlovGdymYI1pWkti3uVbQQjzxxdST+h7zT5oLJfbZgVT7eh
 mNPXD3Js7F0ckAOjyjb19U/juvyBhTObrdH+sEIKwnVSFQczcE3Y5NvqXmq9a0l5fLBt
 9HkaTELumst1qw8092XrQfiQrpdU3BEcPiY7NciO4BhX8pUHqvE7QFNSrMUoMuqJ9YA4
 eDYxjiFkp4DW96QKrBNeBD/OyvHzOURRHqV0QfbY3OaTnvBks0FC4eRNzaEnvOzVdn5w
 jn8eAm0jGbpeAtRaLcBjKdDR2GY86vNx6B0J0BGM7kmTAO8XOI3acFQ7wpMs35C1SSK7
 FeAA==
X-Gm-Message-State: AOAM531HJosBil6PPQP9HHzrFbKUh1lpFs0LPATm3ddO26DMtmXmViST
 CdqDdOP1RzPtSZ7nSeLFIBURLqn535t9/zQm
X-Google-Smtp-Source: ABdhPJzUKplDzp/fCnDuvg9grKssGSOi4GnjmC4LVqNoxRmKeLns5vsxJVqG8UN0XS5BGal1+cKfeg==
X-Received: by 2002:a05:622a:64e:b0:2f3:f4a2:f3cb with SMTP id
 a14-20020a05622a064e00b002f3f4a2f3cbmr12698060qtb.626.1653194537207; 
 Sat, 21 May 2022 21:42:17 -0700 (PDT)
Received: from hurd (dsl-152-80.b2b2c.ca. [66.158.152.80])
 by smtp.gmail.com with ESMTPSA id
 x8-20020ac87a88000000b002f39b99f688sm2198771qtr.34.2022.05.21.21.42.16
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 21 May 2022 21:42:16 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN>
Subject: Re: [bug#55227] [PATCH core-updates 1/8] commencement: Add
 bootstrap-seeds.
References: <20220502182105.32068-1-janneke@HIDDEN>
 <20220502182434.32130-1-janneke@HIDDEN>
Date: Sun, 22 May 2022 00:42:15 -0400
In-Reply-To: <20220502182434.32130-1-janneke@HIDDEN> (Jan Nieuwenhuizen's
 message of "Mon, 2 May 2022 20:24:27 +0200")
Message-ID: <877d6e6uvs.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55227
Cc: 55227 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Jan,

"Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN> writes:

> * gnu/packages/commencement.scm (bootstrap-seeds): New variable.
> ---
>  gnu/packages/commencement.scm | 42 ++++++++++++++++++++++++++++++++++-
>  1 file changed, 41 insertions(+), 1 deletion(-)
>
> diff --git a/gnu/packages/commencement.scm b/gnu/packages/commencement.scm
> index 9d6ed5fd08..663ffacd56 100644
> --- a/gnu/packages/commencement.scm
> +++ b/gnu/packages/commencement.scm
> @@ -5,7 +5,7 @@
>  ;;; Copyright =C2=A9 2014, 2015, 2017 Mark H Weaver <mhw@HIDDEN>
>  ;;; Copyright =C2=A9 2017, 2018, 2019, 2021, 2022 Efraim Flashner <efrai=
m@HIDDEN>
>  ;;; Copyright =C2=A9 2018 Tobias Geerinckx-Rice <me@HIDDEN>
> -;;; Copyright =C2=A9 2018, 2019, 2020 Jan (janneke) Nieuwenhuizen <janne=
ke@HIDDEN>
> +;;; Copyright =C2=A9 2018, 2019, 2020, 2021 Jan (janneke) Nieuwenhuizen =
<janneke@HIDDEN>
>  ;;; Copyright =C2=A9 2019, 2020, 2021 Marius Bakke <marius@HIDDEN>
>  ;;; Copyright =C2=A9 2020, 2022 Timothy Sample <samplet@HIDDEN>
>  ;;; Copyright =C2=A9 2020 Guy Fleury Iteriteka <gfleury@HIDDEN>
> @@ -266,6 +266,46 @@ (define (%boot-gash-inputs)
>      ("bootar" ,bootar)
>      ("guile" ,%bootstrap-guile)))
>=20=20
> +(define bootstrap-seeds
> +  (package
> +    (name "bootstrap-seeds")
> +    (version "1.0.0")
> +    (source
> +     (bootstrap-origin
> +      (origin
> +        (method url-fetch)
> +        (uri (string-append
> +              "https://lilypond.org/janneke/guix/20220501/"
> +              "bootstrap-seeds-" version ".tar.gz"))

It'd be best to put the bootstrap binaries on the GNU FTP; we already
have a directory here: https://ftp.gnu.org/gnu/guix/bootstrap/.  I can
assist with that if you need.

> +        (sha256
> +         (base32
> +          "0scz2bx8fd8c821h6y1j3x6ywgxxns7iinyn9z32dnkiacfdcpfn")))))
> +    (native-inputs `(("bootar" ,bootar)))
> +    (build-system trivial-build-system)
> +    (arguments
> +     `(#:guile ,%bootstrap-guile
> +       #:modules ((guix build utils))
> +       #:builder
> +       (begin
> +         (use-modules (guix build utils))
> +         (let ((source (assoc-ref %build-inputs "source"))
> +               (tar (assoc-ref %build-inputs "bootar"))
> +               (out (assoc-ref %outputs "out")))
> +           (setenv "PATH" (string-append tar "/bin:"))
> +           (invoke "tar" "xvf" source)
> +           (mkdir-p out)
> +           (copy-recursively "bootstrap-seeds" out)
> +           #t))))

We no longer need to add #t to build phases, so you can omit it here
too.

> +    (home-page "https://github.com/oriansj/bootstrap-seeds")
> +    (synopsis "The initial bootstrap seeds: 357-byte hex0 and kaem shell=
")
> +    (description
> +     "A prebuilt version of the initial bootstrap seeds.  It contains a
> +hex0-seed and an optional kaem-minimal shell.  The size of the hex0 seed=
s are
> +for knight: 250 bytes, x86-linux:(357 bytes, x86_64-linux: 431 bytes, and

What does "for knight" mean here?  Is there an architecture called
"knight"?  You could use a @table here with the arch as first column and
size as second column.

Hope that helps,

Maxim




Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 16 May 2022 05:17:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 16 01:17:15 2022
Received: from localhost ([127.0.0.1]:51388 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nqT6Y-0004NP-QX
	for submit <at> debbugs.gnu.org; Mon, 16 May 2022 01:17:15 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45704)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1nqT6X-0004NB-7d
 for 55227 <at> debbugs.gnu.org; Mon, 16 May 2022 01:17:13 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35722)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1nqT6Q-0004xF-5N; Mon, 16 May 2022 01:17:07 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=7Pkz1s1oRTi7+6jQfYFXP+YlfgKmCAHhzqWu8VmNNzI=; b=LHURtrs+ixl0+g0a6rRT
 8ROfiy3ZJt9zZ+z43fb9wn3IZ40+8oT1dyFeIvggX5gvyv7KLERXIY09hz1fRxdNdFJODO6Cyb59g
 1AkJgavf5fiamS04cn/GNO+/NIwBLiCAiXb3a1kKYANHdD0BEtZdts/BHcGrf5CLAKX/gPPocQXBp
 vGNCZiglgRAvar39ubHQVxmvR+TS0XQudx2IX7QhGVu6HD2WztbutSRcXFm9naExtWxtcUJup2pUL
 jvkUOo5GpIOuVj75WYjg7uvPUtz1CJsfdky3QARw/AEsRUpzUL/u3ulcAoA5UCyd4BaTrSkHV/lyR
 bPjPajREtdhCPQ==;
Received: from 2a02-a462-da03-1-cf41-23bd-7156-6a6c.fixed6.kpn.net
 ([2a02:a462:da03:1:cf41:23bd:7156:6a6c]:41682
 helo=drakenpad.janneke.lilypond.org)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1nqT6P-0003b0-20; Mon, 16 May 2022 01:17:05 -0400
From: Jan Nieuwenhuizen <janneke@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: [bug#55227] [PATCH core-updates 0/8] The Full Source Bootstrap
Organization: AvatarAcademy.nl
References: <20220502182105.32068-1-janneke@HIDDEN> <87pmkejcpc.fsf@HIDDEN>
X-Url: http://AvatarAcademy.nl
Date: Mon, 16 May 2022 07:17:01 +0200
In-Reply-To: <87pmkejcpc.fsf@HIDDEN> (Maxim Cournoyer's message of "Mon, 16
 May 2022 00:58:23 -0400")
Message-ID: <87czgeys36.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55227
Cc: 55227 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Maxim Cournoyer writes:

Hello Maxim,

> "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN> writes:
>
>> About a year ago we cheered something like:  WE DID IT!!!
[..]
>>   commencement: Add bootstrap-seeds.
>>   commencement: Add stage0-posix.
>>   commencement: mes-boot: Update to 0.24, build with M2-Planet.
>>   commencement: tcc-boot0: Use NYACC-1.00.2.
>>   commencement: tcc-boot0: Update to 0.9.26-1136-g0fbeb2dd.
>>   bootstrap: Remove %bootstrap-mescc-tools, %bootstrap-mes.
>>   commencement: Remove %bootstrap-mes-rewired.
>>   doc: Add the "Full Source Bootstrap".
>
> Woohoo!  Thank you for dedicating lots of your energy to this noble
> cause! :-) I'll try to enjoy the finer details when I have a chance
> but... a blog post could be nice to shine a light on this amazing
> achievement!

Thanks for your appreciation, that means a lot to me!  It's been quite
some work and also a lot of fun, most of the time ;).  And it feels very
good when the work is so welcomed.  I am grateful for having the
opportunity to work on this, and Guix makes it so easy!

There will definately be a blog-post; I have already started to work on
it.  I think it's probably best to time it after core-utils has been
merged into master, when "guix pull; guix system init .." actually
installs a system built from 357 bytes.

> Thank you, and happy continuation!

Very welcome, thanks,
Janneke

--=20
Jan Nieuwenhuizen <janneke@HIDDEN>  | GNU LilyPond https://lilypond.org
Freelance IT https://JoyOfSource.com | Avatar=C2=AE https://AvatarAcademy.c=
om




Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 16 May 2022 04:58:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 16 00:58:31 2022
Received: from localhost ([127.0.0.1]:51370 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nqSoR-0003jx-D9
	for submit <at> debbugs.gnu.org; Mon, 16 May 2022 00:58:31 -0400
Received: from mail-qt1-f169.google.com ([209.85.160.169]:42931)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nqSoP-0003jk-Pe
 for 55227 <at> debbugs.gnu.org; Mon, 16 May 2022 00:58:30 -0400
Received: by mail-qt1-f169.google.com with SMTP id t16so11313535qtr.9
 for <55227 <at> debbugs.gnu.org>; Sun, 15 May 2022 21:58:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=eM5iMEm3wtCONxlV4VATloQchVPW/7eYXo0NFjtNrA0=;
 b=eTK7ogIMW2jXWVzLcWlhazUDhw1EIReC3LaDSrHEJIlSiaJBkQ0tl7E1uyjvZimaaM
 Cypgid6z/rD318yRZsK2eW95U8f52e0t6FM2g5uFa/iOW855LCibzJfTUH45+3m2FxIk
 6z19M18pUunSYZqWj9AkxA+sWJeDZRifzm+wW8Od6WnOo4i9d6XltrgpDkoQ9R2yrj0M
 TiGO58pNXW4ibRl+lHVAkUV295QFLgcCnxUKuH6U0EM8YqL2/4lQPcO3Zmn2rkFjehWf
 zCZ6L3g3MKZiyacpOOsBj84cFiHrpaLt34/qcB3fb7U560BgmhubZONjo4QTyT5UJd8R
 NBoA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=eM5iMEm3wtCONxlV4VATloQchVPW/7eYXo0NFjtNrA0=;
 b=gKgP+0xL110salWc/GgkUChu5OXnn355JNwRzwwRdbJ4SxkwlM7tPBBz4gtdTKGeaP
 YTkQe3ax8CZctFrX1pI6sVcu7iD/ZqdDYVgbzUffCLReVDkQM3N5XVUfjQSU50+WvARK
 p8jRoxe/RVDy9B9r6DWP8ssSPSOqClfDgTk/zeZf3+n1i0PRpGPrAgocndSYPaj5N6BD
 3Df5irEck5M6UHhuqOJ60IE5V6BT6HcNWTMS1wZH+L8ojUTzrRbUPcum75PQcdMc10y1
 BC8qHkLffNd18KOzeuv5pCW5nS5b1F7BDp5PagSbAhWrdW5qDNNbGtdFWV9ITFb65wA+
 g1sw==
X-Gm-Message-State: AOAM530MGmAvYOaOQmwzo7UhllCJ+yhifpxOj6HvnBpKiO7xBDFSUOzA
 sJM4jbSJi16CxXodz2QlM9BxXMX5YRG4yg==
X-Google-Smtp-Source: ABdhPJwRfzNwtIBf+zCNA1F14MlV9Az33IjIuhrzwah6KbM0/weoBVfik4ya+zrcjEksoGSfkdPHcA==
X-Received: by 2002:ac8:5b95:0:b0:2f3:d1f8:bbbf with SMTP id
 a21-20020ac85b95000000b002f3d1f8bbbfmr13658642qta.344.1652677104203; 
 Sun, 15 May 2022 21:58:24 -0700 (PDT)
Received: from hurd (dsl-10-136-209.b2b2c.ca. [72.10.136.209])
 by smtp.gmail.com with ESMTPSA id
 g1-20020a379d01000000b006a05a6243d5sm5263893qke.13.2022.05.15.21.58.23
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 15 May 2022 21:58:23 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN>
Subject: Re: [bug#55227] [PATCH core-updates 0/8] The Full Source Bootstrap
References: <20220502182105.32068-1-janneke@HIDDEN>
Date: Mon, 16 May 2022 00:58:23 -0400
In-Reply-To: <20220502182105.32068-1-janneke@HIDDEN> (Jan Nieuwenhuizen's
 message of "Mon, 2 May 2022 20:21:05 +0200")
Message-ID: <87pmkejcpc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55227
Cc: 55227 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Jan,

"Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN> writes:

> About a year ago we cheered something like:  WE DID IT!!!
>
> Today I am very excited to finally have released GNU Mes 0.24 which supports
> the Full Source Bootstrap.  So we did what?  As Carl Dong once so eloquently
> put it
>
>    The holy grail of bootstrappability will be connecting mes to hex0
>
> which is exactly what this patch series brings.
>
> Starting from an 357-byte hex0 provided by the new bootstrap-seeds package,
> the new stage0-posix package builds hex0, kaem, hex1, catm, hex2, M0, cc_x86,
> M1, M2, get_machine, (mescc-tools), and M2-Planet.  The 0.24 release of Mes
> can now be built using this M2-Planet.
>
> This means that the bootstrap binaries that were added as part of the Reduced
> Binary Seed Bootstrap (see
> https://guix.gnu.org/blog/2020/guix-further-reduces-bootstrap-seed-to-25):
> %bootstrap-mescc-tools, %bootstrap-mes, are now removed again.
>
> Greetings,
> Janneke
>
>
> Jan (janneke) Nieuwenhuizen (8):
>   commencement: Add bootstrap-seeds.
>   commencement: Add stage0-posix.
>   commencement: mes-boot: Update to 0.24, build with M2-Planet.
>   commencement: tcc-boot0: Use NYACC-1.00.2.
>   commencement: tcc-boot0: Update to 0.9.26-1136-g0fbeb2dd.
>   bootstrap: Remove %bootstrap-mescc-tools, %bootstrap-mes.
>   commencement: Remove %bootstrap-mes-rewired.
>   doc: Add the "Full Source Bootstrap".

Woohoo!  Thank you for dedicating lots of your energy to this noble
cause! :-) I'll try to enjoy the finer details when I have a chance
but... a blog post could be nice to shine a light on this amazing
achievement!

Thank you, and happy continuation!

Maxim




Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 15 May 2022 06:31:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 02:31:35 2022
Received: from localhost ([127.0.0.1]:48414 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq7mq-0006TF-NM
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 02:31:35 -0400
Received: from eggs.gnu.org ([209.51.188.92]:34076)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1nq7mp-0006T3-1m
 for 55227 <at> debbugs.gnu.org; Sun, 15 May 2022 02:31:27 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43514)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1nq7mi-0005c1-QD; Sun, 15 May 2022 02:31:20 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=IjO/tKAPt2P6SwZqgZTlRSDL7CLXO/qHxLN2I5FTeB0=; b=NVJMBezbFEw121tMuyNN
 H+cSB/Qsaq+u/PnzRwGp3mBwyYYbLcYajiNzxOPU/xHvf55eIyodeRsRckqgDi6ChVmq/8Z6+plga
 6Ko+GbsJl8I0cGFoIayqLWVBynuwxcazSsVuj02amSZgnh5zHv1hkzGPMdFZzB95tfmsbasbS38Zh
 u9tNj9OXklOc+wrNnhGS1EaR3ZBGtFE/1xdLtkJNiJGQ6rzxIpiWjKLHfUk9HA499EXbIo1MZLJBx
 l4iCZSAfZW0jjlLrtdKcDaNsDbEWC5vehHRfm9XcZpFP+hWHwd7J6PeWqjIpG73KHz04emXn0cGiO
 M2fMN96FHiO1gQ==;
Received: from 2a02-a462-da03-1-cf41-23bd-7156-6a6c.fixed6.kpn.net
 ([2a02:a462:da03:1:cf41:23bd:7156:6a6c]:52784
 helo=drakenpad.janneke.lilypond.org)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1nq7mh-00086z-19; Sun, 15 May 2022 02:31:20 -0400
From: Jan Nieuwenhuizen <janneke@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#55227: [PATCH core-updates 0/8] The Full Source Bootstrap
Organization: AvatarAcademy.nl
References: <20220513153631.13052-1-janneke@HIDDEN>
 <20220513153631.13052-2-janneke@HIDDEN> <87a6bkgq9u.fsf_-_@HIDDEN>
X-Url: http://AvatarAcademy.nl
Date: Sun, 15 May 2022 08:31:15 +0200
In-Reply-To: <87a6bkgq9u.fsf_-_@HIDDEN> ("Ludovic =?utf-8?Q?Court=C3=A8s?=
 =?utf-8?Q?=22's?= message of "Sat, 14 May 2022 16:09:01 +0200")
Message-ID: <87tu9rqpcc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55227
Cc: 55227 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Ludovic Court=C3=A8s writes:

Hey

> "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN> skribis:
>
>> Stage0-posix is a skeleton for bootstrapping all of Stage0 for POSIX sys=
tems.
>> On x86-linux, from the 357-byte hex0-seed binary from the bootstrap-seed=
s, it
>> builds hex0, kaem, hex1, catm, hex2, M0, cc_x86, M1, M2,
>> get_machine, (mescc-tools), and M2-Planet.
>>
>> * gnu/packages/commencement.scm (stage0-posix): New variable.
>
> [...]
>
> We could get rid of the remaining (assoc-ref =E2=80=A6) expressions, alon=
g the
> lines of:
>
>   https://issues.guix.gnu.org/55227#12-lineno40

Ah yes.  I have pushed the patches below to wip-full-source-bootstrap,
WYDT?

Is there a way yet to change things like these:

      (native-inputs
       `(("bootstrap-seeds" ,bootstrap-seeds)
         ,@(%boot-gash-inputs)))

I didn't really find an example or way to do this.

Janneke


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline;
 filename=0001-gnu-commencement-bootstrap-seeds-Use-new-package-sty.patch

From 02874b2a43a6255c83d67d40c88742b2a4234c27 Mon Sep 17 00:00:00 2001
From: "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN>
Date: Sat, 14 May 2022 21:27:55 +0200
Subject: [PATCH 1/3] gnu: commencement: bootstrap-seeds: Use new package
 style.

* gnu/packages/commencement.scm (bootstrap-seeds)[arguments]: Also use gexps
for inputs and output.
---
 gnu/packages/commencement.scm | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/commencement.scm b/gnu/packages/commencement.scm
index 0390c43023..ffaa5f03de 100644
--- a/gnu/packages/commencement.scm
+++ b/gnu/packages/commencement.scm
@@ -289,9 +289,9 @@ (define bootstrap-seeds
            #:builder
            #~(begin
                (use-modules (guix build utils))
-               (let ((source (assoc-ref %build-inputs "source"))
-                     (tar (assoc-ref %build-inputs "bootar"))
-                     (out (assoc-ref %outputs "out")))
+               (let ((source #$(package-source this-package))
+                     (tar #$(this-package-native-input "bootar"))
+                     (out #$output))
                  (setenv "PATH" (string-append tar "/bin:"))
                  (invoke "tar" "xvf" source)
                  (mkdir-p out)
-- 
2.35.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline;
 filename=0002-gnu-commencement-stage0-posix-Use-new-package-style.patch

From f99f4a2257ceaf3b555e284d241d897da43b2868 Mon Sep 17 00:00:00 2001
From: "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN>
Date: Sat, 14 May 2022 21:24:52 +0200
Subject: [PATCH 2/3] gnu: commencement: stage0-posix: Use new package style.

* gnu/packages/commencement.scm (stage0-posix)[arguments]: Also use gexps for
inputs and output.
---
 gnu/packages/commencement.scm | 15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

diff --git a/gnu/packages/commencement.scm b/gnu/packages/commencement.scm
index ffaa5f03de..0089c2607c 100644
--- a/gnu/packages/commencement.scm
+++ b/gnu/packages/commencement.scm
@@ -365,13 +365,14 @@ (define stage0-posix
         #:builder
         #~(begin
             (use-modules (guix build utils))
-            (let* ((bootstrap-seeds (assoc-ref %build-inputs "bootstrap-seeds"))
-                   (source (assoc-ref %build-inputs "source"))
-                   (tar (assoc-ref %build-inputs "bootar"))
-                   (bash (assoc-ref %build-inputs "bash"))
-                   (coreutils (assoc-ref %build-inputs "coreutils"))
-                   (guile (assoc-ref %build-inputs "guile"))
-                   (out (assoc-ref %outputs "out"))
+            (let* ((bootstrap-seeds #$(this-package-native-input
+                                       "bootstrap-seeds"))
+                   (source #$(package-source this-package))
+                   (tar #$(this-package-native-input "bootar"))
+                   (bash #$(this-package-native-input "bash"))
+                   (coreutils #$(this-package-native-input "coreutils"))
+                   (guile #$(this-package-input "guile"))
+                   (out #$output)
                    (bindir (string-append out "/bin"))
                    (target (or #$(%current-target-system)
                                #$(%current-system)))
-- 
2.35.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline;
 filename=0003-gnu-commencement-mes-boot-Use-new-package-style.patch

From 89a8bd925774911f225713de6bf2e4c94319b640 Mon Sep 17 00:00:00 2001
From: "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN>
Date: Sat, 14 May 2022 21:39:06 +0200
Subject: [PATCH 3/3] gnu: commencement: mes-boot: Use new package style.

* gnu/packages/commencement.scm (mes-boot)[arguments]: Use gexp for modify
phases.
---
 gnu/packages/commencement.scm | 98 +++++++++++++++++------------------
 1 file changed, 49 insertions(+), 49 deletions(-)

diff --git a/gnu/packages/commencement.scm b/gnu/packages/commencement.scm
index 0089c2607c..268dfe9795 100644
--- a/gnu/packages/commencement.scm
+++ b/gnu/packages/commencement.scm
@@ -445,55 +445,55 @@ (define mes-boot
                                  (snippet #f))))
        ,@(%boot-gash-inputs)))
     (arguments
-     `(#:implicit-inputs? #f
-       #:tests? #f
-       #:guile ,%bootstrap-guile
-       #:strip-binaries? #f             ;no strip yet
-       #:phases
-       (modify-phases %standard-phases
-         (add-after 'unpack 'unpack-seeds
-           (lambda _
-             (let ((nyacc-source (assoc-ref %build-inputs "nyacc-source")))
-               (with-directory-excursion ".."
-                 (invoke "tar" "-xvf" nyacc-source)))))
-         (replace 'configure
-           (lambda* (#:key inputs outputs #:allow-other-keys)
-             (let ((out (assoc-ref outputs "out"))
-                   (gash (assoc-ref inputs "bash"))
-                   (mes (assoc-ref inputs "mes"))
-                   (dir (with-directory-excursion ".." (getcwd))))
-               (setenv "GUILE_LOAD_PATH" (string-append
-                                          dir "/nyacc-1.00.2/module"))
-               (invoke "gash" "configure.sh"
-                       (string-append "--prefix=" out)
-                       "--host=i686-linux-gnu"))))
-         (replace 'build
-           (lambda _
-             (invoke "gash" "bootstrap.sh")))
-         (delete 'check)
-         (replace 'install
-           (lambda* (#:key outputs #:allow-other-keys)
-             (substitute* "install.sh"  ; show some progress
-               ((" -xf") " -xvf")
-               (("^( *)((cp|mkdir|tar) [^']*[^\\])\n" all space cmd)
-                (string-append space "echo '" cmd "'\n"
-                               space cmd "\n")))
-             (invoke "gash" "install.sh")
-             ;; Keep ASCII output, for friendlier comparison and bisection
-             (let* ((out (assoc-ref outputs "out"))
-                    (cache (string-append out "/lib/cache")))
-               (define (objects-in-dir dir)
-                 (find-files dir
-                             (lambda (name stat)
-                               (and (equal? (dirname name) dir)
-                                    (or (string-suffix? ".M1" name)
-                                        (string-suffix? ".hex2" name)
-                                        (string-suffix? ".o" name)
-                                        (string-suffix? ".s" name))))))
-               (for-each (lambda (x) (install-file x cache))
-                         (append (objects-in-dir "m2")
-                                 (objects-in-dir ".")
-                                 (objects-in-dir "mescc-lib")))))))))
+     (list
+      #:implicit-inputs? #f
+      #:tests? #f
+      #:guile %bootstrap-guile
+      #:strip-binaries? #f              ;no strip yet
+      #:phases
+      #~(modify-phases %standard-phases
+          (add-after 'unpack 'unpack-seeds
+            (lambda _
+              (let ((nyacc-source #$(this-package-native-input "nyacc-source")))
+                (with-directory-excursion ".."
+                  (invoke "tar" "-xvf" nyacc-source)))))
+          (replace 'configure
+            (lambda* (#:key inputs outputs #:allow-other-keys)
+              (let ((out #$output)
+                    (gash #$(this-package-native-input "bash"))
+                    (dir (with-directory-excursion ".." (getcwd))))
+                (setenv "GUILE_LOAD_PATH" (string-append
+                                           dir "/nyacc-1.00.2/module"))
+                (invoke "gash" "configure.sh"
+                        (string-append "--prefix=" out)
+                        "--host=i686-linux-gnu"))))
+          (replace 'build
+            (lambda _
+              (invoke "gash" "bootstrap.sh")))
+          (delete 'check)
+          (replace 'install
+            (lambda* (#:key outputs #:allow-other-keys)
+              (substitute* "install.sh" ; show some progress
+                ((" -xf") " -xvf")
+                (("^( *)((cp|mkdir|tar) [^']*[^\\])\n" all space cmd)
+                 (string-append space "echo '" cmd "'\n"
+                                space cmd "\n")))
+              (invoke "gash" "install.sh")
+              ;; Keep ASCII output, for friendlier comparison and bisection
+              (let* ((out #$output)
+                     (cache (string-append out "/lib/cache")))
+                (define (objects-in-dir dir)
+                  (find-files dir
+                              (lambda (name stat)
+                                (and (equal? (dirname name) dir)
+                                     (or (string-suffix? ".M1" name)
+                                         (string-suffix? ".hex2" name)
+                                         (string-suffix? ".o" name)
+                                         (string-suffix? ".s" name))))))
+                (for-each (lambda (x) (install-file x cache))
+                          (append (objects-in-dir "m2")
+                                  (objects-in-dir ".")
+                                  (objects-in-dir "mescc-lib")))))))))
     (native-search-paths
      (list (search-path-specification
             (variable "C_INCLUDE_PATH")
-- 
2.35.1


--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


--=20
Jan Nieuwenhuizen <janneke@HIDDEN>  | GNU LilyPond https://lilypond.org
Freelance IT https://JoyOfSource.com | Avatar=C2=AE https://AvatarAcademy.c=
om

--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 14 May 2022 20:38:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 14 16:38:28 2022
Received: from localhost ([127.0.0.1]:47553 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npyWy-0004oZ-5j
	for submit <at> debbugs.gnu.org; Sat, 14 May 2022 16:38:28 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45186)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1npyWw-0004oH-IE
 for 55227 <at> debbugs.gnu.org; Sat, 14 May 2022 16:38:26 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59548)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1npyWr-00045E-4L; Sat, 14 May 2022 16:38:21 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=1ggiRYP/0sc752GXednTXG8TuM+H22AmEwQplyV6O0Y=; b=fSjbFtbqsvVXhPFYPTOQ
 JxokD+14J7tiwiXvRTOxumv0VR35Xq77aJRhdu+0pMH2ic4Mlhi813diqbWzV5wx//3IwM1RP6Yax
 BHaB2/r4KL+eDF3X64zRom6g4KlcNbUxbqRKuAoJ7twesU3ugYZk3mSvfN8ECde7QTPRUffXPdCDw
 j4fcBRQyn3mii9QEoZkKKGTXqXMtekHQqENST+t8NfkV2gV0Afo+/piNYohwrrPxM/CgM70Kt2AAm
 wE7AzxwOXOibf8/0LFdxFi0IeeyWLDv3dG1DbGPoiCFHLoFAKNnuKcAozU3UgN33ARJLhJidan9Tp
 mH92GjSaXcNgmQ==;
Received: from 2a02-a462-da03-1-fa3e-1174-c33f-9485.fixed6.kpn.net
 ([2a02:a462:da03:1:fa3e:1174:c33f:9485]:48310
 helo=drakenbij.janneke.lilypond.org)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1npyWq-0005JM-OK; Sat, 14 May 2022 16:38:20 -0400
From: Jan Nieuwenhuizen <janneke@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#55227: [PATCH core-updates 0/8] The Full Source Bootstrap
Organization: AvatarAcademy.nl
References: <20220502182105.32068-1-janneke@HIDDEN>
 <20220513153631.13052-1-janneke@HIDDEN> <871qwwgq4w.fsf_-_@HIDDEN>
X-Url: http://AvatarAcademy.nl
Date: Sat, 14 May 2022 22:38:19 +0200
In-Reply-To: <871qwwgq4w.fsf_-_@HIDDEN> ("Ludovic =?utf-8?Q?Court=C3=A8s?=
 =?utf-8?Q?=22's?= message of "Sat, 14 May 2022 16:11:59 +0200")
Message-ID: <87bkvzdf44.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55227
Cc: 55227 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Ludovic Court=C3=A8s writes:

> So I think this v3 is ready to go in =E2=80=98core-updates=E2=80=99, wooh=
oo!
>
> Like I wrote, there are minor cosmetic improvements we could make, but
> we can always do that afterwards.

Pushed as 33253b562a73ef008f178b18c3dc10389baa4fc7.

Some improvements to come soon on wip-full-source-bootstrap.

Greetings,
Janneke

--=20
Jan Nieuwenhuizen <janneke@HIDDEN>  | GNU LilyPond https://lilypond.org
Freelance IT https://JoyOfSource.com | Avatar=C2=AE https://AvatarAcademy.c=
om




Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 14 May 2022 20:36:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 14 16:36:44 2022
Received: from localhost ([127.0.0.1]:47548 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npyVH-0004lS-Rc
	for submit <at> debbugs.gnu.org; Sat, 14 May 2022 16:36:43 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45022)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1npyVG-0004lF-1X
 for 55227 <at> debbugs.gnu.org; Sat, 14 May 2022 16:36:42 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59530)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1npyVA-0003xo-M0; Sat, 14 May 2022 16:36:36 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=VYggTZWKJfCTfTG7gms3TL4xX5/B+1iEQvVDp0/hm54=; b=a4VyjIcUDpakll+rG7K2
 VtvC62OEgr89gyhdYmgqBtKVrSg6H3keCbV54be+r+eYHCSQCRZKRpa/9p4aqeu5bknQhw+WXYUgc
 KZfMK9EnB4x0sN3hx00LHkbm1l11409dcmODgaPm2PfTAYmcodBL+cjYix7In7qoRjwp/XWVrt033
 tfPJWtmnMS3fh3IuZ14pa2dIzt3dHP7bgY4DE+QNJJOEWkX0I/DMrB94ZiDwxkQjN4A4K8AdJp2GM
 iHfpuHEdvG6VxZt47vw8tjNYmyZHhzprEUTQFPaj4xPERSs4FgtHR4eLq4qj3Q4INi+HpXhmN04b9
 /XXZPILOMNce+A==;
Received: from 2a02-a462-da03-1-fa3e-1174-c33f-9485.fixed6.kpn.net
 ([2a02:a462:da03:1:fa3e:1174:c33f:9485]:48308
 helo=drakenbij.janneke.lilypond.org)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1npyVA-0005DO-8u; Sat, 14 May 2022 16:36:36 -0400
From: Jan Nieuwenhuizen <janneke@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#55227: [PATCH core-updates 0/8] The Full Source Bootstrap
Organization: AvatarAcademy.nl
References: <20220513153631.13052-1-janneke@HIDDEN>
 <20220513153631.13052-8-janneke@HIDDEN> <875ym8gq7g.fsf_-_@HIDDEN>
X-Url: http://AvatarAcademy.nl
Date: Sat, 14 May 2022 22:36:33 +0200
In-Reply-To: <875ym8gq7g.fsf_-_@HIDDEN> ("Ludovic =?utf-8?Q?Court=C3=A8s?=
 =?utf-8?Q?=22's?= message of "Sat, 14 May 2022 16:10:27 +0200")
Message-ID: <87fslbdf72.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55227
Cc: 55227 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Ludovic Court=C3=A8s writes:

> "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN> skribis:
>
>> +@node Full-source Bootstrap
>> +@section The Full-source Bootstrap
>
> Nitpick: I think that would be =E2=80=9CFull-Source Bootstrap=E2=80=9D in=
 title case.  :-)

Yes, you're right, thanks.  Fixed!




Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 14 May 2022 14:12:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 14 10:12:07 2022
Received: from localhost ([127.0.0.1]:47177 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npsV5-0008PY-91
	for submit <at> debbugs.gnu.org; Sat, 14 May 2022 10:12:07 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41914)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1npsV4-0008P7-80
 for 55227 <at> debbugs.gnu.org; Sat, 14 May 2022 10:12:06 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55354)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1npsUz-0000lA-2K; Sat, 14 May 2022 10:12:01 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=5fHwTso4lpxnOZymfEzg/vmc5ozFtMYg9/w6FZZd/ck=; b=mkLB8VTZ+nPsgsNmJKgb
 NUC2KwOWnFim3rKTW37//MHIGeUSkNow+xDsHoUTkoHitBzq2pJzFl+gFUgpKAqj2o4sUJR42/7L4
 Wn60dFs3Xar7Ewtuqm9XOcDHwTTrXezZhQ/QLOU+vGaEqUkDuqJIumb2LOrwNm4oSXXZ9D34MmZ9l
 RpBG4FWHHr448Fo/QV5c7idN/wodDAQyflxNDqFxpcM+tZPwPRvh6iwT4WTXPftdE1SuEYn7vV8D4
 OiY0eCSqUckoFFBm1Lx6B7cqcwE3tTtbgYdpVZhVmKcEQfUFTIX7lfIr0Koeiwh96zDjFZG0J8h4K
 2AGes/4Ky2TKoQ==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:64999
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1npsUy-0007fk-MT; Sat, 14 May 2022 10:12:00 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN>
Subject: Re: bug#55227: [PATCH core-updates 0/8] The Full Source Bootstrap
References: <20220502182105.32068-1-janneke@HIDDEN>
 <20220513153631.13052-1-janneke@HIDDEN>
Date: Sat, 14 May 2022 16:11:59 +0200
In-Reply-To: <20220513153631.13052-1-janneke@HIDDEN> (Jan Nieuwenhuizen's
 message of "Fri, 13 May 2022 17:36:24 +0200")
Message-ID: <871qwwgq4w.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55227
Cc: 55227 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi!

So I think this v3 is ready to go in =E2=80=98core-updates=E2=80=99, woohoo!

Like I wrote, there are minor cosmetic improvements we could make, but
we can always do that afterwards.

Thank you!

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 14 May 2022 14:10:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 14 10:10:42 2022
Received: from localhost ([127.0.0.1]:47172 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npsTd-0008Mi-Ld
	for submit <at> debbugs.gnu.org; Sat, 14 May 2022 10:10:42 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41718)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1npsTb-0008MR-9x
 for 55227 <at> debbugs.gnu.org; Sat, 14 May 2022 10:10:35 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55340)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1npsTV-0000Tr-VK; Sat, 14 May 2022 10:10:29 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=ZeJD/Dc3TZYB/G+rfFlicN/ZRpcgo9uWzWqehGlH+7Q=; b=FCgxn5k0iFAj6DRWOENF
 8d6kpSaaPOffB8Qqwmoetp7AZBsfUDH4khVGIlchWmq4j0QoeX9GybXxu7rmiYekQrraCpruXHtld
 NGRrZLGCglnaELAkLzPtm7j0BN2jdh+77wfrASFMfiaIqW6dqpVVvB/0QDPjD4IKkM475ras569gw
 qfNXM+wflWoybaDVdNkF5h3io0YQu3eo0Pi/CchkL7wsacUqYo1rkkAMKk/bP7FfZCZPJRGJXm2qT
 OSEEdcmArEZ7sINim1xdcRgKBK6r6mF1W1gmjtrRoSiEgYgj2WaCiXUSobPrUHgKMDyMHPq0kg3E/
 I6O7BNvQ4iYWEQ==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:53773
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1npsTV-0007V7-J5; Sat, 14 May 2022 10:10:29 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN>
Subject: Re: bug#55227: [PATCH core-updates 0/8] The Full Source Bootstrap
References: <20220513153631.13052-1-janneke@HIDDEN>
 <20220513153631.13052-8-janneke@HIDDEN>
Date: Sat, 14 May 2022 16:10:27 +0200
In-Reply-To: <20220513153631.13052-8-janneke@HIDDEN> (Jan Nieuwenhuizen's
 message of "Fri, 13 May 2022 17:36:31 +0200")
Message-ID: <875ym8gq7g.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55227
Cc: 55227 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

"Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN> skribis:

> +@node Full-source Bootstrap
> +@section The Full-source Bootstrap

Nitpick: I think that would be =E2=80=9CFull-Source Bootstrap=E2=80=9D in t=
itle case.  :-)




Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 14 May 2022 14:09:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 14 10:09:12 2022
Received: from localhost ([127.0.0.1]:47167 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npsSG-0008Ju-Ah
	for submit <at> debbugs.gnu.org; Sat, 14 May 2022 10:09:12 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41410)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1npsSF-0008Jg-0p
 for 55227 <at> debbugs.gnu.org; Sat, 14 May 2022 10:09:11 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55328)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1npsS8-0006Fe-9s; Sat, 14 May 2022 10:09:04 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=DGP/u/vj95EsRsWy0MH2EZ9/T6VpwkCzubhSliiHBGQ=; b=c5kcdcbcUG3DIx10yzqe
 lnKS3xF9yi6bWht67e3MraTTNMrdRyTI67fAk6dgZQJcIcsD8PE1vn0qTBNI8FrwEkTosFwK4I8AW
 L6o4DonLA/ZQoEjWS66QyhRK4Dj7/u5Hu1k4jj889pI1udQ0tg5jjScz7D/0pfv6VCiJxPneLfD5P
 b+2Iefq536w/wj7c4K1hw8jc7zU05xyaA5KzGeljhMIQ2nByZifFKy6ER472ir8gLV8Jc5WV1X74n
 oyf8vmlkiKQnzLG1B+1BrwqtAe4f7vOLZsrMQ9yeTnZ1fUeOn9vDWFNgME63w4s1z1KHmBRu2y/Th
 hMtIZeK5T8WVBg==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:62831
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1npsS7-0007Lj-To; Sat, 14 May 2022 10:09:04 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN>
Subject: Re: bug#55227: [PATCH core-updates 0/8] The Full Source Bootstrap
References: <20220513153631.13052-1-janneke@HIDDEN>
 <20220513153631.13052-2-janneke@HIDDEN>
Date: Sat, 14 May 2022 16:09:01 +0200
In-Reply-To: <20220513153631.13052-2-janneke@HIDDEN> (Jan Nieuwenhuizen's
 message of "Fri, 13 May 2022 17:36:25 +0200")
Message-ID: <87a6bkgq9u.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55227
Cc: 55227 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi!

"Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN> skribis:

> Stage0-posix is a skeleton for bootstrapping all of Stage0 for POSIX syst=
ems.
> On x86-linux, from the 357-byte hex0-seed binary from the bootstrap-seeds=
, it
> builds hex0, kaem, hex1, catm, hex2, M0, cc_x86, M1, M2,
> get_machine, (mescc-tools), and M2-Planet.
>
> * gnu/packages/commencement.scm (stage0-posix): New variable.

[...]

> +        #~(begin
> +            (use-modules (guix build utils))
> +            (let* ((bootstrap-seeds (assoc-ref %build-inputs "bootstrap-=
seeds"))
> +                   (source (assoc-ref %build-inputs "source"))
> +                   (tar (assoc-ref %build-inputs "bootar"))
> +                   (bash (assoc-ref %build-inputs "bash"))
> +                   (coreutils (assoc-ref %build-inputs "coreutils"))
> +                   (guile (assoc-ref %build-inputs "guile"))
> +                   (out (assoc-ref %outputs "out"))
> +                   (bindir (string-append out "/bin"))

We could get rid of the remaining (assoc-ref =E2=80=A6) expressions, along =
the
lines of:

  https://issues.guix.gnu.org/55227#12-lineno40

But let=E2=80=99s not block the whole series just for that.  We can fix it
later.

Thanks!

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 13 May 2022 15:39:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 13 11:39:57 2022
Received: from localhost ([127.0.0.1]:44712 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npXOS-0003Nr-MF
	for submit <at> debbugs.gnu.org; Fri, 13 May 2022 11:39:57 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52132)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1npXOR-0003NZ-I4
 for 55227 <at> debbugs.gnu.org; Fri, 13 May 2022 11:39:51 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35502)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1npXOM-0007XC-83; Fri, 13 May 2022 11:39:46 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=/1u4sjmDo4l/BPKXhycZyINCIeLyIPMyj+YJGQs3jQQ=; b=OTkC5k0pfMDlnFyFw4X6
 TkcffkiBSlJ3nkduysHHmMa/LMJx3bX5E4cYDQ5xGScaNTghvh+J4F163ogzyaR7YoGOmW6kziZ8x
 bXClYpddCJotNDDQ4crdv5vSbZYGPjmMFAMCJo+D2IwKlbx4kH/VJiTdYt1ozClGTlRLFQj9dOmUc
 xdg7V6UVQf3MJI/IfaNrEr/VxVeMwVA+6t3YoLF+HdLN9pqRu8wG5VdSwhNs4CNQLWZ3C02L6Tc/b
 T8AaHy1Ji2K2puw1e8CBkJdSBeacgnCUku1PEEGvFBup8HxKR7DEQed+yZ4sy9m+uI/UJSu0j2eU8
 xbktvwjEGaZ82A==;
Received: from 2a02-a462-da03-1-fa3e-1174-c33f-9485.fixed6.kpn.net
 ([2a02:a462:da03:1:fa3e:1174:c33f:9485]:47914
 helo=drakenbij.janneke.lilypond.org)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1npXOL-000749-Rh; Fri, 13 May 2022 11:39:46 -0400
From: Jan Nieuwenhuizen <janneke@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#55227: [PATCH core-updates 0/8] The Full Source Bootstrap
Organization: AvatarAcademy.nl
References: <20220502182434.32130-1-janneke@HIDDEN>
 <20220502182434.32130-5-janneke@HIDDEN> <875ymbkot8.fsf_-_@HIDDEN>
 <87bkw14zwe.fsf@HIDDEN> <87lev5h6y4.fsf@HIDDEN>
X-Url: http://AvatarAcademy.nl
Date: Fri, 13 May 2022 17:39:44 +0200
In-Reply-To: <87lev5h6y4.fsf@HIDDEN> ("Ludovic =?utf-8?Q?Court=C3=A8s=22'?=
 =?utf-8?Q?s?= message of "Fri, 13 May 2022 15:56:35 +0200")
Message-ID: <87h75t30hr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55227
Cc: 55227 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Ludovic Court=C3=A8s writes:

Hi,

> Jan Nieuwenhuizen <janneke@HIDDEN> skribis:
>
>> Okay.  I've kept the mirror:// put in place in the previous patch, it
>> now looks like
>>
>>               (uri (list
>>                     (string-append "mirror://gnu/guix/mirror/"
>>                                    "tcc-" version ".tar.gz")
>>                     (string-append "https://lilypond.org/janneke/tcc/"
>>                                    "tcc-" version ".tar.gz")))
>
> Source code tarballs (like tcc here) can go to:
>
>   https://ftp.gnu.org/gnu/guix/mirror

Okay, I have that for all tarballs right now.

> For =E2=80=9Cbinary=E2=80=9D seeds (which in fact are no longer =E2=80=9C=
binary=E2=80=9D!), we can
> follow the scheme at:
>
>   https://ftp.gnu.org/gnu/guix/bootstrap/
>
> =E2=80=A6 which looks like this:
>
>   /gnu/guix/bootstrap/SYSTEM/DATE
>
> Or we could use /mirror as well, but then I=E2=80=99m not sure what that
> should look like.  WDYT?

Yes, the only thing sort of "binary" is bootstrap-seeds-1.0.tar.gz,
which is not "really" a binary package.  The SYSTEM bit is not relevant
and the date is neither.

(I guess that this

    https://savannah.nongnu.org/task/?func=3Ddetailitem&item_id=3D15859#opt=
ions

could get a follow-up, some time.)

> See, the most difficult issues are yet to be solved.  :-)

I see!  Just when I thought the hardest bits were done :-)

Meanwhile,

    building /gnu/store/7il52fh6m0pa9lvzqpxkzpq68pb4svcl-gcc-10.3.0.drv...

so I guess we're okay.  I'll be waiting for it to finish, though.

Greetings,
Janneke

--=20
Jan Nieuwenhuizen <janneke@HIDDEN>  | GNU LilyPond https://lilypond.org
Freelance IT https://JoyOfSource.com | Avatar=C2=AE https://AvatarAcademy.c=
om




Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 13 May 2022 15:37:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 13 11:37:11 2022
Received: from localhost ([127.0.0.1]:44697 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npXLq-0003Gu-9H
	for submit <at> debbugs.gnu.org; Fri, 13 May 2022 11:37:11 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51456)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1npXLS-0003E5-3K
 for 55227 <at> debbugs.gnu.org; Fri, 13 May 2022 11:37:02 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35446)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1npXLM-0007Gl-O0; Fri, 13 May 2022 11:36:40 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:References:In-Reply-To:Date:Subject:To:
 From; bh=boSwO35FppYMRNWdOiwqWpOZBG58CQfdWPVrIwiKXRg=; b=L2TR8tVXOuTgrDVPHZrY
 juTyMPP2Cs9dSiH9BEa7hb8+2Cc8GBvps0UnxHZPaRvGi2UiKoDroxSTjHjw5ZidvKai9ZqaieCKC
 qcBtjguXTkbC6WaZZjX2kxp/2WWKjV0W6kdFu4zspZrzGPyDkMNS8cCPqxdbze6k0720adtGk6DmB
 QyBDp+bDoNq/OhcVNo7YBQF85IU9ulG7zIBr14CUptIHtAzgRFZOvs9LRLvly+ygwCJ/waI5nMSpR
 mB73OSTb4T6s8xy1Zp9RPrX/vYUaokbP2M8Th7IQEXlcjH3/FDhy3seuv/SzwYoK51dunXGEUdriH
 E+MT/T6EbckwrQ==;
Received: from 2a02-a462-da03-1-fa3e-1174-c33f-9485.fixed6.kpn.net
 ([2a02:a462:da03:1:fa3e:1174:c33f:9485]:47912 helo=drakenbij.fritz.box)
 by fencepost.gnu.org with esmtpa (Exim 4.90_1)
 (envelope-from <janneke@HIDDEN>)
 id 1npXLM-0006qU-8y; Fri, 13 May 2022 11:36:40 -0400
From: "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN>
To: 55227 <at> debbugs.gnu.org
Subject: [PATCH core-updates v3 8/8] doc: Add the "Full-source Bootstrap".
Date: Fri, 13 May 2022 17:36:31 +0200
Message-Id: <20220513153631.13052-8-janneke@HIDDEN>
X-Mailer: git-send-email 2.35.1
In-Reply-To: <20220513153631.13052-1-janneke@HIDDEN>
References: <20220513153631.13052-1-janneke@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55227
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* doc/guix.texi (Reduced Binary Seed Bootstrap): Update and rename to...
(Full-Source Bootstrap): ...this.
* doc/images/gcc-core-mesboot0-graph.dot: Regenerate.
---
 doc/guix.texi                          |  81 ++++++-----
 doc/images/gcc-core-mesboot0-graph.dot | 187 ++++++++++---------------
 2 files changed, 120 insertions(+), 148 deletions(-)

diff --git a/doc/guix.texi b/doc/guix.texi
index 7bd80a1592..c612a5cec1 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -36,7 +36,7 @@ Copyright @copyright{} 2016, 2017, 2018, 2021 Chris Marusich@*
 Copyright @copyright{} 2016, 2017, 2018, 2019, 2020, 2021, 2022 Efraim Flashner@*
 Copyright @copyright{} 2016 John Darrington@*
 Copyright @copyright{} 2016, 2017 Nikita Gillmann@*
-Copyright @copyright{} 2016, 2017, 2018, 2019, 2020 Jan Nieuwenhuizen@*
+Copyright @copyright{} 2016, 2017, 2018, 2019, 2021, 2022 Jan Nieuwenhuizen@*
 Copyright @copyright{} 2016, 2017, 2018, 2019, 2020, 2021 Julien Lepiller@*
 Copyright @copyright{} 2016 Alex ter Weele@*
 Copyright @copyright{} 2016, 2017, 2018, 2019, 2020, 2021 Christopher Baines@*
@@ -394,7 +394,7 @@ Installing Debugging Files
 
 Bootstrapping
 
-* Reduced Binary Seed Bootstrap::  A Bootstrap worthy of GNU.
+* Full-source Bootstrap::       A Bootstrap worthy of GNU.
 * Preparing to Use the Bootstrap Binaries:: Building that what matters most.
 
 @end detailmenu
@@ -39491,12 +39491,12 @@ re-create them if needed (@pxref{Preparing to Use the Bootstrap
 Binaries}).
 
 @menu
-* Reduced Binary Seed Bootstrap::  A Bootstrap worthy of GNU.
+* Full-source Bootstrap::       A Bootstrap worthy of GNU.
 * Preparing to Use the Bootstrap Binaries:: Building that what matters most.
 @end menu
 
-@node Reduced Binary Seed Bootstrap
-@section The Reduced Binary Seed Bootstrap
+@node Full-source Bootstrap
+@section The Full-source Bootstrap
 
 Guix---like other GNU/Linux distributions---is traditionally bootstrapped from
 a set of bootstrap binaries: Bourne shell, command-line tools provided by GNU
@@ -39511,28 +39511,47 @@ about 250MB (@pxref{Bootstrappable Builds,,, mes, GNU Mes}).  Auditing
 or even inspecting these is next to impossible.
 
 For @code{i686-linux} and @code{x86_64-linux}, Guix now features a
-``Reduced Binary Seed'' bootstrap @footnote{We would like to say: ``Full
-Source Bootstrap'' and while we are working towards that goal it would
-be hyperbole to use that term for what we do now.}.
-
-The Reduced Binary Seed bootstrap removes the most critical tools---from a
-trust perspective---from the bootstrap binaries: GCC, Binutils and the GNU C
-Library are replaced by: @code{bootstrap-mescc-tools} (a tiny assembler and
-linker) and @code{bootstrap-mes} (a small Scheme Interpreter and a C compiler
-written in Scheme and the Mes C Library, built for TinyCC and for GCC).
-
-Using these new binary seeds the ``missing'' Binutils, GCC, and the GNU
-C Library are built from source.  From here on the more traditional
-bootstrap process resumes.  This approach has reduced the bootstrap
-binaries in size to about 145MB in Guix v1.1.
-
-The next step that Guix has taken is to replace the shell and all its
+@dfn{full-source bootstrap}.  This bootstrap is rooted in
+@file{hex0-seed} from the @url{https://savannah.gnu.org/projects/stage0,
+Stage0} package.  The hex0 program is minimalist assembler: it reads
+space-separated hexadecimal digits (nibbles) from a file, possibly
+including comments, and emits on standard output the bytes corresponding
+to those hexadecimal numbers.  The source code of this initial hex0
+program is a file called
+@c XXX TODO: udpate to savannah url, once accepted there
+@url{https://github.com/oriansj/bootstrap-seeds/blob/master/POSIX/x86/hex0_x86.hex0,@file{hex0_x86.hex0}}
+and is written in the @code{hex0} language.
+
+Hex0 is self-hosting, which means that it can build itself:
+
+@example
+./hex0-seed hex0_x86.hex0 hex0
+@end example
+
+Hex0 it is the ASCII-equivalent of the binary program and can be
+produced by doing something much like:
+
+@example
+sed 's/[;#].*$//g' hex0_x86.hex0 | xxd -r -p > hex0
+chmod +x hex0
+@end example
+
+It is because of this ASCII-binary equivalence that we can bless this
+initial 357-byte binary as source, and hence `full-source bootstrap''.
+
+The bootstrap then continues: @code{hex0} builds @code{hex1} and then on
+to @code{M0}, @code{hex2}, @code{M1}, @code{mescc-tools} and finally
+@code{M2-Planet}.  Then, using @code{mescc-tools}, @code{M2-Planet} we
+build Mes (@pxref{Top, GNU Mes Reference Manual,, mes, GNU Mes}, a
+Scheme interpreter and C compiler in Scheme).  Frome here on starts
+the more traditional @code{C}-based bootstrap of the GNU System.
+
+Another step that Guix has taken is to replace the shell and all its
 utilities with implementations in Guile Scheme, the @emph{Scheme-only
 bootstrap}.  Gash (@pxref{Gash,,, gash, The Gash manual}) is a
 POSIX-compatible shell that replaces Bash, and it comes with Gash Utils
 which has minimalist replacements for Awk, the GNU Core Utilities, Grep,
-Gzip, Sed, and Tar.  The rest of the bootstrap binary seeds that were
-removed are now built from source.
+Gzip, Sed, and Tar.
 
 Building the GNU System from source is currently only possible by adding
 some historical GNU packages as intermediate steps@footnote{Packages
@@ -39548,22 +39567,10 @@ The graph below shows the resulting dependency graph for
 @code{gcc-core-mesboot0}, the bootstrap compiler used for the
 traditional bootstrap of the rest of the Guix System.
 
-@c ./pre-inst-env guix graph -e '(@@ (gnu packages commencement) gcc-core-mesboot0)' | sed -re 's,((bootstrap-mescc-tools|bootstrap-mes|guile-bootstrap).*shape =) box,\1 ellipse,' > doc/images/gcc-core-mesboot0-graph.dot
+@c ./pre-inst-env guix graph -e '(@@ (gnu packages commencement) gcc-core-mesboot0)' | sed -re 's,((bootstrap-seeds|guile-bootstrap).*shape =) box,\1 ellipse,' > doc/images/gcc-core-mesboot0-graph.dot
 @image{images/gcc-core-mesboot0-graph,6in,,Dependency graph of gcc-core-mesboot0}
 
-The only significant binary bootstrap seeds that remain@footnote{
-Ignoring the 68KB @code{mescc-tools}; that will be removed later,
-together with @code{mes}.} are a Scheme interpreter and a Scheme
-compiler: GNU Mes and GNU Guile@footnote{Not shown in this graph are the
-static binaries for @file{bash}, @code{tar}, and @code{xz} that are used
-to get Guile running.}.
-
-This further reduction has brought down the size of the binary seed to
-about 60MB for @code{i686-linux} and @code{x86_64-linux}.
-
-Work is ongoing to remove all binary blobs from our free software
-bootstrap stack, working towards a Full Source Bootstrap.  Also ongoing
-is work to bring these bootstraps to the @code{arm-linux} and
+Work is ongoing to to bring these bootstraps to the @code{arm-linux} and
 @code{aarch64-linux} architectures and to the Hurd.
 
 If you are interested, join us on @samp{#bootstrappable} on the Freenode
diff --git a/doc/images/gcc-core-mesboot0-graph.dot b/doc/images/gcc-core-mesboot0-graph.dot
index 191582ed4c..ef4e3a441e 100644
--- a/doc/images/gcc-core-mesboot0-graph.dot
+++ b/doc/images/gcc-core-mesboot0-graph.dot
@@ -1,114 +1,79 @@
 digraph "Guix package" {
-  "139781154519456" [label = "gcc-core-mesboot0@HIDDEN", shape = box, fontname = Helvetica];
-  "139781154519456" -> "139781154519632" [color = darkgoldenrod];
-  "139781154519456" -> "139781154520688" [color = darkgoldenrod];
-  "139781154519456" -> "139781034971312" [color = darkgoldenrod];
-  "139781154519456" -> "139781154520160" [color = darkgoldenrod];
-  "139781154519456" -> "139781034971664" [color = darkgoldenrod];
-  "139781154519456" -> "139781154519984" [color = darkgoldenrod];
-  "139781154519456" -> "139781154519808" [color = darkgoldenrod];
-  "139781154519456" -> "139781154520512" [color = darkgoldenrod];
-  "139781154519456" -> "139781034971488" [color = darkgoldenrod];
-  "139781154519456" -> "139781034972896" [color = darkgoldenrod];
-  "139781154519456" -> "139781034972368" [color = darkgoldenrod];
-  "139781154519456" -> "139781034973072" [color = darkgoldenrod];
-  "139781154519456" -> "139781131267872" [color = darkgoldenrod];
-  "139781154519632" [label = "binutils-mesboot0@HIDDEN", shape = box, fontname = Helvetica];
-  "139781154519632" -> "139781154520688" [color = peachpuff4];
-  "139781154519632" -> "139781034971312" [color = peachpuff4];
-  "139781154519632" -> "139781154520160" [color = peachpuff4];
-  "139781154519632" -> "139781034971664" [color = peachpuff4];
-  "139781154519632" -> "139781154519984" [color = peachpuff4];
-  "139781154519632" -> "139781154519808" [color = peachpuff4];
-  "139781154519632" -> "139781154520512" [color = peachpuff4];
-  "139781154519632" -> "139781034971488" [color = peachpuff4];
-  "139781154519632" -> "139781034972896" [color = peachpuff4];
-  "139781154519632" -> "139781034972368" [color = peachpuff4];
-  "139781154519632" -> "139781034973072" [color = peachpuff4];
-  "139781154519632" -> "139781131267872" [color = peachpuff4];
-  "139781154520688" [label = "bash-mesboot0@HIDDEN", shape = box, fontname = Helvetica];
-  "139781154520688" -> "139781034971488" [color = magenta];
-  "139781154520688" -> "139781034971840" [color = magenta];
-  "139781154520688" -> "139781034972896" [color = magenta];
-  "139781154520688" -> "139781034972368" [color = magenta];
-  "139781154520688" -> "139781034973072" [color = magenta];
-  "139781154520688" -> "139781131267872" [color = magenta];
-  "139781034971488" [label = "make-mesboot0@HIDDEN", shape = box, fontname = Helvetica];
-  "139781034971488" -> "139781034971840" [color = dimgrey];
-  "139781034971488" -> "139781034972896" [color = dimgrey];
-  "139781034971488" -> "139781034972368" [color = dimgrey];
-  "139781034971488" -> "139781034973072" [color = dimgrey];
-  "139781034971488" -> "139781131267872" [color = dimgrey];
-  "139781034971840" [label = "tcc-boot0@HIDDEN", shape = box, fontname = Helvetica];
-  "139781034971840" -> "139781034972016" [color = magenta];
-  "139781034971840" -> "139781131266816" [color = magenta];
-  "139781034971840" -> "139781034972896" [color = magenta];
-  "139781034971840" -> "139781034972368" [color = magenta];
-  "139781034971840" -> "139781034973072" [color = magenta];
-  "139781034971840" -> "139781131267872" [color = magenta];
-  "139781034972016" [label = "mes-boot@HIDDEN", shape = box, fontname = Helvetica];
-  "139781034972016" -> "139781034972192" [color = cyan3];
-  "139781034972016" -> "139781131266816" [color = cyan3];
-  "139781034972016" -> "139781034972896" [color = cyan3];
-  "139781034972016" -> "139781034972368" [color = cyan3];
-  "139781034972016" -> "139781034973072" [color = cyan3];
-  "139781034972016" -> "139781131267872" [color = cyan3];
-  "139781034972192" [label = "bootstrap-mes-rewired@HIDDEN", shape = ellipse, fontname = Helvetica];
-  "139781034972192" -> "139781131266640" [color = darkseagreen];
-  "139781034972192" -> "139781034972896" [color = darkseagreen];
-  "139781131266640" [label = "bootstrap-mes@0", shape = ellipse, fontname = Helvetica];
-  "139781034972896" [label = "gash-boot@HIDDEN", shape = box, fontname = Helvetica];
-  "139781034972896" -> "139781034973072" [color = darkviolet];
-  "139781034972896" -> "139781131267872" [color = darkviolet];
-  "139781034973072" [label = "bootar@1", shape = box, fontname = Helvetica];
-  "139781034973072" -> "139781131267872" [color = darkviolet];
-  "139781131267872" [label = "guile-bootstrap@HIDDEN", shape = ellipse, fontname = Helvetica];
-  "139781131266816" [label = "bootstrap-mescc-tools@HIDDEN", shape = ellipse, fontname = Helvetica];
-  "139781034972368" [label = "gash-utils-boot@HIDDEN", shape = box, fontname = Helvetica];
-  "139781034972368" -> "139781034973072" [color = darkseagreen];
-  "139781034972368" -> "139781034972896" [color = darkseagreen];
-  "139781034972368" -> "139781131267872" [color = darkseagreen];
-  "139781034971312" [label = "bzip2-mesboot@HIDDEN", shape = box, fontname = Helvetica];
-  "139781034971312" -> "139781034971488" [color = cyan3];
-  "139781034971312" -> "139781034971840" [color = cyan3];
-  "139781034971312" -> "139781034972896" [color = cyan3];
-  "139781034971312" -> "139781034972368" [color = cyan3];
-  "139781034971312" -> "139781034973072" [color = cyan3];
-  "139781034971312" -> "139781131267872" [color = cyan3];
-  "139781154520160" [label = "diffutils-mesboot@HIDDEN", shape = box, fontname = Helvetica];
-  "139781154520160" -> "139781034971488" [color = red];
-  "139781154520160" -> "139781034971840" [color = red];
-  "139781154520160" -> "139781034972896" [color = red];
-  "139781154520160" -> "139781034972368" [color = red];
-  "139781154520160" -> "139781034973072" [color = red];
-  "139781154520160" -> "139781131267872" [color = red];
-  "139781034971664" [label = "gzip-mesboot@HIDDEN", shape = box, fontname = Helvetica];
-  "139781034971664" -> "139781034971840" [color = red];
-  "139781034971664" -> "139781034972896" [color = red];
-  "139781034971664" -> "139781034972368" [color = red];
-  "139781034971664" -> "139781034973072" [color = red];
-  "139781034971664" -> "139781131267872" [color = red];
-  "139781154519984" [label = "patch-mesboot@HIDDEN", shape = box, fontname = Helvetica];
-  "139781154519984" -> "139781034971488" [color = blue];
-  "139781154519984" -> "139781034971840" [color = blue];
-  "139781154519984" -> "139781034972896" [color = blue];
-  "139781154519984" -> "139781034972368" [color = blue];
-  "139781154519984" -> "139781034973072" [color = blue];
-  "139781154519984" -> "139781131267872" [color = blue];
-  "139781154519808" [label = "sed-mesboot0@HIDDEN", shape = box, fontname = Helvetica];
-  "139781154519808" -> "139781034971488" [color = red];
-  "139781154519808" -> "139781034971840" [color = red];
-  "139781154519808" -> "139781034972896" [color = red];
-  "139781154519808" -> "139781034972368" [color = red];
-  "139781154519808" -> "139781034973072" [color = red];
-  "139781154519808" -> "139781131267872" [color = red];
-  "139781154520512" [label = "tcc-boot@HIDDEN", shape = box, fontname = Helvetica];
-  "139781154520512" -> "139781034971312" [color = darkviolet];
-  "139781154520512" -> "139781034971488" [color = darkviolet];
-  "139781154520512" -> "139781034971840" [color = darkviolet];
-  "139781154520512" -> "139781034972896" [color = darkviolet];
-  "139781154520512" -> "139781034972368" [color = darkviolet];
-  "139781154520512" -> "139781034973072" [color = darkviolet];
-  "139781154520512" -> "139781131267872" [color = darkviolet];
+  "139803511371136" [label = "gcc-core-mesboot0@HIDDEN", shape = box, fontname = sans];
+  "139803511371136" -> "139803511371312" [color = red];
+  "139803511371136" -> "139803511372016" [color = red];
+  "139803511371136" -> "139803511371488" [color = red];
+  "139803511371136" -> "139803511371664" [color = red];
+  "139803511371136" -> "139803511371840" [color = red];
+  "139803511371136" -> "139803507105792" [color = red];
+  "139803511371136" -> "139803511373600" [color = red];
+  "139803511371136" -> "139803507105968" [color = red];
+  "139803511371136" -> "139803749199472" [color = red];
+  "139803511371312" [label = "binutils-mesboot0@HIDDEN", shape = box, fontname = sans];
+  "139803511371312" -> "139803511372016" [color = dimgrey];
+  "139803511371312" -> "139803511371488" [color = dimgrey];
+  "139803511371312" -> "139803511371664" [color = dimgrey];
+  "139803511371312" -> "139803511371840" [color = dimgrey];
+  "139803511371312" -> "139803507105792" [color = dimgrey];
+  "139803511371312" -> "139803511373600" [color = dimgrey];
+  "139803511371312" -> "139803507105968" [color = dimgrey];
+  "139803511371312" -> "139803749199472" [color = dimgrey];
+  "139803511372016" [label = "gzip-mesboot@HIDDEN", shape = box, fontname = sans];
+  "139803511372016" -> "139803511372192" [color = magenta];
+  "139803511372016" -> "139803507105792" [color = magenta];
+  "139803511372016" -> "139803511373600" [color = magenta];
+  "139803511372016" -> "139803507105968" [color = magenta];
+  "139803511372016" -> "139803749199472" [color = magenta];
+  "139803511372192" [label = "tcc-boot0@HIDDEN", shape = box, fontname = sans];
+  "139803511372192" -> "139803511372368" [color = magenta];
+  "139803511372192" -> "139803511372544" [color = magenta];
+  "139803511372192" -> "139803507105792" [color = magenta];
+  "139803511372192" -> "139803511373600" [color = magenta];
+  "139803511372192" -> "139803507105968" [color = magenta];
+  "139803511372192" -> "139803749199472" [color = magenta];
+  "139803511372368" [label = "mes-boot@HIDDEN", shape = box, fontname = sans];
+  "139803511372368" -> "139803511372544" [color = darkviolet];
+  "139803511372368" -> "139803507105792" [color = darkviolet];
+  "139803511372368" -> "139803511373600" [color = darkviolet];
+  "139803511372368" -> "139803507105968" [color = darkviolet];
+  "139803511372368" -> "139803749199472" [color = darkviolet];
+  "139803511372544" [label = "stage0-posix@HIDDEN", shape = box, fontname = sans];
+  "139803511372544" -> "139803511373072" [color = peachpuff4];
+  "139803511372544" -> "139803507105792" [color = peachpuff4];
+  "139803511372544" -> "139803511373600" [color = peachpuff4];
+  "139803511372544" -> "139803507105968" [color = peachpuff4];
+  "139803511372544" -> "139803749199472" [color = peachpuff4];
+  "139803511373072" [label = "bootstrap-seeds@HIDDEN", shape = ellipse, fontname = sans];
+  "139803511373072" -> "139803507105968" [color = cyan3];
+  "139803507105968" [label = "bootar@1b", shape = box, fontname = sans];
+  "139803507105968" -> "139803749199472" [color = dimgrey];
+  "139803749199472" [label = "guile-bootstrap@HIDDEN", shape = ellipse, fontname = sans];
+  "139803507105792" [label = "gash-boot@HIDDEN", shape = box, fontname = sans];
+  "139803507105792" -> "139803507105968" [color = darkviolet];
+  "139803507105792" -> "139803749199472" [color = darkviolet];
+  "139803511373600" [label = "gash-utils-boot@HIDDEN", shape = box, fontname = sans];
+  "139803511373600" -> "139803507105968" [color = red];
+  "139803511373600" -> "139803507105792" [color = red];
+  "139803511373600" -> "139803749199472" [color = red];
+  "139803511371488" [label = "patch-mesboot@HIDDEN", shape = box, fontname = sans];
+  "139803511371488" -> "139803511371840" [color = darkseagreen];
+  "139803511371488" -> "139803511372192" [color = darkseagreen];
+  "139803511371488" -> "139803507105792" [color = darkseagreen];
+  "139803511371488" -> "139803511373600" [color = darkseagreen];
+  "139803511371488" -> "139803507105968" [color = darkseagreen];
+  "139803511371488" -> "139803749199472" [color = darkseagreen];
+  "139803511371840" [label = "make-mesboot0@HIDDEN", shape = box, fontname = sans];
+  "139803511371840" -> "139803511372192" [color = blue];
+  "139803511371840" -> "139803507105792" [color = blue];
+  "139803511371840" -> "139803511373600" [color = blue];
+  "139803511371840" -> "139803507105968" [color = blue];
+  "139803511371840" -> "139803749199472" [color = blue];
+  "139803511371664" [label = "tcc-boot@HIDDEN", shape = box, fontname = sans];
+  "139803511371664" -> "139803511371840" [color = peachpuff4];
+  "139803511371664" -> "139803511372192" [color = peachpuff4];
+  "139803511371664" -> "139803507105792" [color = peachpuff4];
+  "139803511371664" -> "139803511373600" [color = peachpuff4];
+  "139803511371664" -> "139803507105968" [color = peachpuff4];
+  "139803511371664" -> "139803749199472" [color = peachpuff4];
 
 }
-- 
2.35.1





Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 13 May 2022 15:37:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 13 11:37:10 2022
Received: from localhost ([127.0.0.1]:44695 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npXLl-0003Gc-0k
	for submit <at> debbugs.gnu.org; Fri, 13 May 2022 11:37:10 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51440)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1npXLO-0003Dv-QX
 for 55227 <at> debbugs.gnu.org; Fri, 13 May 2022 11:36:57 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35438)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1npXLJ-0007GA-IA; Fri, 13 May 2022 11:36:37 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:References:In-Reply-To:Date:Subject:To:
 From; bh=mZI86opkLxc6QveqSnzafOWhNEhDpTZ6siygp2hEeAs=; b=Z6ujDGr5Vxa4sA7NgBdn
 UCK2vgWQEuhkSRVb1wY30ZHyjgJCa2TbzTZO0/In8FjbdJAUTuSpZboQk53aNnpsdm5ahfbPYVrQf
 JHxuHR/9Wh9NcniHY+OiTZLEYaQAZ+G2uZ6rwVopAPQdmY7UdyTNa8caS5vk8+ODFNmK2ht9Q/1Z+
 AMEqllN89LfCBytyjaZLBhbuDXM917Kz8F0TAi4KKs8tKN4TYQXkzx3i425SE0z3fn55fMGU/pUiJ
 KF+5rH2qm95U+kWE2R9yC8ZAH/anACdPtgyyKI+wgm8XpGw2mFkg6P6A3Un7ull0F2S/TtIQpKsXd
 wLfY0zjhYebm9Q==;
Received: from 2a02-a462-da03-1-fa3e-1174-c33f-9485.fixed6.kpn.net
 ([2a02:a462:da03:1:fa3e:1174:c33f:9485]:47912 helo=drakenbij.fritz.box)
 by fencepost.gnu.org with esmtpa (Exim 4.90_1)
 (envelope-from <janneke@HIDDEN>)
 id 1npXLJ-0006qU-1G; Fri, 13 May 2022 11:36:37 -0400
From: "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN>
To: 55227 <at> debbugs.gnu.org
Subject: [PATCH core-updates v3 4/8] gnu: commencement: tcc-boot0: Use
 nyacc-1.00.2.
Date: Fri, 13 May 2022 17:36:27 +0200
Message-Id: <20220513153631.13052-4-janneke@HIDDEN>
X-Mailer: git-send-email 2.35.1
In-Reply-To: <20220513153631.13052-1-janneke@HIDDEN>
References: <20220513153631.13052-1-janneke@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55227
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/commencement.scm (tcc-boot0): Use https source URL with
mirror://.  Update NYACC to 1.00.2 and call 'bootstrap-origin' on the source.
---
 gnu/packages/commencement.scm | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

diff --git a/gnu/packages/commencement.scm b/gnu/packages/commencement.scm
index 8a9bc3565f..776f5955a2 100644
--- a/gnu/packages/commencement.scm
+++ b/gnu/packages/commencement.scm
@@ -5,7 +5,7 @@
 ;;; Copyright © 2014, 2015, 2017 Mark H Weaver <mhw@HIDDEN>
 ;;; Copyright © 2017, 2018, 2019, 2021, 2022 Efraim Flashner <efraim@HIDDEN>
 ;;; Copyright © 2018 Tobias Geerinckx-Rice <me@HIDDEN>
-;;; Copyright © 2018, 2019, 2020, 2021 Jan (janneke) Nieuwenhuizen <janneke@HIDDEN>
+;;; Copyright © 2018, 2019, 2020, 2021, 2022 Jan (janneke) Nieuwenhuizen <janneke@HIDDEN>
 ;;; Copyright © 2019, 2020, 2021 Marius Bakke <marius@HIDDEN>
 ;;; Copyright © 2020, 2022 Timothy Sample <samplet@HIDDEN>
 ;;; Copyright © 2020 Guy Fleury Iteriteka <gfleury@HIDDEN>
@@ -627,9 +627,12 @@ (define tcc-boot0
     (version "0.9.26-1103-g6e62e0e")
     (source (origin
               (method url-fetch)
-              (uri (string-append
-                    "http://lilypond.org/janneke/mes/20191117/"
-                    "/tcc-" version ".tar.gz"))
+              (uri (list
+                    (string-append "mirror://gnu/guix/mirror/"
+                                   "tcc-" version ".tar.gz")
+                    (string-append
+                     "https://lilypond.org/janneke/mes/20191117/"
+                     "/tcc-" version ".tar.gz")))
               (sha256
                (base32
                 "1qbybw7mxbgkv3sazvz1v7c8byq998vk8f1h25ik8w3d2l63lxng"))))
@@ -639,8 +642,9 @@ (define tcc-boot0
     (propagated-inputs '())
     (native-inputs
      `(("mes" ,mes-boot)
-       ("nyacc-source" ,(origin (inherit (package-source nyacc-0.99))
-                                (snippet #f)))
+       ("nyacc-source" ,(bootstrap-origin
+                         (origin (inherit (package-source nyacc-1.00.2))
+                                 (snippet #f))))
        ("mescc-tools" ,%bootstrap-mescc-tools)
        ,@(%boot-gash-inputs)))
     (arguments
-- 
2.35.1





Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 13 May 2022 15:37:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 13 11:37:05 2022
Received: from localhost ([127.0.0.1]:44693 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npXLk-0003GV-Fh
	for submit <at> debbugs.gnu.org; Fri, 13 May 2022 11:37:04 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51452)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1npXLR-0003E3-61
 for 55227 <at> debbugs.gnu.org; Fri, 13 May 2022 11:36:57 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35444)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1npXLL-0007Gb-UY; Fri, 13 May 2022 11:36:39 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:References:In-Reply-To:Date:Subject:To:
 From; bh=up3BefH1fcXcUbh/r+ZCFghEItlwlSCVDiSLqJmb1HM=; b=GN1f3CFpaItvdej9BfB5
 L4v5y+gz+4yRolbZIKe1Qds/DjltwASPxA0e5NBxETDeHuc2F3YLX5J3psUaZI+1TwL9pmNb1VmP7
 sM/5DZhBdAf7bmf0ocbrLgjbwFYujXkGBl8lkVRsyNsrgGhv/tp6yvrJh1VN7DEDk55oE2iJIRE+z
 4IDMUqo7ewya0bT+S4//f9pIzBFwlEHMuZWZXB/19GbCu+T+Qu7ew75+wirpth8Y4KJadzqasVFjV
 F1AgX2YtbvCGWxIdOOpe13R2DNwks8h6uHdYNMpx5+sKMw+sL76gi9cB0nYX0yfZv6CtTZ/8Nvqgy
 oFnU/69Zl6XHVQ==;
Received: from 2a02-a462-da03-1-fa3e-1174-c33f-9485.fixed6.kpn.net
 ([2a02:a462:da03:1:fa3e:1174:c33f:9485]:47912 helo=drakenbij.fritz.box)
 by fencepost.gnu.org with esmtpa (Exim 4.90_1)
 (envelope-from <janneke@HIDDEN>)
 id 1npXLL-0006qU-Gv; Fri, 13 May 2022 11:36:39 -0400
From: "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN>
To: 55227 <at> debbugs.gnu.org
Subject: [PATCH core-updates v3 7/8] gnu: commencement: Remove
 %bootstrap-mes-rewired.
Date: Fri, 13 May 2022 17:36:30 +0200
Message-Id: <20220513153631.13052-7-janneke@HIDDEN>
X-Mailer: git-send-email 2.35.1
In-Reply-To: <20220513153631.13052-1-janneke@HIDDEN>
References: <20220513153631.13052-1-janneke@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55227
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/commencement.scm (%bootstrap-mes-rewired): Remove.
---
 gnu/packages/commencement.scm | 108 ----------------------------------
 1 file changed, 108 deletions(-)

diff --git a/gnu/packages/commencement.scm b/gnu/packages/commencement.scm
index d01b0ef8c9..0390c43023 100644
--- a/gnu/packages/commencement.scm
+++ b/gnu/packages/commencement.scm
@@ -423,114 +423,6 @@ (define stage0-posix
 MesCC-Tools), and finally M2-Planet.")
       (license license:gpl3+))))
 
-(define %bootstrap-mes-rewired
-  (package
-    (inherit mes)
-    (name "bootstrap-mes-rewired")
-    (version "0.19")
-    (source #f)
-    (native-inputs `(("mes" ,%bootstrap-mes)
-                     ("gash" ,gash-boot)))
-    (inputs '())
-    (propagated-inputs '())
-    (outputs '("out"))
-    (build-system trivial-build-system)
-    (arguments
-     `(#:guile ,%bootstrap-guile
-       #:modules ((guix build utils))
-
-       #:builder (begin
-                   (use-modules (guix build utils)
-                                (srfi srfi-26))
-
-                   (let* ((mes (assoc-ref %build-inputs "mes"))
-                          (gash (assoc-ref %build-inputs "gash"))
-                          (mes-bin (string-append mes "/bin"))
-                          (guile (string-append mes-bin "/mes"))
-                          (mes-module (string-append mes "/share/mes/module"))
-                          (out (assoc-ref %outputs "out"))
-                          (bin (string-append out "/bin"))
-                          (mescc (string-append bin "/mescc"))
-                          (module (string-append out "/share/mes/module")))
-                     (define (rewire file)
-                       (substitute* file
-                         ((mes) out)
-                         (("/gnu/store[^ ]+mes-minimal-[^/)}\"]*") out)
-                         (("/gnu/store[^ ]+guile-[^/]*/bin/guile") guile)
-                         (("/gnu/store[^ ]+bash-[^/)}\"]*") gash)))
-
-                     (mkdir-p bin)
-                     (for-each (lambda (file) (install-file file bin))
-                               (find-files mes-bin))
-                     (mkdir-p module)
-                     (copy-recursively (string-append mes-module "/mes")
-                                       (string-append module "/mes"))
-                     (copy-recursively (string-append mes-module "/srfi")
-                                       (string-append module "/srfi"))
-                     (for-each rewire
-                               ;; Cannot easily rewire "mes" because it
-                               ;; contains NUL characters; would require
-                               ;; remove-store-references alike trick
-                               (filter (negate (cut string-suffix? "/mes" <>))
-                                       (find-files bin)))
-                     (rewire (string-append module "/mes/boot-0.scm"))
-
-                     (delete-file mescc)
-                     (with-output-to-file mescc
-                       (lambda _
-                         (display (string-append
-                                   "\
-#! " gash "/bin/sh
-LANG=C
-LC_ALL=C
-export LANG LC_ALL
-
-MES_PREFIX=${MES_REWIRED_PREFIX-" out "/share/mes}
-MES=" bin "/mes
-export MES MES_PREFIX
-
-MES_ARENA=${MES_REWIRED_ARENA-10000000}
-MES_MAX_ARENA=${MES_REWIRED_ARENA-10000000}
-MES_STACK=${MES_REWIRED_STACK-1000000}
-export MES_ARENA MES_MAX_ARENA MES_STACK
-
-$MES -e '(mescc)' module/mescc.scm -- \"$@\"
-"))))
-                     (chmod mescc #o555)
-
-                     (with-directory-excursion module
-                       (chmod "mes/base.mes" #o644)
-                       (copy-file "mes/base.mes" "mes/base.mes.orig")
-                       (let ((base.mes (open-file "mes/base.mes" "a")))
-                         (display "
-;; A fixed map, from Mes 0.21, required to bootstrap Mes 0.21
-(define (map f h . t)
-  (if (or (null? h)
-          (and (pair? t) (null? (car t)))
-          (and (pair? t) (pair? (cdr t)) (null? (cadr t)))) '()
-      (if (null? t) (cons (f (car h)) (map f (cdr h)))
-          (if (null? (cdr t))
-              (cons (f (car h) (caar t)) (map f (cdr h) (cdar t)))
-              (if (null? (cddr t))
-                  (cons (f (car h) (caar t) (caadr t)) (map f (cdr h) (cdar t) (cdadr t)))
-                  (error 'unsupported (cons* 'map-4: f h t))b )))))
-" base.mes)
-                         (close base.mes))
-
-                       (chmod "mes/guile.mes" #o644)
-                       (copy-file "mes/guile.mes" "mes/guile.mes.orig")
-                       (let ((guile.mes (open-file "mes/guile.mes" "a")))
-                         (display "
-;; After booting guile.scm; use Mes 0.21; especially: MesCC 0.21
-(let* ((self (car (command-line)))
-       (prefix (dirname (dirname self))))
-  (set! %moduledir (string-append prefix \"/mes/module/\"))
-  (setenv \"%numbered_arch\" \"true\"))
-
-" guile.mes)
-                         (close guile.mes)))
-                     #t))))))
-
 (define mes-boot
   (package
     (inherit mes)
-- 
2.35.1





Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 13 May 2022 15:37:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 13 11:37:04 2022
Received: from localhost ([127.0.0.1]:44691 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npXLk-0003GL-5H
	for submit <at> debbugs.gnu.org; Fri, 13 May 2022 11:37:04 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51448)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1npXLQ-0003E1-Bh
 for 55227 <at> debbugs.gnu.org; Fri, 13 May 2022 11:36:52 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35442)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1npXLL-0007GT-3E; Fri, 13 May 2022 11:36:39 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:References:In-Reply-To:Date:Subject:To:
 From; bh=iOVLtEkMtDshtLU0RT0isnJjRmmtfR9bgioBYJwVZwQ=; b=Z2aA4Hqg2iH5IHk2PjF/
 cQD3Fb5t2NUNcQ0gFspgTvlM0dLpu011vHDeOcU8+tRPFeenVHxISNAS/DWr5evlvrHkc+kKeCCNC
 y1tlOYZwHvmtdciXxN2vCDwQ+xaPQERopR5dqpIFFq8CsaUO95j/KMbSKHKCv1DuovuqDymOoRQ1p
 JD65dwNrGekRvDR3SoE3qeWhwUjVOFFA5KAvMGgAkNjRoSYZxKZ2Wax1doUYFHMCEhjzSF5kXIVZS
 8LcRBQqd7AT2DELcFKyTKczkw5y0MU1uQkbW0ixKH8wzDAyRmmh43txsNvdIZLmrvuwo42dJZ5Ann
 ErJw2GWfiqmOag==;
Received: from 2a02-a462-da03-1-fa3e-1174-c33f-9485.fixed6.kpn.net
 ([2a02:a462:da03:1:fa3e:1174:c33f:9485]:47912 helo=drakenbij.fritz.box)
 by fencepost.gnu.org with esmtpa (Exim 4.90_1)
 (envelope-from <janneke@HIDDEN>)
 id 1npXLK-0006qU-Bi; Fri, 13 May 2022 11:36:38 -0400
From: "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN>
To: 55227 <at> debbugs.gnu.org
Subject: [PATCH core-updates v3 6/8] gnu: bootstrap: Remove
 %bootstrap-mescc-tools, %bootstrap-mes.
Date: Fri, 13 May 2022 17:36:29 +0200
Message-Id: <20220513153631.13052-6-janneke@HIDDEN>
X-Mailer: git-send-email 2.35.1
In-Reply-To: <20220513153631.13052-1-janneke@HIDDEN>
References: <20220513153631.13052-1-janneke@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55227
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/bootstrap.scm (%bootstrap-inputs): Remove
%bootstrap-mescc-tools, %bootstrap-mes.
---
 gnu/packages/bootstrap.scm | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

diff --git a/gnu/packages/bootstrap.scm b/gnu/packages/bootstrap.scm
index 8bd0c4eaf3..03242f0e7b 100644
--- a/gnu/packages/bootstrap.scm
+++ b/gnu/packages/bootstrap.scm
@@ -1035,9 +1035,7 @@ (define (%bootstrap-inputs)
   ;; own packages.
   (match (%current-system)
     ((or "i686-linux" "x86_64-linux")
-     `(("linux-libre-headers" ,%bootstrap-linux-libre-headers)
-       ("bootstrap-mescc-tools" ,%bootstrap-mescc-tools)
-       ("mes" ,%bootstrap-mes)))
+     `(("linux-libre-headers" ,%bootstrap-linux-libre-headers)))
     (_
      `(("libc" ,%bootstrap-glibc)
        ("gcc" ,%bootstrap-gcc)
-- 
2.35.1





Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 13 May 2022 15:37:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 13 11:37:04 2022
Received: from localhost ([127.0.0.1]:44689 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npXLj-0003GD-NQ
	for submit <at> debbugs.gnu.org; Fri, 13 May 2022 11:37:04 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51444)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1npXLP-0003Dy-BH
 for 55227 <at> debbugs.gnu.org; Fri, 13 May 2022 11:36:43 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35440)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1npXLK-0007GK-2G; Fri, 13 May 2022 11:36:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:References:In-Reply-To:Date:Subject:To:
 From; bh=F/rOcydWO4ZLu6BlusZO0/O6e8t83+/mObH3J4IjeDs=; b=Q8ROj+DimRDabJDAwnkG
 xMqhB7XQh3XaR/EKIwzBAh6SXeda5Gw8FDDNnpL8o0bsgLyKfpRhp/mQuvxKdYONSYbL6UvAPIXGS
 baHUqLGjcLt6v92p3cjxnk0cwDT8/va0c4vycrvQz3XT+Nits88whricMyMPDkP0PvE3eOe+amXpC
 jYZlol552TIwRzV7hAGHBdx/VFO0unzzhCyttZsxnFiUag0SaFFxxx5jL7YXqmVJYxZEKO3T3XXTX
 P+fbQs0HPH2+m2nMRbwxHxmGfy9QnLMprrvmcw5YzmSRr0826L//dvkAVh/rwyjE1TjOOP6+oG/KM
 mErwgk0qmjOPqA==;
Received: from 2a02-a462-da03-1-fa3e-1174-c33f-9485.fixed6.kpn.net
 ([2a02:a462:da03:1:fa3e:1174:c33f:9485]:47912 helo=drakenbij.fritz.box)
 by fencepost.gnu.org with esmtpa (Exim 4.90_1)
 (envelope-from <janneke@HIDDEN>)
 id 1npXLJ-0006qU-Li; Fri, 13 May 2022 11:36:37 -0400
From: "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN>
To: 55227 <at> debbugs.gnu.org
Subject: [PATCH core-updates v3 5/8] gnu: commencement: tcc-boot0: Update to
 0.9.26-1136-g0fbeb2dd.
Date: Fri, 13 May 2022 17:36:28 +0200
Message-Id: <20220513153631.13052-5-janneke@HIDDEN>
X-Mailer: git-send-email 2.35.1
In-Reply-To: <20220513153631.13052-1-janneke@HIDDEN>
References: <20220513153631.13052-1-janneke@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55227
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/commencement.scm (tcc-boot0)[source]: Update to
0.9.26-1136-g0fbeb2dd.
[native-inputs]: Add stage0-posix and mes-boot, remove
%bootstrap-mescc-tools and %bootstrap-mes-rewired.
---
 gnu/packages/commencement.scm | 34 ++++++++++++++++------------------
 1 file changed, 16 insertions(+), 18 deletions(-)

diff --git a/gnu/packages/commencement.scm b/gnu/packages/commencement.scm
index 776f5955a2..d01b0ef8c9 100644
--- a/gnu/packages/commencement.scm
+++ b/gnu/packages/commencement.scm
@@ -615,7 +615,7 @@ (define (objects-in-dir dir)
 
 
 (define tcc-boot0
-  ;; Pristine tcc cannot be built by MesCC, we are keeping a delta of 11
+  ;; Pristine tcc cannot be built by MesCC, we are keeping a delta of 30
   ;; patches.  In a very early and rough form they were presented to the
   ;; TinyCC developers, who at the time showed no interest in supporting the
   ;; bootstrappable effort; we will try again later.  These patches have been
@@ -624,28 +624,27 @@ (define tcc-boot0
   (package
     (inherit tcc)
     (name "tcc-boot0")
-    (version "0.9.26-1103-g6e62e0e")
+    (version "0.9.26-1136-g5bba73cc")
     (source (origin
               (method url-fetch)
               (uri (list
                     (string-append "mirror://gnu/guix/mirror/"
                                    "tcc-" version ".tar.gz")
-                    (string-append
-                     "https://lilypond.org/janneke/mes/20191117/"
-                     "/tcc-" version ".tar.gz")))
+                    (string-append "https://lilypond.org/janneke/tcc/"
+                                   "tcc-" version ".tar.gz")))
               (sha256
                (base32
-                "1qbybw7mxbgkv3sazvz1v7c8byq998vk8f1h25ik8w3d2l63lxng"))))
+                "1y2f04qwdqg7dgxiscbf0ibybx2gclniwbbcsxpayazzii2cvji3"))))
     (build-system gnu-build-system)
     (supported-systems '("i686-linux" "x86_64-linux"))
     (inputs '())
     (propagated-inputs '())
     (native-inputs
      `(("mes" ,mes-boot)
+       ("mescc-tools" ,stage0-posix)
        ("nyacc-source" ,(bootstrap-origin
                          (origin (inherit (package-source nyacc-1.00.2))
                                  (snippet #f))))
-       ("mescc-tools" ,%bootstrap-mescc-tools)
        ,@(%boot-gash-inputs)))
     (arguments
      `(#:implicit-inputs? #f
@@ -660,18 +659,17 @@ (define tcc-boot0
                (with-directory-excursion ".."
                  (invoke "tar" "-xvf" nyacc-source)))))
          (replace 'configure
-           (lambda* (#:key outputs #:allow-other-keys)
+           (lambda* (#:key inputs outputs #:allow-other-keys)
              (let* ((out (assoc-ref %outputs "out"))
                     (dir (with-directory-excursion ".." (getcwd)))
-                    (interpreter "/lib/mes-loader"))
-
-               (setenv "prefix" out)
-               (setenv "GUILE_LOAD_PATH"
-                       (string-append dir "/nyacc-0.99.0/module"))
-
+                    (interpreter "/lib/mes-loader")
+                    (mes (assoc-ref inputs "mes"))
+                    (mescc (string-append mes "/bin/mescc")))
                (substitute* "conftest.c"
                  (("volatile") ""))
-
+               (setenv "prefix" out)
+               (setenv "GUILE_LOAD_PATH"
+                       (string-append dir "/nyacc-1.00.2/module"))
                (invoke "sh" "configure"
                        "--cc=mescc"
                        (string-append "--prefix=" out)
@@ -681,7 +679,7 @@ (define tcc-boot0
          (replace 'build
            (lambda _
              (substitute* "bootstrap.sh" ; Show some progress
-               (("^( *)((cp|ls|mkdir|rm|[.]/tcc|[.]/[$][{PROGRAM_PREFIX[}]tcc) [^\"]*[^\\])\n" all space cmd)
+               (("^( *)((cp|ls|mkdir|rm|[.]/tcc|[.]/[$][{program_prefix[}]tcc) [^\"]*[^\\])\n" all space cmd)
                 (string-append space "echo \"" cmd "\"\n"
                                space cmd "\n")))
              (invoke "sh" "bootstrap.sh")))
@@ -901,8 +899,8 @@ (define tcc-boot
                                   (string-append out "/include"))
                 (copy-recursively (string-append tcc "/lib")
                                   (string-append out "/lib"))
-                (invoke "tcc" "-D" "TCC_TARGET_I386=1" "-c" "-o" "libtcc1.o" "lib/libtcc1.c")
-                (invoke "tcc" "-ar" "rc" "libtcc1.a" "libtcc1.o")
+                (invoke "./tcc" "-D" "TCC_TARGET_I386=1" "-c" "-o" "libtcc1.o" "lib/libtcc1.c")
+                (invoke "./tcc" "-ar" "rc" "libtcc1.a" "libtcc1.o")
                 (copy-file "libtcc1.a" (string-append out "/lib/libtcc1.a"))
                 (delete-file (string-append out "/lib/tcc/libtcc1.a"))
                 (copy-file "libtcc1.a"
-- 
2.35.1





Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 13 May 2022 15:37:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 13 11:37:03 2022
Received: from localhost ([127.0.0.1]:44687 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npXLj-0003G6-7K
	for submit <at> debbugs.gnu.org; Fri, 13 May 2022 11:37:03 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51422)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1npXLN-0003Dq-DY
 for 55227 <at> debbugs.gnu.org; Fri, 13 May 2022 11:36:42 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35434)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1npXLI-0007Fv-5K; Fri, 13 May 2022 11:36:36 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:References:In-Reply-To:Date:Subject:To:
 From; bh=iMehz5vSzqHwRdfqNEF7nAS+iw9dzfUaYNRXLG23J8s=; b=dtfi8HZvPqJEwCvWUUlS
 V+2NXMWvH9hKAG8IZgt7E1UHgE7mDn6fDAx9rX6p3gzYrNcSbTSgP694gC3z7wXatRS2pVSsbI0b6
 iBo56GB2JITYIbRC+BSmwNnI3VHO3BDGLZYzsUf6DFWFe3Cg8CI+CRxLSIsbzq4qoamIH9/6VjvrP
 ffihHNTtMsF0nSBR2w30bH+qTOsj9DeR96JjQhDVMBXKHxVvXpqfpj5YHbHdQIhW3FZuRDySH1KiK
 wfME3k0z8NyNelkAhVFqzoiQH8sIqJ0vHB93U9mxy8fWuJUK3X62yZ6sNnMvdRWHnSde72/AhUZxI
 XOcpyW8uI6ZNEQ==;
Received: from 2a02-a462-da03-1-fa3e-1174-c33f-9485.fixed6.kpn.net
 ([2a02:a462:da03:1:fa3e:1174:c33f:9485]:47912 helo=drakenbij.fritz.box)
 by fencepost.gnu.org with esmtpa (Exim 4.90_1)
 (envelope-from <janneke@HIDDEN>)
 id 1npXLH-0006qU-JX; Fri, 13 May 2022 11:36:35 -0400
From: "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN>
To: 55227 <at> debbugs.gnu.org
Subject: [PATCH core-updates v3 2/8] gnu: commencement: Add stage0-posix.
Date: Fri, 13 May 2022 17:36:25 +0200
Message-Id: <20220513153631.13052-2-janneke@HIDDEN>
X-Mailer: git-send-email 2.35.1
In-Reply-To: <20220513153631.13052-1-janneke@HIDDEN>
References: <20220513153631.13052-1-janneke@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55227
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stage0-posix is a skeleton for bootstrapping all of Stage0 for POSIX systems.
On x86-linux, from the 357-byte hex0-seed binary from the bootstrap-seeds, it
builds hex0, kaem, hex1, catm, hex2, M0, cc_x86, M1, M2,
get_machine, (mescc-tools), and M2-Planet.

* gnu/packages/commencement.scm (stage0-posix): New variable.
---
 gnu/packages/commencement.scm | 117 ++++++++++++++++++++++++++++++++++
 1 file changed, 117 insertions(+)

diff --git a/gnu/packages/commencement.scm b/gnu/packages/commencement.scm
index ebb4ea98f1..cf3b356543 100644
--- a/gnu/packages/commencement.scm
+++ b/gnu/packages/commencement.scm
@@ -306,6 +306,123 @@ (define bootstrap-seeds
 hex1, hex2, M1, and M2-Planet.")
     (license license:gpl3+)))
 
+(define stage0-posix
+  ;; The initial bootstrap package: no binary inputs except those from
+  ;; `bootstrap-seeds, for x86 a 357 byte binary seed: `x86/hex0-seed'.
+  (let* ((mescc-tools-version "1.4.0")
+         (m2-planet-version "1.9.0")
+         (mescc-tools
+          (origin
+            (method url-fetch)
+            (uri (list
+                  (string-append
+                   "mirror://gnu/guix/mirror/"
+                   "mescc-tools-" mescc-tools-version ".tar.gz")
+                  (string-append
+                   "https://lilypond.org/janneke/guix/20220502/"
+                   "mescc-tools-" mescc-tools-version ".tar.gz")))
+            (sha256
+             (base32
+              "1xi6f48pf5bhajhfis189gpizxij7nbp1vzvsb1aafhz4skkiqvg"))))
+         (m2-planet
+          (origin
+            (method url-fetch)
+            (uri (list
+                  (string-append
+                   "mirror://gnu/guix/mirror/"
+                   "M2-Planet-" m2-planet-version ".tar.gz")
+                  (string-append
+                   "https://lilypond.org/janneke/guix/20220502/"
+                   "M2-Planet-" m2-planet-version ".tar.gz")))
+            (sha256
+             (base32
+              "1xrn69sc5nz4hwaishqyrcidp1ncxwib9zswl45x378ddz3mmk7g")))))
+    (package
+      (name "stage0-posix")
+      (version "1.4")
+      (source (origin
+                (method url-fetch)
+                (uri (list
+                      (string-append "mirror://gnu/guix/mirror/"
+                                     "stage0-posix-" version ".tar.gz")
+                      (string-append
+                       "https://lilypond.org/janneke/guix/20220502/"
+                       "stage0-posix-" version ".tar.gz")))
+                (sha256
+                 (base32
+                  "1ammifkj33205qrpfm84yb1c99lwgbn4jsl1hd08aab8c9ffz6p4"))))
+      (supported-systems '("i686-linux" "x86_64-linux"
+                           "armhf-linux" "aarch64-linux"
+                           "riscv64-linux"))
+      (native-inputs
+       `(("bootstrap-seeds" ,bootstrap-seeds)
+         ,@(%boot-gash-inputs)))
+      (build-system trivial-build-system)
+      (arguments
+       (list
+        #:guile %bootstrap-guile
+        #:modules '((guix build utils))
+        #:builder
+        #~(begin
+            (use-modules (guix build utils))
+            (let* ((bootstrap-seeds (assoc-ref %build-inputs "bootstrap-seeds"))
+                   (source (assoc-ref %build-inputs "source"))
+                   (tar (assoc-ref %build-inputs "bootar"))
+                   (bash (assoc-ref %build-inputs "bash"))
+                   (coreutils (assoc-ref %build-inputs "coreutils"))
+                   (guile (assoc-ref %build-inputs "guile"))
+                   (out (assoc-ref %outputs "out"))
+                   (bindir (string-append out "/bin"))
+                   (target (or #$(%current-target-system)
+                               #$(%current-system)))
+                   (stage0-cpu
+                    (cond
+                     ((or #$(target-x86-64?) #$(target-x86-32?))
+                      "x86")
+                     (#$(target-arm?)
+                      "armv7l")
+                     (else
+                      (error "stage0-posix: system not supported" target))))
+                   (kaem (string-append "../bootstrap-seeds/POSIX/"
+                                        stage0-cpu "/kaem-optional-seed")))
+              (setenv "PATH" (string-append tar "/bin:"
+                                            coreutils "/bin:"
+                                            bash "/bin"))
+              (invoke "tar" "xvf" source)
+              (chdir (string-append "stage0-posix-" #$version))
+              (copy-recursively bootstrap-seeds "bootstrap-seeds")
+              (invoke "tar" "xvf" #$mescc-tools)
+              (rmdir "mescc-tools")
+              (symlink (string-append "mescc-tools-" #$mescc-tools-version)
+                       "mescc-tools")
+              (invoke "tar" "xvf" #$m2-planet)
+              (rmdir "M2-Planet")
+              (symlink (string-append "M2-Planet-" #$m2-planet-version)
+                       "M2-Planet")
+              (rmdir "M2libc")
+              (symlink "M2-Planet/M2libc" "M2libc")
+              (mkdir-p bindir)
+              (with-directory-excursion stage0-cpu
+                (with-output-to-file "mes-m2.kaem"
+                  (lambda _ (display "")))
+                (with-output-to-file "mescc-tools-extra.kaem"
+                  (lambda _ (display "")))
+                (invoke kaem "kaem.run"))
+              (with-directory-excursion "bin"
+                (install-file "hex2" bindir)
+                (install-file "M1" bindir)
+                (install-file "blood-elf" bindir)
+                (install-file "kaem" bindir)
+                (install-file "get_machine" bindir)
+                (install-file "M2-Planet" bindir))))))
+      (home-page "https://github.com/oriansj/stage0-posix/")
+      (synopsis "The initial bootstrap package, builds stage0 up to M2-Planet")
+      (description "Starting from the 357-byte hex0-seed binary provided by
+the bootstrap-seeds, the stage0-posix package first builds hex0 and then all
+the way up: hex1, catm, hex2, M0, cc_x86, M1, M2, get_machine (that's all of
+MesCC-Tools), and finally M2-Planet.")
+      (license license:gpl3+))))
+
 (define %bootstrap-mes-rewired
   (package
     (inherit mes)
-- 
2.35.1





Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 13 May 2022 15:37:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 13 11:37:03 2022
Received: from localhost ([127.0.0.1]:44684 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npXLX-0003En-M4
	for submit <at> debbugs.gnu.org; Fri, 13 May 2022 11:37:03 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51428)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1npXLO-0003Dr-0Y
 for 55227 <at> debbugs.gnu.org; Fri, 13 May 2022 11:36:42 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35436)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1npXLI-0007G3-Oc; Fri, 13 May 2022 11:36:36 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:References:In-Reply-To:Date:Subject:To:
 From; bh=9Jy2MaNbjtZf2MbFQ1mOfZkzJtiE9jLsI8kI3wJzNkc=; b=obP/rTcnexHjZefyTpS6
 geOyGstmYvenICLsMwZ5ilLhCMFlZhcLKXSysFyEwjuXGHBbd1WOn9esndEnEbuH85Uf/ImuebNja
 pGFvuaRfioE0NeIk2KG7bJLJsyu9BpIVXf5QLp5R0eXH+1Dh7tsQi+p9zl47Fhf6wS/qXiPBpSXy4
 PxiTa1XsOwXKmr0TaJr2NAKP8/eVofIFaCDVe5Eqe35xxmWfe8ZqQp7HfHzldh2RoXfssUM0TCAMa
 KB0zjcmGisgHT4biYog+OnNoRmRc7U7wZGQeEz5DDHLmAKZlolYnyYjx48N8dmnlE6ZRwCgHwvVLl
 F4db+mfVFC51sQ==;
Received: from 2a02-a462-da03-1-fa3e-1174-c33f-9485.fixed6.kpn.net
 ([2a02:a462:da03:1:fa3e:1174:c33f:9485]:47912 helo=drakenbij.fritz.box)
 by fencepost.gnu.org with esmtpa (Exim 4.90_1)
 (envelope-from <janneke@HIDDEN>)
 id 1npXLI-0006qU-Cf; Fri, 13 May 2022 11:36:36 -0400
From: "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN>
To: 55227 <at> debbugs.gnu.org
Subject: [PATCH core-updates v3 3/8] gnu: commencement: mes-boot: Update to
 0.24, build with M2-Planet.
Date: Fri, 13 May 2022 17:36:26 +0200
Message-Id: <20220513153631.13052-3-janneke@HIDDEN>
X-Mailer: git-send-email 2.35.1
In-Reply-To: <20220513153631.13052-1-janneke@HIDDEN>
References: <20220513153631.13052-1-janneke@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55227
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/commencement.scm (mes-boot)[source]: Update to
0.24.
[native-inputs]: Add stage0-posix, remove %bootstrap-mescc-tools and
%bootstrap-mes-rewired, and update nyacc to 1.00.2.
---
 gnu/packages/commencement.scm | 48 +++++++++++++++++------------------
 1 file changed, 23 insertions(+), 25 deletions(-)

diff --git a/gnu/packages/commencement.scm b/gnu/packages/commencement.scm
index cf3b356543..8a9bc3565f 100644
--- a/gnu/packages/commencement.scm
+++ b/gnu/packages/commencement.scm
@@ -535,27 +535,27 @@ (define mes-boot
   (package
     (inherit mes)
     (name "mes-boot")
-    (version "0.22")
+    (version "0.24")
     (source (origin
               (method url-fetch)
               (uri (string-append "mirror://gnu/mes/"
                                   "mes-" version ".tar.gz"))
               (sha256
                (base32
-                "0p1jsrrmcbc0zrvbvnjbb6iyxr0in71km293q8qj6gnar6bw09av"))))
+                "00lrpm4x5qg0l840zhbf9mr67mqhp8gljcl24j5dy0y109gf32w2"))))
     (inputs '())
     (propagated-inputs '())
     (native-inputs
-     `(("nyacc-source" ,(origin (inherit (package-source nyacc-0.99))
-                                (snippet #f)))
-       ("mes" ,%bootstrap-mes-rewired)
-       ("mescc-tools" ,%bootstrap-mescc-tools)
+     `(("m2-planet" ,stage0-posix)
+       ("nyacc-source" ,(bootstrap-origin
+                         (origin (inherit (package-source nyacc-1.00.2))
+                                 (snippet #f))))
        ,@(%boot-gash-inputs)))
     (arguments
      `(#:implicit-inputs? #f
        #:tests? #f
        #:guile ,%bootstrap-guile
-       #:strip-binaries? #f    ; binutil's strip b0rkes MesCC/M1/hex2 binaries
+       #:strip-binaries? #f             ;no strip yet
        #:phases
        (modify-phases %standard-phases
          (add-after 'unpack 'unpack-seeds
@@ -564,44 +564,42 @@ (define mes-boot
                (with-directory-excursion ".."
                  (invoke "tar" "-xvf" nyacc-source)))))
          (replace 'configure
-           (lambda* (#:key outputs #:allow-other-keys)
-             (let ((out (assoc-ref %outputs "out"))
-                   (gash (assoc-ref %build-inputs "bash"))
-                   (mes (assoc-ref %build-inputs "mes"))
+           (lambda* (#:key inputs outputs #:allow-other-keys)
+             (let ((out (assoc-ref outputs "out"))
+                   (gash (assoc-ref inputs "bash"))
+                   (mes (assoc-ref inputs "mes"))
                    (dir (with-directory-excursion ".." (getcwd))))
-               (setenv "AR" (string-append "gash " (getcwd) "/scripts/mesar"))
-               (setenv "BASH" (string-append gash "/bin/bash"))
-               (setenv "CC" (string-append mes "/bin/mescc"))
-               (setenv "GUILE_LOAD_PATH"
-                       (string-append
-                        mes "/share/mes/module"
-                        ":" dir "/nyacc-0.99.0/module"))
+               (setenv "GUILE_LOAD_PATH" (string-append
+                                          dir "/nyacc-1.00.2/module"))
                (invoke "gash" "configure.sh"
                        (string-append "--prefix=" out)
-                       (string-append "--host=i686-linux-gnu")))))
+                       "--host=i686-linux-gnu"))))
          (replace 'build
            (lambda _
-             (invoke "sh" "bootstrap.sh")))
+             (invoke "gash" "bootstrap.sh")))
          (delete 'check)
          (replace 'install
-           (lambda _
+           (lambda* (#:key outputs #:allow-other-keys)
              (substitute* "install.sh"  ; show some progress
                ((" -xf") " -xvf")
                (("^( *)((cp|mkdir|tar) [^']*[^\\])\n" all space cmd)
                 (string-append space "echo '" cmd "'\n"
                                space cmd "\n")))
-             (invoke "sh" "install.sh")
+             (invoke "gash" "install.sh")
              ;; Keep ASCII output, for friendlier comparison and bisection
-             (let* ((out (assoc-ref %outputs "out"))
+             (let* ((out (assoc-ref outputs "out"))
                     (cache (string-append out "/lib/cache")))
                (define (objects-in-dir dir)
                  (find-files dir
                              (lambda (name stat)
                                (and (equal? (dirname name) dir)
-                                    (or (string-suffix? ".o" name)
+                                    (or (string-suffix? ".M1" name)
+                                        (string-suffix? ".hex2" name)
+                                        (string-suffix? ".o" name)
                                         (string-suffix? ".s" name))))))
                (for-each (lambda (x) (install-file x cache))
-                         (append (objects-in-dir ".")
+                         (append (objects-in-dir "m2")
+                                 (objects-in-dir ".")
                                  (objects-in-dir "mescc-lib")))))))))
     (native-search-paths
      (list (search-path-specification
-- 
2.35.1





Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 13 May 2022 15:36:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 13 11:36:51 2022
Received: from localhost ([127.0.0.1]:44674 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npXLP-0003EO-Ve
	for submit <at> debbugs.gnu.org; Fri, 13 May 2022 11:36:51 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51410)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1npXLM-0003Dm-TH
 for 55227 <at> debbugs.gnu.org; Fri, 13 May 2022 11:36:42 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35432)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1npXLH-0007Fc-Cy; Fri, 13 May 2022 11:36:35 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:Subject:To:From:in-reply-to:
 references; bh=RE19rQxMDwhNW9Zf6753YKh3v4EdXZCS/U7lDxo6koI=; b=KezN8QPzJ+Q3jY
 5CLg07qjJtxCbnWT/sckJLuxyKItcL2fikPgApL+9cnwozk8XPGef1/a3WaHg8a7blItyfZr8z5Mz
 Dd6flkOb4qNQg0cD4Qi6tWQh5DZDk8dBUcsl5sAJZuYN94sw3pH+yvuGxl2tX5TobRDq02pFPCsS0
 rQrtO76HC/ZnNTBQ8iu664hrsvA7lZUSuFkViX18TiBCFQkqBwyRTd1Yho1qzZl0liEICm5dQwr7m
 Tj8U5owF6aeA1aHDqpUboU9bX88Fr5ZIBIz8TKQIF/Bj6aWd+mTc/PhpYAUja0OPIHEcKQMKYkmdL
 q+EQrjoRpZnT12nOiJVw==;
Received: from 2a02-a462-da03-1-fa3e-1174-c33f-9485.fixed6.kpn.net
 ([2a02:a462:da03:1:fa3e:1174:c33f:9485]:47912 helo=drakenbij.fritz.box)
 by fencepost.gnu.org with esmtpa (Exim 4.90_1)
 (envelope-from <janneke@HIDDEN>)
 id 1npXLG-0006qU-W7; Fri, 13 May 2022 11:36:35 -0400
From: "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN>
To: 55227 <at> debbugs.gnu.org
Subject: [PATCH core-updates v3 1/8] gnu: commencement: Add bootstrap-seeds.
Date: Fri, 13 May 2022 17:36:24 +0200
Message-Id: <20220513153631.13052-1-janneke@HIDDEN>
X-Mailer: git-send-email 2.35.1
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55227
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/commencement.scm (bootstrap-seeds): New variable.
---
 gnu/packages/commencement.scm | 42 ++++++++++++++++++++++++++++++++++-
 1 file changed, 41 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/commencement.scm b/gnu/packages/commencement.scm
index 9d6ed5fd08..ebb4ea98f1 100644
--- a/gnu/packages/commencement.scm
+++ b/gnu/packages/commencement.scm
@@ -5,7 +5,7 @@
 ;;; Copyright © 2014, 2015, 2017 Mark H Weaver <mhw@HIDDEN>
 ;;; Copyright © 2017, 2018, 2019, 2021, 2022 Efraim Flashner <efraim@HIDDEN>
 ;;; Copyright © 2018 Tobias Geerinckx-Rice <me@HIDDEN>
-;;; Copyright © 2018, 2019, 2020 Jan (janneke) Nieuwenhuizen <janneke@HIDDEN>
+;;; Copyright © 2018, 2019, 2020, 2021 Jan (janneke) Nieuwenhuizen <janneke@HIDDEN>
 ;;; Copyright © 2019, 2020, 2021 Marius Bakke <marius@HIDDEN>
 ;;; Copyright © 2020, 2022 Timothy Sample <samplet@HIDDEN>
 ;;; Copyright © 2020 Guy Fleury Iteriteka <gfleury@HIDDEN>
@@ -266,6 +266,46 @@ (define (%boot-gash-inputs)
     ("bootar" ,bootar)
     ("guile" ,%bootstrap-guile)))
 
+(define bootstrap-seeds
+  (package
+    (name "bootstrap-seeds")
+    (version "1.0.0")
+    (source (origin
+              (method url-fetch)
+              (uri (list
+                    (string-append "mirror://gnu/guix/mirror/"
+                                   "bootstrap-seeds-" version ".tar.gz")
+                    (string-append
+                     "https://lilypond.org/janneke/guix/20220501/"
+                     "bootstrap-seeds-" version ".tar.gz")))
+       (sha256
+        (base32
+         "0scz2bx8fd8c821h6y1j3x6ywgxxns7iinyn9z32dnkiacfdcpfn"))))
+    (native-inputs (list bootar))
+    (build-system trivial-build-system)
+    (arguments
+     (list #:guile %bootstrap-guile
+           #:modules '((guix build utils))
+           #:builder
+           #~(begin
+               (use-modules (guix build utils))
+               (let ((source (assoc-ref %build-inputs "source"))
+                     (tar (assoc-ref %build-inputs "bootar"))
+                     (out (assoc-ref %outputs "out")))
+                 (setenv "PATH" (string-append tar "/bin:"))
+                 (invoke "tar" "xvf" source)
+                 (mkdir-p out)
+                 (copy-recursively "bootstrap-seeds" out)))))
+    (home-page "https://github.com/oriansj/bootstrap-seeds")
+    (synopsis "The initial bootstrap seeds: 357-byte hex0 and kaem shell")
+    (description
+     "This package provides pre-built binaries of the bootstrap seeds.  It
+contains a hex0-seed and an optional kaem-minimal shell.  The size of the hex0
+seeds are for knight: 250 bytes, x86-linux: 357 bytes, x86_64-linux: 431
+bytes, and aarch64-linux 526 bytes.  These can be used to build stage0: hex0,
+hex1, hex2, M1, and M2-Planet.")
+    (license license:gpl3+)))
+
 (define %bootstrap-mes-rewired
   (package
     (inherit mes)
-- 
2.35.1





Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 13 May 2022 13:56:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 13 09:56:46 2022
Received: from localhost ([127.0.0.1]:44415 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npVmg-0001fF-NB
	for submit <at> debbugs.gnu.org; Fri, 13 May 2022 09:56:46 -0400
Received: from eggs.gnu.org ([209.51.188.92]:55072)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1npVmf-0001f0-DJ
 for 55227 <at> debbugs.gnu.org; Fri, 13 May 2022 09:56:45 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:32930)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1npVmZ-0007Lt-H1; Fri, 13 May 2022 09:56:39 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=XWuRSeMoGFjedG2RRZ46YvctrJ7XgjCVchJMeIaav6I=; b=Mi31Oli4YjFWuv0ZORr+
 HADHBJYKHCiK3ZINyM+qt6J8RBAV/b0JeLQHiLWceGGLCEQZ5VNpfXj5lfJyefVzmVTNjlvfKgqUU
 8WAlDmWauQ5kdJlaL/7LfEZb7QY/0GQDHpbKw/WvVSk/bzrLS/yuFhUB713ojMZGTzvcfmaIYCfWB
 sX8NHcwKqr2xX1N65MvdKxEmo2aGxYXe3WQb5aEtkOJwWRhH9qBkmPPj9lJ/dU9EuBooF2Ari+ryg
 SJfw9iHWvgara9yT/K0wtqaKe1xO+ffaNLcqOT/2oXBEVfv6AJfZvl9gBd+eTj46/S9iNShoFFz7/
 l0d2v+6EczMMtg==;
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=44952 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1npVmX-0003Z0-Ny; Fri, 13 May 2022 09:56:39 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Jan Nieuwenhuizen <janneke@HIDDEN>
Subject: Re: bug#55227: [PATCH core-updates 0/8] The Full Source Bootstrap
References: <20220502182434.32130-1-janneke@HIDDEN>
 <20220502182434.32130-5-janneke@HIDDEN> <875ymbkot8.fsf_-_@HIDDEN>
 <87bkw14zwe.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 24 =?utf-8?Q?Flor=C3=A9al?= an 230 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Fri, 13 May 2022 15:56:35 +0200
In-Reply-To: <87bkw14zwe.fsf@HIDDEN> (Jan Nieuwenhuizen's message of "Fri, 13
 May 2022 10:09:37 +0200")
Message-ID: <87lev5h6y4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55227
Cc: 55227 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hullo!

Jan Nieuwenhuizen <janneke@HIDDEN> skribis:

> Okay.  I've kept the mirror:// put in place in the previous patch, it
> now looks like
>
>               (uri (list
>                     (string-append "mirror://gnu/guix/mirror/"
>                                    "tcc-" version ".tar.gz")
>                     (string-append "https://lilypond.org/janneke/tcc/"
>                                    "tcc-" version ".tar.gz")))
>
> Yeah, we may want to change them all to something like
>
>       "mirror://gnu/guix/mirror/20220512/"
>
> ?  The bootstrap-seeds may last a while, but stage0-posix and tcc will
> see more updates.

Source code tarballs (like tcc here) can go to:

  https://ftp.gnu.org/gnu/guix/mirror

For =E2=80=9Cbinary=E2=80=9D seeds (which in fact are no longer =E2=80=9Cbi=
nary=E2=80=9D!), we can
follow the scheme at:

  https://ftp.gnu.org/gnu/guix/bootstrap/

=E2=80=A6 which looks like this:

  /gnu/guix/bootstrap/SYSTEM/DATE

Or we could use /mirror as well, but then I=E2=80=99m not sure what that sh=
ould
look like.  WDYT?

See, the most difficult issues are yet to be solved.  :-)

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 13 May 2022 08:10:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 13 04:10:25 2022
Received: from localhost ([127.0.0.1]:42950 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npQNV-0004vC-9e
	for submit <at> debbugs.gnu.org; Fri, 13 May 2022 04:10:25 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36420)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1npQNS-0004uw-6k
 for 55227 <at> debbugs.gnu.org; Fri, 13 May 2022 04:10:23 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56278)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1npQNM-0007B9-Pa; Fri, 13 May 2022 04:10:16 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:References:Subject:To:From:
 in-reply-to; bh=Jldq7hBOXNgQ94Oh8hayqXJ9ZGuXekVGbaM4oHMEg3Q=; b=bxVNPGo92hgA+
 +25wlkHyS6RFWKZbmY91swGgilbwotB/5a1Pad4w8N8Frzx+QXZbMStXON9IPw1kAzOjtOsCJn5ea
 JeBUTqdcyE+XY31npd6CYST+2eMFRmUJpPCOplpN1RowirvfiMmsSlzCRceiGO95HmVMjPaXwWqtE
 eLHIuQ3OoYqz+x5H/f+CDQMzAB+9TJr8bIFKpm3z4L7rjYDvNgpCs9ZhBYevebuvEvDI33Wf+sSWS
 UQfZS0oAmHfOpmZEscbx+z/cNa51ID9HHfXmgFvlg+e9yn+Jpia4dtewpTnYLQSbdBmdRKul0xPit
 CVHPqcWnpzlgGV68sjoAw==;
Received: from 2a02-a462-da03-1-fa3e-1174-c33f-9485.fixed6.kpn.net
 ([2a02:a462:da03:1:fa3e:1174:c33f:9485]:47900
 helo=drakenbij.janneke.lilypond.org)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1npQN9-0006TQ-HO; Fri, 13 May 2022 04:10:06 -0400
From: Jan Nieuwenhuizen <janneke@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#55227: [PATCH core-updates 0/8] The Full Source Bootstrap
Organization: AvatarAcademy.nl
References: <20220502182434.32130-1-janneke@HIDDEN>
 <20220502182434.32130-8-janneke@HIDDEN> <87o803j9mx.fsf_-_@HIDDEN>
X-Url: http://AvatarAcademy.nl
Date: Fri, 13 May 2022 10:10:02 +0200
Message-ID: <87zgjl3lb9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55227
Cc: 55227 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Ludovic Court=C3=A8s writes:

Hi,

> "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN> skribis:
>
>> * doc/guix.texi (Reduced Binary Seed Bootstrap): Update and rename to...
>> (Full Source Bootstrap): ...this.
>> * doc/images/gcc-core-mesboot0-graph.dot: Regenerate.
>
> Nice!

Yeah, I really like this too.

>> -Copyright @copyright{} 2016, 2017, 2018, 2019, 2020 Jan Nieuwenhuizen@*
>> +Copyright @copyright{} 2016, 2017, 2018, 2019, 2021 Jan Nieuwenhuizen@*
>
> 2022 even.  :-)

Oh my, that's right!

>> +``Full Source'' bootstrap.  This bootstrap is rooted in @file{hex0-seed}
>
> Maybe: @dfn{full-source bootstrap}.
>
> (I=E2=80=99d tend to avoid capitals, not sure.)

Nice.

>> +from the @url{https://savannah.gnu.org/projects/stage0, Stage0} package.
>> +The source code of this initial hex0 program is a file called
>> +@c XXX TODO: udpate to savannah url, once accepted there
>> +@url{https://github.com/oriansj/bootstrap-seeds/blob/master/POSIX/x86/h=
ex0_x86.hex0,@file{hex0_x86.hex0}}
>> +and is written in the @code{hex0} language.
>> +
>> +Hex0 is self hosting, which means that it can build itself:
>
> Before =E2=80=9CThe source code of this initial =E2=80=A6=E2=80=9D, perha=
ps add a sentence like:
>=20=20
>   The hex0 program is minimalist assembler: it reads space-separated
>   hexadecimal digits from a file, possibly including comments, and emits
>   on standard output the bytes corresponding to those hexadecimal
>   numbers.
>
> (Is that a fine description?  I think it=E2=80=99d be nice if the stage0 =
site
> and repo could describe things in simple terms like that.)

Yes, that's nice.

> s/self hosting/self-hosting/

Ok.

>> -The only significant binary bootstrap seeds that remain@footnote{
>> -Ignoring the 68KB @code{mescc-tools}; that will be removed later,
>> -together with @code{mes}.} are a Scheme interpreter and a Scheme
>> -compiler: GNU Mes and GNU Guile@footnote{Not shown in this graph are the
>> -static binaries for @file{bash}, @code{tar}, and @code{xz} that are used
>> -to get Guile running.}.
>
> \o/
>
> Otherwise LGTM!

\o/ Phew!
Janneke

--=20
Jan Nieuwenhuizen <janneke@HIDDEN>  | GNU LilyPond https://lilypond.org
Freelance IT https://JoyOfSource.com | Avatar=C2=AE https://AvatarAcademy.c=
om




Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 13 May 2022 08:09:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 13 04:09:47 2022
Received: from localhost ([127.0.0.1]:42942 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npQMs-0004tH-UO
	for submit <at> debbugs.gnu.org; Fri, 13 May 2022 04:09:47 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36268)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1npQMr-0004t1-1U
 for 55227 <at> debbugs.gnu.org; Fri, 13 May 2022 04:09:45 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56268)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1npQMl-0006vM-Sf; Fri, 13 May 2022 04:09:39 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:References:Subject:To:From:
 in-reply-to; bh=Mk6//Nn/cUusAxJrOhRDRonAIKotDz3Y1eiHVucl1X4=; b=ie36hcaQk71ij
 wr7P7BnmdFJehsejsSwEUHWqexzBhBdwad7dy6znoLYxGiMQstlPFPruNB7N9PyCAGgPDc45aIjAn
 aUz6LvSGgGToA0GozCai1AnmynsxyIr4SdNt8OufiocYaJJeVrynS5QROl7mZheWXZiZvFPvlPjt2
 d5xC3JFX4KGYf9nZmROyR1PDrJFCAjgXv5cm4nHk5j/P4jt+l0iw6gjZWbogmb68HyYmPehwdcj8R
 RZ0iPJUe3r3MmGVV2eZP/hgYVmwa/giNK6P+Xat1A/CLhC8yfOPiVjRMegDWhiGuNm5qELve4uPKF
 uf7mIBf/198bteFqIn1Cg==;
Received: from 2a02-a462-da03-1-fa3e-1174-c33f-9485.fixed6.kpn.net
 ([2a02:a462:da03:1:fa3e:1174:c33f:9485]:47898
 helo=drakenbij.janneke.lilypond.org)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1npQMl-0006AW-8p; Fri, 13 May 2022 04:09:39 -0400
From: Jan Nieuwenhuizen <janneke@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#55227: [PATCH core-updates 0/8] The Full Source Bootstrap
Organization: AvatarAcademy.nl
References: <20220502182434.32130-1-janneke@HIDDEN>
 <20220502182434.32130-5-janneke@HIDDEN> <875ymbkot8.fsf_-_@HIDDEN>
X-Url: http://AvatarAcademy.nl
Date: Fri, 13 May 2022 10:09:37 +0200
Message-ID: <87bkw14zwe.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55227
Cc: 55227 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Ludovic Court=C3=A8s writes:

Hi,

> "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN> skribis:
>
>> * gnu/packages/commencement.scm (tcc-boot0)[source]: Update to
>> 0.9.26-1136-g0fbeb2dd.
>>
>> -  ;; Pristine tcc cannot be built by MesCC, we are keeping a delta of 11
>> +  ;; Pristine tcc cannot be built by MesCC, we are keeping a delta of 30
>
> Slowly increasing.  :-)

Yeah...

>>      (source (bootstrap-origin
>>               (origin
>>                 (method url-fetch)
>>                 (uri (string-append
>> -                     "https://lilypond.org/janneke/mes/20191117/"
>> +                     "https://lilypond.org/janneke/tcc/"
>>                       "/tcc-" version ".tar.gz"))
>>                 (sha256
>>                  (base32
>> -                 "1qbybw7mxbgkv3sazvz1v7c8byq998vk8f1h25ik8w3d2l63lxng"=
)))))
>> +                 "1y2f04qwdqg7dgxiscbf0ibybx2gclniwbbcsxpayazzii2cvji3"=
)))))
>
> Eventually we should have that on ftp.gnu.org too, but I realize we
> might be better off addressing it afterwards since we=E2=80=99ll have to =
agree
> on the whole file tree we=E2=80=99re going to upload there.

Okay.  I've kept the mirror:// put in place in the previous patch, it
now looks like

              (uri (list
                    (string-append "mirror://gnu/guix/mirror/"
                                   "tcc-" version ".tar.gz")
                    (string-append "https://lilypond.org/janneke/tcc/"
                                   "tcc-" version ".tar.gz")))

Yeah, we may want to change them all to something like

      "mirror://gnu/guix/mirror/20220512/"

?  The bootstrap-seeds may last a while, but stage0-posix and tcc will
see more updates.

After pushing all changes to wip-full-source-bootstrap I'm going to
update test a new build, so we have some time to decide on this :-)

Janneke

--=20
Jan Nieuwenhuizen <janneke@HIDDEN>  | GNU LilyPond https://lilypond.org
Freelance IT https://JoyOfSource.com | Avatar=C2=AE https://AvatarAcademy.c=
om




Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 13 May 2022 08:09:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 13 04:09:36 2022
Received: from localhost ([127.0.0.1]:42938 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npQMi-0004sr-Kn
	for submit <at> debbugs.gnu.org; Fri, 13 May 2022 04:09:36 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36234)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1npQMh-0004sc-4o
 for 55227 <at> debbugs.gnu.org; Fri, 13 May 2022 04:09:35 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56260)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1npQMb-0006uc-4Q; Fri, 13 May 2022 04:09:29 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:References:Subject:To:From:
 in-reply-to; bh=VJADU4N79xeAKATxvQRUylwbNAXfJ88m+/odfHGzji4=; b=mvy5f/gbUcncd
 ym1gWLa41WK6yR3JvsXBa8dlSxrzThZNbJnd1+YOB8HswoB7YJaDHJRtFBMaM7OU93RQjtliIxDQa
 izB6fcylZaaSKtJ3KE4+4zcSJG8HZTPrQVxztU4XwIlGIUoxlC3nJWX0WyElP2bv+pAAzb+MutbJo
 BNWkYQcZguklms6kebmk7WSUuqU+xc6/4Ih4XEbiAmyZP4lGHaKKug1ldhaMQpGVHG4TRa3bieMHY
 JgLh6tfg1P5BnVunb4vPpv4sVFA36/00EKrPNwH2JDHG1cWHgUdrhKeQbdaIzyYMHBsXshUGA5n5r
 KrKIW08a+Bn8xVI3Z8xTQ==;
Received: from 2a02-a462-da03-1-fa3e-1174-c33f-9485.fixed6.kpn.net
 ([2a02:a462:da03:1:fa3e:1174:c33f:9485]:47896
 helo=drakenbij.janneke.lilypond.org)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1npQMU-00060C-Mv; Fri, 13 May 2022 04:09:27 -0400
From: Jan Nieuwenhuizen <janneke@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#55227: [PATCH core-updates 0/8] The Full Source Bootstrap
Organization: AvatarAcademy.nl
References: <20220502182434.32130-1-janneke@HIDDEN>
 <20220502182434.32130-4-janneke@HIDDEN> <87a6bnkox6.fsf_-_@HIDDEN>
X-Url: http://AvatarAcademy.nl
Date: Fri, 13 May 2022 10:09:19 +0200
Message-ID: <87ilq94zww.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55227
Cc: 55227 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Ludovic Court=C3=A8s writes:

Hi,

> "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN> skribis:
>
>> * gnu/packages/commencement.scm (tcc-boot0): Call 'bootstrap-origin' on =
source
>> and on the source of NYACC-0.99.  Use https source URL.  Update NYACC to
>> 1.00.2.
>
> [...]
>
>> +    (source (bootstrap-origin
>> +             (origin
>> +               (method url-fetch)
>> +               (uri (string-append
>> +                     "https://lilypond.org/janneke/mes/20191117/"
>
> Same here for =E2=80=98bootstrap-origin=E2=80=99 and the URL.
>
> Otherwise LGTM.

Done.

>>      (native-inputs
>>       `(("mes" ,mes-boot)
>> -       ("nyacc-source" ,(origin (inherit (package-source nyacc-0.99))
>> -                                (snippet #f)))
>> +       ("nyacc-source" ,(bootstrap-origin
>> +                         (origin (inherit (package-source nyacc-1.00.2))
>> +                                 (snippet #f))))
>>         ("mescc-tools" ,%bootstrap-mescc-tools)
>>         ,@(%boot-gash-inputs)))
>
> In a subsequent patch (not a blocker), we can look at removing input
> labels.

Okay, that would be nice.
Janneke

--=20
Jan Nieuwenhuizen <janneke@HIDDEN>  | GNU LilyPond https://lilypond.org
Freelance IT https://JoyOfSource.com | Avatar=C2=AE https://AvatarAcademy.c=
om




Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 13 May 2022 08:09:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 13 04:09:19 2022
Received: from localhost ([127.0.0.1]:42934 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npQMR-0004sL-Cs
	for submit <at> debbugs.gnu.org; Fri, 13 May 2022 04:09:19 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36172)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1npQMP-0004rx-Br
 for 55227 <at> debbugs.gnu.org; Fri, 13 May 2022 04:09:17 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56258)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1npQMK-0006tg-1z; Fri, 13 May 2022 04:09:12 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:References:Subject:To:From:
 in-reply-to; bh=jFqnE4kiZ7+5nuWe0PKR5Fz/Vejg5AU6sAbxiCYouME=; b=W5lJEPfy6V1G+
 OptilzLuG5i5d+OG23Nz9NlXTVZbmXynpgZF0G9jF6QSdqLRwBIuyXIzIeIkI38iLeTOo7WGaIflE
 rkl7TETYdMgobZoeb5atgWdqio1O1E1HcDdSo+4VtBgQh2G586Wi40wnMEeVfgDCKnAapfqTS+XDx
 nRxe+yUd38RktQvt6l16bbDTnEJrSx+YwtGlcQEgu5TVBWKQOBC1OpeFeGN3S2dqjqpMHncxd8WFC
 yUMgiQXiY/Ep1LFGMCcGJt14x/csjROeAUWTnBhVwkLFCO7JKrG1vxjGSdTK7uhHqYv5E4vunysST
 rC8Iun5UQlc/b8E1ML4Yg==;
Received: from 2a02-a462-da03-1-fa3e-1174-c33f-9485.fixed6.kpn.net
 ([2a02:a462:da03:1:fa3e:1174:c33f:9485]:47894
 helo=drakenbij.janneke.lilypond.org)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1npQMJ-0005uL-Hn; Fri, 13 May 2022 04:09:11 -0400
From: Jan Nieuwenhuizen <janneke@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#55227: [PATCH core-updates 0/8] The Full Source Bootstrap
Organization: AvatarAcademy.nl
References: <20220502182434.32130-1-janneke@HIDDEN>
 <20220502182434.32130-3-janneke@HIDDEN> <87ee0zkoze.fsf_-_@HIDDEN>
X-Url: http://AvatarAcademy.nl
Date: Fri, 13 May 2022 10:09:10 +0200
Message-ID: <87pmkh4zx5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55227
Cc: 55227 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Ludovic Court=C3=A8s writes:

> "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN> skribis:
>
>> * gnu/packages/commencement.scm (mes-boot)[source]: Update to
>> 0.24.
[..]
>> +    (source (bootstrap-origin
>
> No need for =E2=80=98bootstrap-origin=E2=80=99.

Ok.

> Otherwise LGTM!

Yay! :)

--=20
Jan Nieuwenhuizen <janneke@HIDDEN>  | GNU LilyPond https://lilypond.org
Freelance IT https://JoyOfSource.com | Avatar=C2=AE https://AvatarAcademy.c=
om




Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 13 May 2022 08:09:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 13 04:09:12 2022
Received: from localhost ([127.0.0.1]:42930 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npQMJ-0004rw-W4
	for submit <at> debbugs.gnu.org; Fri, 13 May 2022 04:09:12 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36126)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1npQMI-0004rg-JG
 for 55227 <at> debbugs.gnu.org; Fri, 13 May 2022 04:09:10 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56256)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1npQMD-0006sG-4Y; Fri, 13 May 2022 04:09:05 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:References:Subject:To:From:
 in-reply-to; bh=qh4LQEWehy7GiXLe2IoYoSafdn+D+u2+b2hkzhtj6kM=; b=mT4NPFx/xJzgh
 iondLZE15vy3+ev7FDpOC9EqDQtjHEHFm7LtNHWa6jto+NFlaZc9iC4f/ox5yDdTH18KDGLqQvS06
 F9zUvej7+WZwBNwqHJVLoOKXtYyGStaUAKK1LIXPlTYtxqe/HX7u9MdznpAa9nU4AZLI2zuaOmLrQ
 EK3ztY4a1ZXELPpoJxb4BhKbk5KYPa30jJ/rschd35PosUOuXvqEK8x6oAM262IrkxcxEqOhRfS/u
 vkh4SnVN+SeBSx2NIdchtUAMiT6IL/IJ8kYJP9KP2OJYGD2QmhNPnPRgDfTlcuc4LBOd7vUTqqB3x
 7uWH5HjiKeH6IvtR82r/A==;
Received: from 2a02-a462-da03-1-fa3e-1174-c33f-9485.fixed6.kpn.net
 ([2a02:a462:da03:1:fa3e:1174:c33f:9485]:47892
 helo=drakenbij.janneke.lilypond.org)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1npQMB-0005oL-Jz; Fri, 13 May 2022 04:09:04 -0400
From: Jan Nieuwenhuizen <janneke@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#55227: [PATCH core-updates 0/8] The Full Source Bootstrap
Organization: AvatarAcademy.nl
References: <20220502182434.32130-1-janneke@HIDDEN>
 <20220502182434.32130-2-janneke@HIDDEN> <87ee13nyho.fsf@HIDDEN>
 <87y1zbcecx.fsf@HIDDEN> <87ilqbkp1l.fsf_-_@HIDDEN>
X-Url: http://AvatarAcademy.nl
Date: Fri, 13 May 2022 10:09:02 +0200
Message-ID: <87wnep4zxd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55227
Cc: 55227 <at> debbugs.gnu.org, Thiago Jung Bauermann <bauermann@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Ludovic Court=C3=A8s writes:

Hi,

> Jan Nieuwenhuizen <janneke@HIDDEN> skribis:
>
>>>From f013e88563f73a7513faa330c79eef2f653daf28 Mon Sep 17 00:00:00 2001
>> * gnu/packages/commencement.scm (stage0-posix): New variable.

> Same comment as earlier regarding =E2=80=98bootstrap-origin=E2=80=99 and =
the URL.

bootstrap-origin removed and URL changed to:

         (uri (list
               (string-append
               "mirror://gnu/guix/mirror/"
               "stage0-posix-" version ".tar.gz")
               (string-append
                "https://lilypond.org/janneke/guix/20220502/"
                "stage0-posix-" version ".tar.gz")))
>
>> +      (supported-systems '("i686-linux" "x86_64-linux"
>> +                           "arm-linux" "aarch64-linux"
>> +                           "riscv64-linux"))
>
> Woow.  :-)

:-)  Yeah, that will mean some work for us to come...

> s/arm-linux/armhf-linux/

Oops.

>> +      (native-inputs
>> +       `(("bootstrap-seeds" ,bootstrap-seeds)
>> +         ("mescc-tools"
>> +          ,(bootstrap-origin
>> +            (origin
>> +              (method url-fetch)
>> +              (uri (string-append
>> +                    "https://lilypond.org/janneke/guix/20220502/"
>> +                    "mescc-tools-" mescc-tools-version ".tar.gz"))
>> +              (sha256
>> +               (base32
>> +                "1xi6f48pf5bhajhfis189gpizxij7nbp1vzvsb1aafhz4skkiqvg")=
))))
>> +         ("m2-planet"
>> +          ,(bootstrap-origin
>> +            (origin
>> +              (method url-fetch)
>> +              (uri (string-append
>> +                    "https://lilypond.org/janneke/guix/20220502/"
>> +                    "M2-Planet-" m2-planet-version ".tar.gz"))
>> +              (sha256
>> +               (base32
>> +                "1xrn69sc5nz4hwaishqyrcidp1ncxwib9zswl45x378ddz3mmk7g")=
))))
>> +         ,@(%boot-gash-inputs)))
>
> Here you can avoid =E2=80=98bootstrap-origin=E2=80=99 too and add mirror:=
//gnu URLs.

Ok.

> The =E2=80=9Cnew style=E2=80=9D (with gexps) doesn=E2=80=99t work well wi=
th non-package inputs
> in the sense that you cannot use =E2=80=98this-package-input=E2=80=99 to =
access them.
>
> However, it might be simpler to not have them in =E2=80=98native-inputs=
=E2=80=99 and to
> instead refer to them in the code, as in:
>
>   #~(begin
>       =E2=80=A6
>       (invoke "tar" "xvf" #$mescc-tools)
>       =E2=80=A6)
>
> where:
>
>   (define mescc-tools
>     (origin =E2=80=A6))

Ok.  I put the mescc-tools and m2-planet in the initial let.

>> +      (synopsis "The initial bootstrap package, builds stage0 up to M2-=
Planet")
>> +      (description
>> +       "Starting from an 357-byte hex0 provided by the bootstrap-seeds,
>> +stage0-posix builds hex0, kaem, hex1, catm, hex2, M0, cc_x86, M1,
>> +M2, get_machine, (mescc-tools), and M2-Planet.")
>
> Bonus points if you can make it a full sentence.  :-)

I tried:

       "Starting from the 357-byte hex0-seed binary provided by the
bootstrap-seeds, the stage0-posix package first builds hex0 and then all
the way up: hex1, catm, hex2, M0, cc_x86, M1, M2, get_machine (that's
all of MesCC-Tools), and finally M2-Planet."

> (I feel ridiculous commenting on this on a patch series that=E2=80=99s th=
is
> important, but hey!)

(otoh, after putting in all this work, some polishing doesn't hurt, so:
thanks!)

Greetings,
Janneke

--=20
Jan Nieuwenhuizen <janneke@HIDDEN>  | GNU LilyPond https://lilypond.org
Freelance IT https://JoyOfSource.com | Avatar=C2=AE https://AvatarAcademy.c=
om




Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 13 May 2022 08:08:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 13 04:08:42 2022
Received: from localhost ([127.0.0.1]:42925 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npQLq-0004qm-K8
	for submit <at> debbugs.gnu.org; Fri, 13 May 2022 04:08:42 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36016)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1npQLp-0004qV-9r
 for 55227 <at> debbugs.gnu.org; Fri, 13 May 2022 04:08:41 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56254)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1npQLj-0006mo-PX; Fri, 13 May 2022 04:08:35 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:References:Subject:To:From:
 in-reply-to; bh=XYxUVgPXDYMkJ3iRHFEAP1yTCHGXRymO571fNqqiNoM=; b=NhsZhfLKXQwy3
 VXyDcUsPIDlrEQvJGxofj0Bw5cOU2ZN79N66N84iMd1pHd+qRzp4HolPWbKeo6uEffe8nZ8x2cdWb
 gRJLvmZCJyn3ga3FGh8OsfP9PKgjPody9Y4xWXp3LVdmz/Q0bq0HiPgAUP6lsD5xzY+3yrMTphlUc
 Ya+TJSAZ3Dmu0dTpsFHB9YAN7WTBO1ptqfqPvDe4ynih4a9hhHtrEjE9UGjp1w/xPFcT6hDvkgFJR
 NDlkGNx2zxsZfCXiutxhHu9iiCUzvbQnQiX4/8keikanJHzFovDwNJTXrAt3KqL9lOumg7C9V6YUU
 ek23BP3pBX5cozf/TgA3g==;
Received: from 2a02-a462-da03-1-fa3e-1174-c33f-9485.fixed6.kpn.net
 ([2a02:a462:da03:1:fa3e:1174:c33f:9485]:47890
 helo=drakenbij.janneke.lilypond.org)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1npQLj-0005S1-Au; Fri, 13 May 2022 04:08:35 -0400
From: Jan Nieuwenhuizen <janneke@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#55227: [PATCH core-updates 0/8] The Full Source Bootstrap
Organization: AvatarAcademy.nl
References: <20220502182105.32068-1-janneke@HIDDEN>
 <20220502182434.32130-1-janneke@HIDDEN> <87r14zkpcz.fsf_-_@HIDDEN>
X-Url: http://AvatarAcademy.nl
Date: Fri, 13 May 2022 10:08:33 +0200
Message-ID: <874k1t6eim.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55227
Cc: 55227 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Ludovic Court=C3=A8s writes:

Hi!

> Starting a dive through this amazing patch series=E2=80=A6

Yay, and thanks again for your careful review.

>> +    (source
>> +     (bootstrap-origin
>
> You can remove the =E2=80=98bootstrap-origin=E2=80=99 call: it=E2=80=99s =
only useful when there
> are patches or snippets.

Ah, right.  Removed.

>> +      (origin
>> +        (method url-fetch)
>> +        (uri (string-append
>> +              "https://lilypond.org/janneke/guix/20220501/"
>> +              "bootstrap-seeds-" version ".tar.gz"))
>
> You can add a mirror://gnu/guix/mirror URL and we=E2=80=99ll copy it to
> ftp.gnu.org.

Changed to:

       (uri (list
             (string-append=20
              "mirror://gnu/guix/mirror/"
              "bootstrap-seeds-" version ".tar.gz")
             (string-append
              "https://lilypond.org/janneke/guix/20220501/"
              "bootstrap-seeds-" version ".tar.gz")))

>> +    (native-inputs `(("bootar" ,bootar)))
>
> -> (list boottar)

Ok.

>> +    (build-system trivial-build-system)
>> +    (arguments
>> +     `(#:guile ,%bootstrap-guile
>> +       #:modules ((guix build utils))
>> +       #:builder
>> +       (begin
>> +         (use-modules (guix build utils))
>> +         (let ((source (assoc-ref %build-inputs "source"))
>> +               (tar (assoc-ref %build-inputs "bootar"))
>> +               (out (assoc-ref %outputs "out")))
>
> You can make it a gexp like so:
>
>   (arguments
>     (list #:guile =E2=80=A6
>           #:builder
>           #~(begin

Ok.

>> +           #t))))
>
> You can remove the trailing #t.

Ok.

>> +    (description
>> +     "A prebuilt version of the initial bootstrap seeds.  It contains a
>
> The first thing could be a sentence, say: =E2=80=9CThis package provides
> pre-built binaries of the bootstrap seeds.=E2=80=9D

>> +hex0-seed and an optional kaem-minimal shell.  The size of the hex0 see=
ds are
>> +for knight: 250 bytes, x86-linux:(357 bytes, x86_64-linux: 431 bytes, a=
nd
>                                     ^
> Extra paren.

Removed.

Greetings,
Janneke

--=20
Jan Nieuwenhuizen <janneke@HIDDEN>  | GNU LilyPond https://lilypond.org
Freelance IT https://JoyOfSource.com | Avatar=C2=AE https://AvatarAcademy.c=
om




Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 13 May 2022 08:07:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 13 04:07:58 2022
Received: from localhost ([127.0.0.1]:42920 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npQL8-0004p9-6Q
	for submit <at> debbugs.gnu.org; Fri, 13 May 2022 04:07:58 -0400
Received: from eggs.gnu.org ([209.51.188.92]:35816)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1npQL5-0004ot-LZ
 for 55227 <at> debbugs.gnu.org; Fri, 13 May 2022 04:07:56 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56234)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1npQKz-0006gU-Cc; Fri, 13 May 2022 04:07:49 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:References:Subject:To:From:
 in-reply-to; bh=rdo1jhO7vuH0RLUqvtHmu3VvOZ/QIeFeuz5QAl3eCxc=; b=m2Wo80/WsfIMN
 Wh9kBWkBuqSIjouVc6ZYN4YKgHopJNBIo/gyIzniZ65W4DnoaH/2Ds6QGQPKbqZCeINELy8IGC3jt
 YGqzxSuNdZQy9zJY3sobdBKzzvTuvZWCA553AVrEf61esgwPUlU6K2z1KKcJ1oZ5hfuDkInK4nhJ3
 Pj+xhRoaThkVK1kSwPkbXkHkxbb/vLU3cGthXMHxc83mwI5hrwv6BJgERiHbFyFVCwMfVez4FMx76
 /25OjjOT1zTJg1rEoAIUfPotSdhiXDvhh3fR7JipuUoRbz/QJbL8z8B8bv4K0c7sIPymR/ESiZarW
 80maHdCdt+CLuj+u6ygmQ==;
Received: from 2a02-a462-da03-1-fa3e-1174-c33f-9485.fixed6.kpn.net
 ([2a02:a462:da03:1:fa3e:1174:c33f:9485]:47888
 helo=drakenbij.janneke.lilypond.org)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1npQKy-00058z-UB; Fri, 13 May 2022 04:07:49 -0400
From: Jan Nieuwenhuizen <janneke@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#55227: [PATCH core-updates 0/8] The Full Source Bootstrap
Organization: AvatarAcademy.nl
References: <20220502182105.32068-1-janneke@HIDDEN> <87bkw3j9cj.fsf@HIDDEN>
X-Url: http://AvatarAcademy.nl
Date: Fri, 13 May 2022 10:07:45 +0200
Message-ID: <87bkw16ejy.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55227
Cc: 55227 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Ludovic Court=C3=A8s writes:

Hello!

> "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN> skribis:
>
>> About a year ago we cheered something like:  WE DID IT!!!
>>
>> Today I am very excited to finally have released GNU Mes 0.24 which supp=
orts
>> the Full Source Bootstrap.  So we did what?  As Carl Dong once so eloque=
ntly
>> put it
>>
>>    The holy grail of bootstrappability will be connecting mes to hex0
>>
>> which is exactly what this patch series brings.
>
> Woohoo!!  Truly amazing.  I just can=E2=80=99t believe it=E2=80=99s becom=
e a reality!

My thoughts exactly, and very nice to hear you say it too!

>> Starting from an 357-byte hex0 provided by the new bootstrap-seeds packa=
ge,
>> the new stage0-posix package builds hex0, kaem, hex1, catm, hex2, M0, cc=
_x86,
>> M1, M2, get_machine, (mescc-tools), and M2-Planet.  The 0.24 release of =
Mes
>> can now be built using this M2-Planet.
>>
>> This means that the bootstrap binaries that were added as part of the Re=
duced
>> Binary Seed Bootstrap (see
>> https://guix.gnu.org/blog/2020/guix-further-reduces-bootstrap-seed-to-25=
):
>> %bootstrap-mescc-tools, %bootstrap-mes, are now removed again.
>
> Yay!  (And we=E2=80=99ll need a new blog post once that=E2=80=99s merged!)

Sure!

> I haven=E2=80=99t checked but if you confirm that =E2=80=98guix build cor=
eutils=E2=80=99 or
> similar passes

Re-confirming this now, "already" up to...

    building /gnu/store/1kj9y2qkd7nc7jhyfa0ywqkbmbv4a8ki-gcc-mesboot-4.9.4.=
drv...

> (and that the output of =E2=80=98guix build coreutils -s powerpc64le -d=
=E2=80=99, for
> example, is unaffected),

Ah that's a nice trick.  No changes!

    $ ./pre-inst-env guix build coreutils -s powerpc64le-linux -d
    /gnu/store/rsg7k7rih8giz2a3gbd281ygzixzg5yn-coreutils-8.32.drv

> this can go on =E2=80=98core-updates=E2=80=99.

OK.  I have reset wip-full-source-bootstrap and will send a v3 patch
series.  We probably want to think about/change the actual mirror spell
"mirror://gnu/guix/mirror/" (?) to use (see other mails).

> Please add =E2=80=9Cgnu:=E2=80=9D as a prefix to the commit log of patche=
s that modify
> gnu/packages/*.

Done.

>>  4 files changed, 315 insertions(+), 308 deletions(-)
>
> And on top of that, it comes almost for free in terms of lines of code
> on our side.  :-)

Yeah, what a bonus.  The thing is that stage0-posix includes mescc-tools
and m2-planet; we were expecting at least two extra packages...

> One last thing: *thank you*.  Thank you for bringing it to completion,
> for never giving up in the face of a mountain of challenges of all
> sorts; thank you for inspiring us!

Thats really great to hear, it means a lot to me.  I'm very grateful for
all your support in this journey and for Guix, that presented me with a
beautiful piece of code to play with and prototype the bootstraps.  And
also, many thanks for the opportunity to stepwise introduce these
changes.  Time to start thinking about the next big step for
bootstrappable!

Greetings,
Janneke

--=20
Jan Nieuwenhuizen <janneke@HIDDEN>  | GNU LilyPond https://lilypond.org
Freelance IT https://JoyOfSource.com | Avatar=C2=AE https://AvatarAcademy.c=
om




Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 12 May 2022 11:09:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 12 07:09:47 2022
Received: from localhost ([127.0.0.1]:39810 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1np6hW-0003Dn-LX
	for submit <at> debbugs.gnu.org; Thu, 12 May 2022 07:09:47 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39900)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1np6hT-0003DT-Px
 for 55227 <at> debbugs.gnu.org; Thu, 12 May 2022 07:09:45 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33558)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1np6hO-0007b0-3a; Thu, 12 May 2022 07:09:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=e/VmArkQQ/jbTRMiDEBgvxseBInapObU0S5H6xWaxsc=; b=DgXWqT4A15JSCiey1Sr2
 Gs2xH5XAbex1ZNtkL6C5A65fMrQ1i5eHPWGTO1qXxLLiJSUK+q8HpLuRxlbKd3/J7+AG4/p0FL4/p
 L50vLqag7zwW10VqpLUPd176Wn4MM67i7+aoAjgAI+nLib7sWxhWM0WOLCiNffy3Uc2Fe9FH/4xiA
 Y2y4z4FzWX01Sr59LpiKXllvHOR5X2tc4NSIaG73dlSBGE321vcVB6fdXUFEsrCVFYhwvaDclB9gH
 ThZRr5zaNrJKFSadruEjeeM4iy7BCe89CtJbGS0A2arwWqwwj7aP4LQeQknlLLbQPpZHGvOiSBC3k
 ZDlBcY7Wt3Recg==;
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=44942 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1np6hK-0003nl-P5; Thu, 12 May 2022 07:09:37 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN>
Subject: Re: bug#55227: [PATCH core-updates 0/8] The Full Source Bootstrap
References: <20220502182105.32068-1-janneke@HIDDEN>
Date: Thu, 12 May 2022 13:09:32 +0200
In-Reply-To: <20220502182105.32068-1-janneke@HIDDEN> (Jan Nieuwenhuizen's
 message of "Mon, 2 May 2022 20:21:05 +0200")
Message-ID: <87bkw3j9cj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55227
Cc: 55227 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello!

"Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN> skribis:

> About a year ago we cheered something like:  WE DID IT!!!
>
> Today I am very excited to finally have released GNU Mes 0.24 which suppo=
rts
> the Full Source Bootstrap.  So we did what?  As Carl Dong once so eloquen=
tly
> put it
>
>    The holy grail of bootstrappability will be connecting mes to hex0
>
> which is exactly what this patch series brings.

Woohoo!!  Truly amazing.  I just can=E2=80=99t believe it=E2=80=99s become =
a reality!

> Starting from an 357-byte hex0 provided by the new bootstrap-seeds packag=
e,
> the new stage0-posix package builds hex0, kaem, hex1, catm, hex2, M0, cc_=
x86,
> M1, M2, get_machine, (mescc-tools), and M2-Planet.  The 0.24 release of M=
es
> can now be built using this M2-Planet.
>
> This means that the bootstrap binaries that were added as part of the Red=
uced
> Binary Seed Bootstrap (see
> https://guix.gnu.org/blog/2020/guix-further-reduces-bootstrap-seed-to-25):
> %bootstrap-mescc-tools, %bootstrap-mes, are now removed again.

Yay!  (And we=E2=80=99ll need a new blog post once that=E2=80=99s merged!)

>   commencement: Add bootstrap-seeds.
>   commencement: Add stage0-posix.
>   commencement: mes-boot: Update to 0.24, build with M2-Planet.
>   commencement: tcc-boot0: Use NYACC-1.00.2.
>   commencement: tcc-boot0: Update to 0.9.26-1136-g0fbeb2dd.
>   bootstrap: Remove %bootstrap-mescc-tools, %bootstrap-mes.
>   commencement: Remove %bootstrap-mes-rewired.
>   doc: Add the "Full Source Bootstrap".

I haven=E2=80=99t checked but if you confirm that =E2=80=98guix build coreu=
tils=E2=80=99 or
similar passes (and that the output of =E2=80=98guix build coreutils -s
powerpc64le -d=E2=80=99, for example, is unaffected), this can go on
=E2=80=98core-updates=E2=80=99.

Please add =E2=80=9Cgnu:=E2=80=9D as a prefix to the commit log of patches =
that modify
gnu/packages/*.

>  4 files changed, 315 insertions(+), 308 deletions(-)

And on top of that, it comes almost for free in terms of lines of code
on our side.  :-)

One last thing: *thank you*.  Thank you for bringing it to completion,
for never giving up in the face of a mountain of challenges of all
sorts; thank you for inspiring us!

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 12 May 2022 11:03:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 12 07:03:29 2022
Received: from localhost ([127.0.0.1]:39804 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1np6bQ-0002yo-T0
	for submit <at> debbugs.gnu.org; Thu, 12 May 2022 07:03:29 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38832)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1np6bP-0002yW-Q5
 for 55227 <at> debbugs.gnu.org; Thu, 12 May 2022 07:03:28 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33512)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1np6bJ-0006E1-7I; Thu, 12 May 2022 07:03:21 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=58WUHVTGQ7//dNL+soRBQizDcbN7cJK1VEA3jhiIBHg=; b=O4md2eIN54OoJpLwxEpe
 qlbuSYPmpMfgmTqEX7syGkiqt9kDBSP+3vAm4ZGKswLvdwjooDT/EH4mUi6zxj9jxHmrcxBo42o4o
 O75E0igvdr+HNga/jo97xtoVHtfWaVcbcIB/p8DJQU3atRp3D90AxG8Sb8k5Rms3vAw5FsGzlfgAQ
 tCVBZ4JBDPjdAxG0FS59bkuevWfEjZoUpjpyq7sXPOBu0N5RbPxVS+0eKwGcMv7DoZFPzaSOGO40w
 NW/OWnQLBNi58TKxi7SlNf8VtHAvLajOiSEdAJRedgqX6+M1vPQlj4DDtuTY9MYJYr5906yEXTWGr
 ouYHvtbzuxjNHg==;
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=44940 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1np6bI-0002Fz-Iv; Thu, 12 May 2022 07:03:21 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN>
Subject: Re: bug#55227: [PATCH core-updates 0/8] The Full Source Bootstrap
References: <20220502182434.32130-1-janneke@HIDDEN>
 <20220502182434.32130-8-janneke@HIDDEN>
Date: Thu, 12 May 2022 13:03:18 +0200
In-Reply-To: <20220502182434.32130-8-janneke@HIDDEN> (Jan Nieuwenhuizen's
 message of "Mon, 2 May 2022 20:24:34 +0200")
Message-ID: <87o803j9mx.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55227
Cc: 55227 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

"Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN> skribis:

> * doc/guix.texi (Reduced Binary Seed Bootstrap): Update and rename to...
> (Full Source Bootstrap): ...this.
> * doc/images/gcc-core-mesboot0-graph.dot: Regenerate.

Nice!


[...]

> -Copyright @copyright{} 2016, 2017, 2018, 2019, 2020 Jan Nieuwenhuizen@*
> +Copyright @copyright{} 2016, 2017, 2018, 2019, 2021 Jan Nieuwenhuizen@*

2022 even.  :-)

>  For @code{i686-linux} and @code{x86_64-linux}, Guix now features a

[...]

> +``Full Source'' bootstrap.  This bootstrap is rooted in @file{hex0-seed}

Maybe: @dfn{full-source bootstrap}.

(I=E2=80=99d tend to avoid capitals, not sure.)

> +from the @url{https://savannah.gnu.org/projects/stage0, Stage0} package.
> +The source code of this initial hex0 program is a file called
> +@c XXX TODO: udpate to savannah url, once accepted there
> +@url{https://github.com/oriansj/bootstrap-seeds/blob/master/POSIX/x86/he=
x0_x86.hex0,@file{hex0_x86.hex0}}
> +and is written in the @code{hex0} language.
> +
> +Hex0 is self hosting, which means that it can build itself:

Before =E2=80=9CThe source code of this initial =E2=80=A6=E2=80=9D, perhaps=
 add a sentence like:
=20
  The hex0 program is minimalist assembler: it reads space-separated
  hexadecimal digits from a file, possibly including comments, and emits
  on standard output the bytes corresponding to those hexadecimal
  numbers.

(Is that a fine description?  I think it=E2=80=99d be nice if the stage0 si=
te
and repo could describe things in simple terms like that.)

s/self hosting/self-hosting/

> -The only significant binary bootstrap seeds that remain@footnote{
> -Ignoring the 68KB @code{mescc-tools}; that will be removed later,
> -together with @code{mes}.} are a Scheme interpreter and a Scheme
> -compiler: GNU Mes and GNU Guile@footnote{Not shown in this graph are the
> -static binaries for @file{bash}, @code{tar}, and @code{xz} that are used
> -to get Guile running.}.

\o/

Otherwise LGTM!

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 12 May 2022 10:51:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 12 06:51:10 2022
Received: from localhost ([127.0.0.1]:39799 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1np6PW-0002V5-Pf
	for submit <at> debbugs.gnu.org; Thu, 12 May 2022 06:51:10 -0400
Received: from eggs.gnu.org ([209.51.188.92]:37046)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1np6PW-0002Us-6C
 for 55227 <at> debbugs.gnu.org; Thu, 12 May 2022 06:51:10 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33328)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1np6PQ-0004Su-TP; Thu, 12 May 2022 06:51:04 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=rgyM76T3Yt8H4Y0drAbCMPLF/SJenlZjY6cYmLOHJtE=; b=caiSmz+W6sbQopNa4251
 UP6QMaDbTMcdhA8ihKyacgGZ1IalvLR7qcGK8ctyzc41v6GCMoQTjUHqoyi82J9yfDJkZMKbTlFWr
 2Dx32zKSBCLBomc059YUwvNsUd8VsT7rZyUXfytvE0s5p0WPmmj+ILwHEOMRuNmLk8h73lG9ZhwJa
 3q8B+zyQ1511mhsrMHtVyl4c9k0kpJi+pOf0bdd1+HWY+JMCQ9fhy0oIwnSvvuOle6Sw+lJHxO7iK
 4PZJl9kyjWQ2nUO0vgPNozcR8LkerWosrjvJnav8kSp9cT/tCEyZCHeyvXGe5/tOnS32E/bosKB6l
 ekfo+Qr1JExxeA==;
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=44938 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1np6PM-0000q2-IY; Thu, 12 May 2022 06:51:03 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN>
Subject: Re: bug#55227: [PATCH core-updates 0/8] The Full Source Bootstrap
References: <20220502182434.32130-1-janneke@HIDDEN>
 <20220502182434.32130-7-janneke@HIDDEN>
Date: Thu, 12 May 2022 12:50:59 +0200
In-Reply-To: <20220502182434.32130-7-janneke@HIDDEN> (Jan Nieuwenhuizen's
 message of "Mon, 2 May 2022 20:24:33 +0200")
Message-ID: <87wnerja7g.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55227
Cc: 55227 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

"Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN> skribis:

> * gnu/packages/commencement.scm (%bootstrap-mes-rewired): Remove.
> ---
>  gnu/packages/commencement.scm | 108 ----------------------------------
>  1 file changed, 108 deletions(-)

Yay!




Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 12 May 2022 10:50:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 12 06:50:52 2022
Received: from localhost ([127.0.0.1]:39793 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1np6PE-0002Tx-HU
	for submit <at> debbugs.gnu.org; Thu, 12 May 2022 06:50:52 -0400
Received: from eggs.gnu.org ([209.51.188.92]:37020)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1np6PC-0002Ti-On
 for 55227 <at> debbugs.gnu.org; Thu, 12 May 2022 06:50:51 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33326)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1np6P6-0004Rr-6N; Thu, 12 May 2022 06:50:45 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=HD7uM3z+HclDthzQlzDy7ePnefKNRn47o+haBU9/DF4=; b=Y4zHmzi9D6PpK/Utj7+5
 ned05z0fpNR9Yp1XfyHPqRHd6HZ+yS8IrWApRpQ7LTi+paGaqZWBO6dCuPFDHENmQPsYemRxsQAKA
 B2fBqTdba+ZjqJQmAAj9Xv10wbhoXVTturG8rU8I6C6/gq2lEm4iaRdZPdwiEpIWkoVHuEd1vPpS7
 dq6P0v7DATCMxPS1wlQEHBPk9ikbdZDXWrwLbUrjhQtPfTJ81mCo5b34MSppjlM91EgQ7IMs6uY/5
 OkuP4upSX815A2pGcbLfPFExND7h6wBLNBVA7s89SeWMfmleWMPHvYBRvOK2P7m1UmhWwXTBmK8fe
 N/FYfgPxlbmAyQ==;
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=44936 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1np6Oy-0000pk-ED; Thu, 12 May 2022 06:50:43 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN>
Subject: Re: bug#55227: [PATCH core-updates 0/8] The Full Source Bootstrap
References: <20220502182434.32130-1-janneke@HIDDEN>
 <20220502182434.32130-6-janneke@HIDDEN>
Date: Thu, 12 May 2022 12:50:35 +0200
In-Reply-To: <20220502182434.32130-6-janneke@HIDDEN> (Jan Nieuwenhuizen's
 message of "Mon, 2 May 2022 20:24:32 +0200")
Message-ID: <871qwzkosk.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55227
Cc: 55227 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

"Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN> skribis:

> * gnu/packages/bootstrap.scm (%bootstrap-inputs): Remove
> %bootstrap-mescc-tools, %bootstrap-mes.

OK!




Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 12 May 2022 10:50:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 12 06:50:28 2022
Received: from localhost ([127.0.0.1]:39789 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1np6Oq-0002TB-8W
	for submit <at> debbugs.gnu.org; Thu, 12 May 2022 06:50:28 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36972)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1np6Oo-0002Sy-H8
 for 55227 <at> debbugs.gnu.org; Thu, 12 May 2022 06:50:27 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33324)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1np6Oi-0004DP-KW; Thu, 12 May 2022 06:50:20 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=zidthRWFiQqK/w1c0hDpxJ9iY+rW6pV5Y+aElhZKv3I=; b=kJ8S21gn4OAqae4wn3X/
 MOSqjClcbu0eOZEpMMnxNxGxmDeCwfRO1LErX8YHwk6U/7ldAuGW0ni/LZhXSrEjbb5YPqBrktlT+
 b/D4988Eq78295tJW2NXDIhvXMPaNpMh37laD5u9zJG0/7ZM57lEnNc6Q4dchAYS1vGhJFPE+GxYg
 ROTOLgkkKE/88+SWlZSGRVZMHkapHTekuMkBPR4Bd8FeaNX3yNYVS+9oE1nY2v45faOb5AR9t2/kD
 ykuNsp2iTQU0CASSYrz90tyBZQHvr+hDInhMfx4B5AIlytXQXQIpz1uEzOnYJ5fSO7CP//RPYPeg+
 fPI3s2oCKc8FIg==;
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=44934 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1np6Ob-0000iv-Py; Thu, 12 May 2022 06:50:20 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN>
Subject: Re: bug#55227: [PATCH core-updates 0/8] The Full Source Bootstrap
References: <20220502182434.32130-1-janneke@HIDDEN>
 <20220502182434.32130-5-janneke@HIDDEN>
Date: Thu, 12 May 2022 12:50:11 +0200
In-Reply-To: <20220502182434.32130-5-janneke@HIDDEN> (Jan Nieuwenhuizen's
 message of "Mon, 2 May 2022 20:24:31 +0200")
Message-ID: <875ymbkot8.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55227
Cc: 55227 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

"Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN> skribis:

> * gnu/packages/commencement.scm (tcc-boot0)[source]: Update to
> 0.9.26-1136-g0fbeb2dd.
> [native-inputs]: Add stage0-posix and mes-boot, remove
> %bootstrap-mescc-tools and %bootstrap-mes-rewired.

[...]

>  (define tcc-boot0
> -  ;; Pristine tcc cannot be built by MesCC, we are keeping a delta of 11
> +  ;; Pristine tcc cannot be built by MesCC, we are keeping a delta of 30

Slowly increasing.  :-)

>      (source (bootstrap-origin
>               (origin
>                 (method url-fetch)
>                 (uri (string-append
> -                     "https://lilypond.org/janneke/mes/20191117/"
> +                     "https://lilypond.org/janneke/tcc/"
>                       "/tcc-" version ".tar.gz"))
>                 (sha256
>                  (base32
> -                 "1qbybw7mxbgkv3sazvz1v7c8byq998vk8f1h25ik8w3d2l63lxng")=
))))
> +                 "1y2f04qwdqg7dgxiscbf0ibybx2gclniwbbcsxpayazzii2cvji3")=
))))

Eventually we should have that on ftp.gnu.org too, but I realize we
might be better off addressing it afterwards since we=E2=80=99ll have to ag=
ree
on the whole file tree we=E2=80=99re going to upload there.

So=E2=80=A6 LGTM!




Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 12 May 2022 10:47:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 12 06:47:58 2022
Received: from localhost ([127.0.0.1]:39784 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1np6MP-0002Nm-QQ
	for submit <at> debbugs.gnu.org; Thu, 12 May 2022 06:47:58 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36690)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1np6MO-0002N3-I6
 for 55227 <at> debbugs.gnu.org; Thu, 12 May 2022 06:47:56 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33298)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1np6MJ-0003zj-8r; Thu, 12 May 2022 06:47:51 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=ALLtuXCedYUKVBWp77rfNc9wYD+ywg/gk/YHJBzdkkU=; b=UBrAEm1pLp/frU3jaK8X
 XkCRxRHIzub23dVctQGgvx8v6FOjgMkJuAHb2LskbzVarj5mGWDDv1Ig+ie5JDxKPOypaY9FQnNWe
 fDKm9INDIQ1Zvuax1KqX+tpRji1OQiymNW3UkafAOZXNvkL97aV+j9iEOUpuhHjZnuLdtCuJrufuH
 cxCFBaVEy8ai5M941j3rLDqFrLSyIvzaWH6vGAy4555W3pF6x8DgKY4d7jynzBi7Hqt37VoPLUXFM
 npuEj82lXH2YYvk0d6WTWI81CaUpXt4tcZ7qj17CX7hH7Jyh+lWR3R5ImH4wzruT8pymoAWObDVkO
 A/vrjmtImgQXvA==;
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=44932 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1np6MI-0000Yq-RP; Thu, 12 May 2022 06:47:51 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN>
Subject: Re: bug#55227: [PATCH core-updates 0/8] The Full Source Bootstrap
References: <20220502182434.32130-1-janneke@HIDDEN>
 <20220502182434.32130-4-janneke@HIDDEN>
Date: Thu, 12 May 2022 12:47:49 +0200
In-Reply-To: <20220502182434.32130-4-janneke@HIDDEN> (Jan Nieuwenhuizen's
 message of "Mon, 2 May 2022 20:24:30 +0200")
Message-ID: <87a6bnkox6.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55227
Cc: 55227 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

"Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN> skribis:

> * gnu/packages/commencement.scm (tcc-boot0): Call 'bootstrap-origin' on s=
ource
> and on the source of NYACC-0.99.  Use https source URL.  Update NYACC to
> 1.00.2.

[...]

> +    (source (bootstrap-origin
> +             (origin
> +               (method url-fetch)
> +               (uri (string-append
> +                     "https://lilypond.org/janneke/mes/20191117/"
> +                     "/tcc-" version ".tar.gz"))
> +               (sha256
> +                (base32
> +                 "1qbybw7mxbgkv3sazvz1v7c8byq998vk8f1h25ik8w3d2l63lxng")=
))))

Same here for =E2=80=98bootstrap-origin=E2=80=99 and the URL.

Otherwise LGTM.

>      (native-inputs
>       `(("mes" ,mes-boot)
> -       ("nyacc-source" ,(origin (inherit (package-source nyacc-0.99))
> -                                (snippet #f)))
> +       ("nyacc-source" ,(bootstrap-origin
> +                         (origin (inherit (package-source nyacc-1.00.2))
> +                                 (snippet #f))))
>         ("mescc-tools" ,%bootstrap-mescc-tools)
>         ,@(%boot-gash-inputs)))

In a subsequent patch (not a blocker), we can look at removing input
labels.

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 12 May 2022 10:46:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 12 06:46:38 2022
Received: from localhost ([127.0.0.1]:39771 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1np6L7-0002Io-Rh
	for submit <at> debbugs.gnu.org; Thu, 12 May 2022 06:46:38 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36448)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1np6L6-0002IZ-2s
 for 55227 <at> debbugs.gnu.org; Thu, 12 May 2022 06:46:36 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33292)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1np6L0-0003n7-QK; Thu, 12 May 2022 06:46:30 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=mH2OE2LeetGBcsAHgw31PPbfXBZ3s0azqrzLcgn+A8M=; b=mNqme+rXOrm2XmjSeX0P
 VvAselXbke7dPRPvqhb8+Wgf8Qh6Jq1N4X1fdtbKVtU8xKwe7TDNngsaYuvtg3SDzm+M4+l6qnLcW
 Wf1FBhg/fGXvkpC5i3351h2jBfbBOI1APKQiGr3ut6K/DtMq5rnAxPPIx0K2cADbw14Vl3y6rPmVt
 7CeuqEtLnK4SJ9Qhqy3D8YVOxmg5XWAnOILjqeVVdWzzr7q3ms4gCq6HhY+V9q/mNVxx7ztvh4Dpp
 HZ6/v9DUpQKKYG4w+x7LwmIBoExQaNn+Ar/RaGoHCqbCiS3WttWS+pIY7JzSaFDix7/oHnWpLMsTI
 cROsFiDTDU3RLQ==;
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=44930 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1np6L0-0000Qk-Cv; Thu, 12 May 2022 06:46:30 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN>
Subject: Re: bug#55227: [PATCH core-updates 0/8] The Full Source Bootstrap
References: <20220502182434.32130-1-janneke@HIDDEN>
 <20220502182434.32130-3-janneke@HIDDEN>
Date: Thu, 12 May 2022 12:46:29 +0200
In-Reply-To: <20220502182434.32130-3-janneke@HIDDEN> (Jan Nieuwenhuizen's
 message of "Mon, 2 May 2022 20:24:29 +0200")
Message-ID: <87ee0zkoze.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55227
Cc: 55227 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

"Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN> skribis:

> * gnu/packages/commencement.scm (mes-boot)[source]: Update to
> 0.24.
> [native-inputs]: Add stage0-posix, remove %bootstrap-mescc-tools and
> %bootstrap-mes-rewired, and update nyacc to 1.00.2.

[...]

> +    (source (bootstrap-origin
> +             (origin
> +               (method url-fetch)
> +               (uri (string-append "mirror://gnu/mes/"
> +                                   "mes-" version ".tar.gz"))
> +               (sha256
> +                (base32
> +                 "00lrpm4x5qg0l840zhbf9mr67mqhp8gljcl24j5dy0y109gf32w2")=
))))

No need for =E2=80=98bootstrap-origin=E2=80=99.

Otherwise LGTM!




Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 12 May 2022 10:45:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 12 06:45:22 2022
Received: from localhost ([127.0.0.1]:39766 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1np6Jt-0002GD-J7
	for submit <at> debbugs.gnu.org; Thu, 12 May 2022 06:45:22 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36098)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1np6Jr-0002Fu-CC
 for 55227 <at> debbugs.gnu.org; Thu, 12 May 2022 06:45:20 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33290)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1np6Jl-0003Px-4l; Thu, 12 May 2022 06:45:13 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=83dlBrFmfkn2DQ0IQzyt8pgatPia21DcUWxHoV+H8A4=; b=gZeg1ZYCf/eJd0s7rZ60
 YtQvnZ1Nrq4PuI2lBAB1xm2dMBDtoAd35Wb0Z8jM76c38r6GllUa4cM9ZUHZ9z32VGQnkRMIDssjj
 RcqFKcutyiJ4PgexXbOtbAeFi1Z3Cd6gwnpkwC9JOWsaAspHRzn+Z50LoDpjDQMnscYXGJB1bk+QY
 0pALvIKE87VzNKmn1S55D05umzqLpb0UOGh+3oz1goj3dXXLuuPeWNP7qRwFZRdrkQqZnqn9Bg32l
 5tNzE/xsXlgLf2TMRc+tlRhPcRjLDs1zXqlC9dvYmHabPTq7Wx2kdTYkandQ2J0LE7c2AUxxjK0ug
 oAo+dryiLB4sUg==;
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=44928 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1np6Jk-0000HE-Gt; Thu, 12 May 2022 06:45:12 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Jan Nieuwenhuizen <janneke@HIDDEN>
Subject: Re: bug#55227: [PATCH core-updates 0/8] The Full Source Bootstrap
References: <20220502182434.32130-1-janneke@HIDDEN>
 <20220502182434.32130-2-janneke@HIDDEN> <87ee13nyho.fsf@HIDDEN>
 <87y1zbcecx.fsf@HIDDEN>
Date: Thu, 12 May 2022 12:45:10 +0200
In-Reply-To: <87y1zbcecx.fsf@HIDDEN> (Jan Nieuwenhuizen's message of "Mon, 09
 May 2022 10:14:06 +0200")
Message-ID: <87ilqbkp1l.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55227
Cc: 55227 <at> debbugs.gnu.org, Thiago Jung Bauermann <bauermann@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Jan Nieuwenhuizen <janneke@HIDDEN> skribis:

>>From f013e88563f73a7513faa330c79eef2f653daf28 Mon Sep 17 00:00:00 2001
> From: "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN>
> Date: Thu, 31 Dec 2020 18:25:21 +0100
> Subject: [PATCH core-updates v2 2/8] commencement: Add stage0-posix.
>
> Stage0-posix is a skeleton for bootstrapping all of Stage0 for POSIX syst=
ems.
> On x86-linux, from the 357-byte hex0-seed binary from the bootstrap-seeds=
, it
> builds hex0, kaem, hex1, catm, hex2, M0, cc_x86, M1, M2,
> get_machine, (mescc-tools), and M2-Planet.
>
> * gnu/packages/commencement.scm (stage0-posix): New variable.

[...]

> +      (name "stage0-posix")
> +      (version "1.4")
> +      (source (bootstrap-origin
> +               (origin
> +                 (method url-fetch)
> +                 (uri (string-append
> +                       "https://lilypond.org/janneke/guix/20220502/"
> +                       "stage0-posix-" version ".tar.gz"))

Same comment as earlier regarding =E2=80=98bootstrap-origin=E2=80=99 and th=
e URL.

> +      (supported-systems '("i686-linux" "x86_64-linux"
> +                           "arm-linux" "aarch64-linux"
> +                           "riscv64-linux"))

Woow.  :-)

s/arm-linux/armhf-linux/

> +      (native-inputs
> +       `(("bootstrap-seeds" ,bootstrap-seeds)
> +         ("mescc-tools"
> +          ,(bootstrap-origin
> +            (origin
> +              (method url-fetch)
> +              (uri (string-append
> +                    "https://lilypond.org/janneke/guix/20220502/"
> +                    "mescc-tools-" mescc-tools-version ".tar.gz"))
> +              (sha256
> +               (base32
> +                "1xi6f48pf5bhajhfis189gpizxij7nbp1vzvsb1aafhz4skkiqvg"))=
)))
> +         ("m2-planet"
> +          ,(bootstrap-origin
> +            (origin
> +              (method url-fetch)
> +              (uri (string-append
> +                    "https://lilypond.org/janneke/guix/20220502/"
> +                    "M2-Planet-" m2-planet-version ".tar.gz"))
> +              (sha256
> +               (base32
> +                "1xrn69sc5nz4hwaishqyrcidp1ncxwib9zswl45x378ddz3mmk7g"))=
)))
> +         ,@(%boot-gash-inputs)))

Here you can avoid =E2=80=98bootstrap-origin=E2=80=99 too and add mirror://=
gnu URLs.

The =E2=80=9Cnew style=E2=80=9D (with gexps) doesn=E2=80=99t work well with=
 non-package inputs
in the sense that you cannot use =E2=80=98this-package-input=E2=80=99 to ac=
cess them.

However, it might be simpler to not have them in =E2=80=98native-inputs=E2=
=80=99 and to
instead refer to them in the code, as in:

  #~(begin
      =E2=80=A6
      (invoke "tar" "xvf" #$mescc-tools)
      =E2=80=A6)

where:

  (define mescc-tools
    (origin =E2=80=A6))

> +      (synopsis "The initial bootstrap package, builds stage0 up to M2-P=
lanet")
> +      (description
> +       "Starting from an 357-byte hex0 provided by the bootstrap-seeds,
> +stage0-posix builds hex0, kaem, hex1, catm, hex2, M0, cc_x86, M1,
> +M2, get_machine, (mescc-tools), and M2-Planet.")

Bonus points if you can make it a full sentence.  :-)

(I feel ridiculous commenting on this on a patch series that=E2=80=99s this
important, but hey!)

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 12 May 2022 10:38:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 12 06:38:34 2022
Received: from localhost ([127.0.0.1]:39761 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1np6DJ-00022m-PF
	for submit <at> debbugs.gnu.org; Thu, 12 May 2022 06:38:34 -0400
Received: from eggs.gnu.org ([209.51.188.92]:34540)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1np6DH-00022V-Nc
 for 55227 <at> debbugs.gnu.org; Thu, 12 May 2022 06:38:32 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33184)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1np6DA-0002Jj-Od; Thu, 12 May 2022 06:38:25 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=CD9JVoPuWNTgsZwi9/J3k0/UbSZ1v2CqvavYGuLKZ6k=; b=lb33svE3qRHBAr2rDe9d
 MPyhrPzXN1vnwegR1UNw4th2KOG+ISiyEUXuFxNlepxCc2QvmsX5dD8EghlTXc/C4ecGiED+TsHMn
 nKKPOuYs5XPK3qus3L0tGYVuV/iJQj/C0CWy1phjUPm4W2ewcyOFJQ2Opue/3O7JAIx7O8yQKDGLC
 N/o+aoKVbfJGw0Mw9z79JbjULpVgzGEXspE00k4bEgt5a0r3uLe5mieTuC/WZGF31tIq4fozapzBZ
 14OaMP2GYhDRRIWsDadOdI5IH9GU8WdZwJfdsj9bD3g1/NOIb0DmEby8PGbsFrjmr01eFr2XOzOdu
 GZfH1dv7BW0KGg==;
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=44926 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1np6D8-0003ae-4K; Thu, 12 May 2022 06:38:22 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN>
Subject: Re: bug#55227: [PATCH core-updates 0/8] The Full Source Bootstrap
References: <20220502182105.32068-1-janneke@HIDDEN>
 <20220502182434.32130-1-janneke@HIDDEN>
Date: Thu, 12 May 2022 12:38:20 +0200
In-Reply-To: <20220502182434.32130-1-janneke@HIDDEN> (Jan Nieuwenhuizen's
 message of "Mon, 2 May 2022 20:24:27 +0200")
Message-ID: <87r14zkpcz.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55227
Cc: 55227 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi!

Starting a dive through this amazing patch series=E2=80=A6

"Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN> skribis:

> * gnu/packages/commencement.scm (bootstrap-seeds): New variable.

[...]

> +    (source
> +     (bootstrap-origin

You can remove the =E2=80=98bootstrap-origin=E2=80=99 call: it=E2=80=99s on=
ly useful when there
are patches or snippets.

> +      (origin
> +        (method url-fetch)
> +        (uri (string-append
> +              "https://lilypond.org/janneke/guix/20220501/"
> +              "bootstrap-seeds-" version ".tar.gz"))

You can add a mirror://gnu/guix/mirror URL and we=E2=80=99ll copy it to
ftp.gnu.org.

> +    (native-inputs `(("bootar" ,bootar)))

-> (list boottar)

> +    (build-system trivial-build-system)
> +    (arguments
> +     `(#:guile ,%bootstrap-guile
> +       #:modules ((guix build utils))
> +       #:builder
> +       (begin
> +         (use-modules (guix build utils))
> +         (let ((source (assoc-ref %build-inputs "source"))
> +               (tar (assoc-ref %build-inputs "bootar"))
> +               (out (assoc-ref %outputs "out")))

You can make it a gexp like so:

  (arguments
    (list #:guile =E2=80=A6
          #:builder
          #~(begin
              (use-modules =E2=80=A6)

              (let ((source #$(package-source this-package))
                    (tar #$(this-package-input "boottar"))
                    (out #$output))
                =E2=80=A6))))

> +           (setenv "PATH" (string-append tar "/bin:"))
> +           (invoke "tar" "xvf" source)
> +           (mkdir-p out)
> +           (copy-recursively "bootstrap-seeds" out)
> +           #t))))

You can remove the trailing #t.

> +    (description
> +     "A prebuilt version of the initial bootstrap seeds.  It contains a

The first thing could be a sentence, say: =E2=80=9CThis package provides
pre-built binaries of the bootstrap seeds.=E2=80=9D

> +hex0-seed and an optional kaem-minimal shell.  The size of the hex0 seed=
s are
> +for knight: 250 bytes, x86-linux:(357 bytes, x86_64-linux: 431 bytes, and
                                    ^
Extra paren.

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 9 May 2022 08:14:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 09 04:14:20 2022
Received: from localhost ([127.0.0.1]:55955 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nnyX5-0006ST-K9
	for submit <at> debbugs.gnu.org; Mon, 09 May 2022 04:14:20 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51132)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1nnyX3-0006S0-Dd
 for 55227 <at> debbugs.gnu.org; Mon, 09 May 2022 04:14:17 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47316)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1nnyWw-0006tA-Gb; Mon, 09 May 2022 04:14:10 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=1EPH2iE7kA2z+pxblWqMO1eYO6BQxc4mf42H3SBApNw=; b=KI3rUVq7RtYM4Q65klwb
 wPMRghvnKoh6Lhi17inOb3kzgVfXdEVwH2HL5ZIsB5z5CUx5sGKfsLbmO5ePqNEVFX6h31ciFflxb
 mAd7umH6cEl8e9+4ZvDL2iXhNQIztD/DBbpr6zVzO/ERbKQ1kc52694EWx3LIdS7qnNE0sF6U+01K
 dMLy9va3FIt/pSNhmAcPrEauLMN/vVgC5zduUcKDYZJ8HmRx6G+a+/RY8PH+3v7v7DtszWJGnR6Ln
 4Lda9DH4pzBDnr5R0gRjTWE0Y/hZncF539xEWDIJLAbHnkp5CNR4rU3s9iXq3B7Ae5A9jzHxzF6m3
 TFwGouJqyohqyg==;
Received: from 2a02-a462-da03-1-fa3e-1174-c33f-9485.fixed6.kpn.net
 ([2a02:a462:da03:1:fa3e:1174:c33f:9485]:54974
 helo=drakenbij.janneke.lilypond.org)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1nnyWw-000270-2Z; Mon, 09 May 2022 04:14:10 -0400
From: Jan Nieuwenhuizen <janneke@HIDDEN>
To: Thiago Jung Bauermann <bauermann@HIDDEN>
Subject: Re: [bug#55227] [PATCH core-updates 2/8] commencement: Add
 stage0-posix.
Organization: AvatarAcademy.nl
References: <20220502182434.32130-1-janneke@HIDDEN>
 <20220502182434.32130-2-janneke@HIDDEN> <87ee13nyho.fsf@HIDDEN>
X-Url: http://AvatarAcademy.nl
Date: Mon, 09 May 2022 10:14:06 +0200
In-Reply-To: <87ee13nyho.fsf@HIDDEN> (Thiago Jung Bauermann's message of
 "Mon, 09 May 2022 00:49:44 -0300")
Message-ID: <87y1zbcecx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55227
Cc: 55227 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Thiago Jung Bauermann writes:

Hello Thiago,

> This is great work!

Thanks!

> This is not an area I have experience in, so I didn't read it closely,
> at least as of yet. I have only one minor comment:

>> diff --git a/gnu/packages/commencement.scm b/gnu/packages/commencement.s=
cm
>> index 663ffacd56..24e1e6ec8c 100644
>> --- a/gnu/packages/commencement.scm
>> +++ b/gnu/packages/commencement.scm
[..]
>> +                  (stage0-cpu
>> +                   (cond
>> +                    ((or (string-prefix? "x86_64-linux" target)
>
> IMHO the code is clearer and less error prone if the (guix utils)
> convenience functions are used to test the target rather than directly
> doing string pattern matching.
>
> In this case, =E2=80=98target-x86-64?=E2=80=99 is the one. There's no nee=
d to even pass
> an argument to it since the default is what you need.
>
> The check for Linux could be done separately in the body of the builder
> with =E2=80=98target-linux?=E2=80=99. What do you think?
>
>> +                         (string-prefix? "i686-linux" target))
>
> Here it would be =E2=80=98target-x86-32?=E2=80=99.
>
>> +                     "x86")
>> +                    ((or (string-prefix? "aarch64-linux" target)
>> +                         (string-prefix? "armhf-linux" target))
>
> This is a good case in point. There's a bug above: =E2=80=9Carmhf-linux=
=E2=80=9D matches
> 32-bit ARM when building natively because that's what's in
> %current-target, but when cross-building %current-target-system will
> contain =E2=80=9Carm-unknown-linux-gnueabihf=E2=80=9D and this branch won=
't be taken.
>
> Using =E2=80=98target-arm32?=E2=80=99 avoids the bug.

Nice catch and good suggestion.  Find a new version attached.

Greetings
Janneke


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline;
 filename=v2-0002-commencement-Add-stage0-posix.patch

From f013e88563f73a7513faa330c79eef2f653daf28 Mon Sep 17 00:00:00 2001
From: "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN>
Date: Thu, 31 Dec 2020 18:25:21 +0100
Subject: [PATCH core-updates v2 2/8] commencement: Add stage0-posix.

Stage0-posix is a skeleton for bootstrapping all of Stage0 for POSIX systems.
On x86-linux, from the 357-byte hex0-seed binary from the bootstrap-seeds, it
builds hex0, kaem, hex1, catm, hex2, M0, cc_x86, M1, M2,
get_machine, (mescc-tools), and M2-Planet.

* gnu/packages/commencement.scm (stage0-posix): New variable.
---
 gnu/packages/commencement.scm | 110 ++++++++++++++++++++++++++++++++++
 1 file changed, 110 insertions(+)

diff --git a/gnu/packages/commencement.scm b/gnu/packages/commencement.scm
index 663ffacd56..7cb972f3bd 100644
--- a/gnu/packages/commencement.scm
+++ b/gnu/packages/commencement.scm
@@ -306,6 +306,116 @@ (define bootstrap-seeds
 M1, and M2-Planet.")
     (license license:gpl3+)))
 
+(define stage0-posix
+  ;; The initial bootstrap package: no binary inputs except those from
+  ;; `bootstrap-seeds, for x86 a 357 byte binary seed: `x86/hex0-seed'.
+  (let ((mescc-tools-version "1.4.0")
+        (m2-planet-version "1.9.0"))
+    (package
+      (name "stage0-posix")
+      (version "1.4")
+      (source (bootstrap-origin
+               (origin
+                 (method url-fetch)
+                 (uri (string-append
+                       "https://lilypond.org/janneke/guix/20220502/"
+                       "stage0-posix-" version ".tar.gz"))
+                 (sha256
+                  (base32
+                   "1ammifkj33205qrpfm84yb1c99lwgbn4jsl1hd08aab8c9ffz6p4")))))
+      (supported-systems '("i686-linux" "x86_64-linux"
+                           "arm-linux" "aarch64-linux"
+                           "riscv64-linux"))
+      (native-inputs
+       `(("bootstrap-seeds" ,bootstrap-seeds)
+         ("mescc-tools"
+          ,(bootstrap-origin
+            (origin
+              (method url-fetch)
+              (uri (string-append
+                    "https://lilypond.org/janneke/guix/20220502/"
+                    "mescc-tools-" mescc-tools-version ".tar.gz"))
+              (sha256
+               (base32
+                "1xi6f48pf5bhajhfis189gpizxij7nbp1vzvsb1aafhz4skkiqvg")))))
+         ("m2-planet"
+          ,(bootstrap-origin
+            (origin
+              (method url-fetch)
+              (uri (string-append
+                    "https://lilypond.org/janneke/guix/20220502/"
+                    "M2-Planet-" m2-planet-version ".tar.gz"))
+              (sha256
+               (base32
+                "1xrn69sc5nz4hwaishqyrcidp1ncxwib9zswl45x378ddz3mmk7g")))))
+         ,@(%boot-gash-inputs)))
+      (build-system trivial-build-system)
+      (arguments
+       `(#:guile ,%bootstrap-guile
+         #:modules ((guix build utils))
+         #:builder
+         (begin
+           (use-modules (guix build utils))
+           (let* ((bootstrap-seeds (assoc-ref %build-inputs "bootstrap-seeds"))
+                  (mescc-tools (assoc-ref %build-inputs "mescc-tools"))
+                  (m2-planet (assoc-ref %build-inputs "m2-planet"))
+                  (source (assoc-ref %build-inputs "source"))
+                  (tar (assoc-ref %build-inputs "bootar"))
+                  (bash (assoc-ref %build-inputs "bash"))
+                  (coreutils (assoc-ref %build-inputs "coreutils"))
+                  (guile (assoc-ref %build-inputs "guile"))
+                  (out (assoc-ref %outputs "out"))
+                  (bindir (string-append out "/bin"))
+                  (target (or ,(%current-target-system)
+                              ,(%current-system)))
+                  (stage0-cpu
+                   (cond
+                    ((or ,(target-x86-64?) ,(target-x86-32?))
+                     "x86")
+                    (,(target-arm?)
+                     "armv7l")
+                    (else
+                     (error "stage0-posix: system not supported" target))))
+                  (kaem (string-append "../bootstrap-seeds/POSIX/"
+                                       stage0-cpu "/kaem-optional-seed")))
+             (setenv "PATH" (string-append tar "/bin:"
+                                           coreutils "/bin:"
+                                           bash "/bin"))
+             (invoke "tar" "xvf" source)
+             (chdir (string-append "stage0-posix-" ,version))
+             (copy-recursively bootstrap-seeds "bootstrap-seeds")
+             (invoke "tar" "xvf" mescc-tools)
+             (rmdir "mescc-tools")
+             (symlink (string-append "mescc-tools-" ,mescc-tools-version)
+                      "mescc-tools")
+             (invoke "tar" "xvf" m2-planet)
+             (rmdir "M2-Planet")
+             (symlink (string-append "M2-Planet-" ,m2-planet-version)
+                      "M2-Planet")
+             (rmdir "M2libc")
+             (symlink "M2-Planet/M2libc" "M2libc")
+             (mkdir-p bindir)
+             (with-directory-excursion stage0-cpu
+               (with-output-to-file "mes-m2.kaem"
+                 (lambda _ (display "")))
+               (with-output-to-file "mescc-tools-extra.kaem"
+                 (lambda _ (display "")))
+               (invoke kaem "kaem.run"))
+             (with-directory-excursion "bin"
+               (install-file "hex2" bindir)
+               (install-file "M1" bindir)
+               (install-file "blood-elf" bindir)
+               (install-file "kaem" bindir)
+               (install-file "get_machine" bindir)
+               (install-file "M2-Planet" bindir))))))
+      (home-page "https://github.com/oriansj/stage0-posix/")
+      (synopsis "The initial bootstrap package, builds stage0 up to M2-Planet")
+      (description
+       "Starting from an 357-byte hex0 provided by the bootstrap-seeds,
+stage0-posix builds hex0, kaem, hex1, catm, hex2, M0, cc_x86, M1,
+M2, get_machine, (mescc-tools), and M2-Planet.")
+      (license license:gpl3+))))
+
 (define %bootstrap-mes-rewired
   (package
     (inherit mes)
-- 
2.35.1


--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


--=20
Jan Nieuwenhuizen <janneke@HIDDEN>  | GNU LilyPond https://lilypond.org
Freelance IT https://JoyOfSource.com | Avatar=C2=AE https://AvatarAcademy.c=
om

--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 May 2022 08:14:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 09 04:14:14 2022
Received: from localhost ([127.0.0.1]:55951 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nnyX0-0006S9-4L
	for submit <at> debbugs.gnu.org; Mon, 09 May 2022 04:14:14 -0400
Received: from lists.gnu.org ([209.51.188.17]:56230)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1nnyWy-0006S1-Ob
 for submit <at> debbugs.gnu.org; Mon, 09 May 2022 04:14:13 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:44430)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>) id 1nnyWy-00073k-GA
 for guix-patches@HIDDEN; Mon, 09 May 2022 04:14:12 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47316)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1nnyWw-0006tA-Gb; Mon, 09 May 2022 04:14:10 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=1EPH2iE7kA2z+pxblWqMO1eYO6BQxc4mf42H3SBApNw=; b=KI3rUVq7RtYM4Q65klwb
 wPMRghvnKoh6Lhi17inOb3kzgVfXdEVwH2HL5ZIsB5z5CUx5sGKfsLbmO5ePqNEVFX6h31ciFflxb
 mAd7umH6cEl8e9+4ZvDL2iXhNQIztD/DBbpr6zVzO/ERbKQ1kc52694EWx3LIdS7qnNE0sF6U+01K
 dMLy9va3FIt/pSNhmAcPrEauLMN/vVgC5zduUcKDYZJ8HmRx6G+a+/RY8PH+3v7v7DtszWJGnR6Ln
 4Lda9DH4pzBDnr5R0gRjTWE0Y/hZncF539xEWDIJLAbHnkp5CNR4rU3s9iXq3B7Ae5A9jzHxzF6m3
 TFwGouJqyohqyg==;
Received: from 2a02-a462-da03-1-fa3e-1174-c33f-9485.fixed6.kpn.net
 ([2a02:a462:da03:1:fa3e:1174:c33f:9485]:54974
 helo=drakenbij.janneke.lilypond.org)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1nnyWw-000270-2Z; Mon, 09 May 2022 04:14:10 -0400
From: Jan Nieuwenhuizen <janneke@HIDDEN>
To: Thiago Jung Bauermann <bauermann@HIDDEN>
Subject: Re: [bug#55227] [PATCH core-updates 2/8] commencement: Add
 stage0-posix.
Organization: AvatarAcademy.nl
References: <20220502182434.32130-1-janneke@HIDDEN>
 <20220502182434.32130-2-janneke@HIDDEN> <87ee13nyho.fsf@HIDDEN>
X-Url: http://AvatarAcademy.nl
Date: Mon, 09 May 2022 10:14:06 +0200
In-Reply-To: <87ee13nyho.fsf@HIDDEN> (Thiago Jung Bauermann's message of
 "Mon, 09 May 2022 00:49:44 -0300")
Message-ID: <87y1zbcecx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
Cc: 55227 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Thiago Jung Bauermann writes:

Hello Thiago,

> This is great work!

Thanks!

> This is not an area I have experience in, so I didn't read it closely,
> at least as of yet. I have only one minor comment:

>> diff --git a/gnu/packages/commencement.scm b/gnu/packages/commencement.s=
cm
>> index 663ffacd56..24e1e6ec8c 100644
>> --- a/gnu/packages/commencement.scm
>> +++ b/gnu/packages/commencement.scm
[..]
>> +                  (stage0-cpu
>> +                   (cond
>> +                    ((or (string-prefix? "x86_64-linux" target)
>
> IMHO the code is clearer and less error prone if the (guix utils)
> convenience functions are used to test the target rather than directly
> doing string pattern matching.
>
> In this case, =E2=80=98target-x86-64?=E2=80=99 is the one. There's no nee=
d to even pass
> an argument to it since the default is what you need.
>
> The check for Linux could be done separately in the body of the builder
> with =E2=80=98target-linux?=E2=80=99. What do you think?
>
>> +                         (string-prefix? "i686-linux" target))
>
> Here it would be =E2=80=98target-x86-32?=E2=80=99.
>
>> +                     "x86")
>> +                    ((or (string-prefix? "aarch64-linux" target)
>> +                         (string-prefix? "armhf-linux" target))
>
> This is a good case in point. There's a bug above: =E2=80=9Carmhf-linux=
=E2=80=9D matches
> 32-bit ARM when building natively because that's what's in
> %current-target, but when cross-building %current-target-system will
> contain =E2=80=9Carm-unknown-linux-gnueabihf=E2=80=9D and this branch won=
't be taken.
>
> Using =E2=80=98target-arm32?=E2=80=99 avoids the bug.

Nice catch and good suggestion.  Find a new version attached.

Greetings
Janneke


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline;
 filename=v2-0002-commencement-Add-stage0-posix.patch

From f013e88563f73a7513faa330c79eef2f653daf28 Mon Sep 17 00:00:00 2001
From: "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN>
Date: Thu, 31 Dec 2020 18:25:21 +0100
Subject: [PATCH core-updates v2 2/8] commencement: Add stage0-posix.

Stage0-posix is a skeleton for bootstrapping all of Stage0 for POSIX systems.
On x86-linux, from the 357-byte hex0-seed binary from the bootstrap-seeds, it
builds hex0, kaem, hex1, catm, hex2, M0, cc_x86, M1, M2,
get_machine, (mescc-tools), and M2-Planet.

* gnu/packages/commencement.scm (stage0-posix): New variable.
---
 gnu/packages/commencement.scm | 110 ++++++++++++++++++++++++++++++++++
 1 file changed, 110 insertions(+)

diff --git a/gnu/packages/commencement.scm b/gnu/packages/commencement.scm
index 663ffacd56..7cb972f3bd 100644
--- a/gnu/packages/commencement.scm
+++ b/gnu/packages/commencement.scm
@@ -306,6 +306,116 @@ (define bootstrap-seeds
 M1, and M2-Planet.")
     (license license:gpl3+)))
 
+(define stage0-posix
+  ;; The initial bootstrap package: no binary inputs except those from
+  ;; `bootstrap-seeds, for x86 a 357 byte binary seed: `x86/hex0-seed'.
+  (let ((mescc-tools-version "1.4.0")
+        (m2-planet-version "1.9.0"))
+    (package
+      (name "stage0-posix")
+      (version "1.4")
+      (source (bootstrap-origin
+               (origin
+                 (method url-fetch)
+                 (uri (string-append
+                       "https://lilypond.org/janneke/guix/20220502/"
+                       "stage0-posix-" version ".tar.gz"))
+                 (sha256
+                  (base32
+                   "1ammifkj33205qrpfm84yb1c99lwgbn4jsl1hd08aab8c9ffz6p4")))))
+      (supported-systems '("i686-linux" "x86_64-linux"
+                           "arm-linux" "aarch64-linux"
+                           "riscv64-linux"))
+      (native-inputs
+       `(("bootstrap-seeds" ,bootstrap-seeds)
+         ("mescc-tools"
+          ,(bootstrap-origin
+            (origin
+              (method url-fetch)
+              (uri (string-append
+                    "https://lilypond.org/janneke/guix/20220502/"
+                    "mescc-tools-" mescc-tools-version ".tar.gz"))
+              (sha256
+               (base32
+                "1xi6f48pf5bhajhfis189gpizxij7nbp1vzvsb1aafhz4skkiqvg")))))
+         ("m2-planet"
+          ,(bootstrap-origin
+            (origin
+              (method url-fetch)
+              (uri (string-append
+                    "https://lilypond.org/janneke/guix/20220502/"
+                    "M2-Planet-" m2-planet-version ".tar.gz"))
+              (sha256
+               (base32
+                "1xrn69sc5nz4hwaishqyrcidp1ncxwib9zswl45x378ddz3mmk7g")))))
+         ,@(%boot-gash-inputs)))
+      (build-system trivial-build-system)
+      (arguments
+       `(#:guile ,%bootstrap-guile
+         #:modules ((guix build utils))
+         #:builder
+         (begin
+           (use-modules (guix build utils))
+           (let* ((bootstrap-seeds (assoc-ref %build-inputs "bootstrap-seeds"))
+                  (mescc-tools (assoc-ref %build-inputs "mescc-tools"))
+                  (m2-planet (assoc-ref %build-inputs "m2-planet"))
+                  (source (assoc-ref %build-inputs "source"))
+                  (tar (assoc-ref %build-inputs "bootar"))
+                  (bash (assoc-ref %build-inputs "bash"))
+                  (coreutils (assoc-ref %build-inputs "coreutils"))
+                  (guile (assoc-ref %build-inputs "guile"))
+                  (out (assoc-ref %outputs "out"))
+                  (bindir (string-append out "/bin"))
+                  (target (or ,(%current-target-system)
+                              ,(%current-system)))
+                  (stage0-cpu
+                   (cond
+                    ((or ,(target-x86-64?) ,(target-x86-32?))
+                     "x86")
+                    (,(target-arm?)
+                     "armv7l")
+                    (else
+                     (error "stage0-posix: system not supported" target))))
+                  (kaem (string-append "../bootstrap-seeds/POSIX/"
+                                       stage0-cpu "/kaem-optional-seed")))
+             (setenv "PATH" (string-append tar "/bin:"
+                                           coreutils "/bin:"
+                                           bash "/bin"))
+             (invoke "tar" "xvf" source)
+             (chdir (string-append "stage0-posix-" ,version))
+             (copy-recursively bootstrap-seeds "bootstrap-seeds")
+             (invoke "tar" "xvf" mescc-tools)
+             (rmdir "mescc-tools")
+             (symlink (string-append "mescc-tools-" ,mescc-tools-version)
+                      "mescc-tools")
+             (invoke "tar" "xvf" m2-planet)
+             (rmdir "M2-Planet")
+             (symlink (string-append "M2-Planet-" ,m2-planet-version)
+                      "M2-Planet")
+             (rmdir "M2libc")
+             (symlink "M2-Planet/M2libc" "M2libc")
+             (mkdir-p bindir)
+             (with-directory-excursion stage0-cpu
+               (with-output-to-file "mes-m2.kaem"
+                 (lambda _ (display "")))
+               (with-output-to-file "mescc-tools-extra.kaem"
+                 (lambda _ (display "")))
+               (invoke kaem "kaem.run"))
+             (with-directory-excursion "bin"
+               (install-file "hex2" bindir)
+               (install-file "M1" bindir)
+               (install-file "blood-elf" bindir)
+               (install-file "kaem" bindir)
+               (install-file "get_machine" bindir)
+               (install-file "M2-Planet" bindir))))))
+      (home-page "https://github.com/oriansj/stage0-posix/")
+      (synopsis "The initial bootstrap package, builds stage0 up to M2-Planet")
+      (description
+       "Starting from an 357-byte hex0 provided by the bootstrap-seeds,
+stage0-posix builds hex0, kaem, hex1, catm, hex2, M0, cc_x86, M1,
+M2, get_machine, (mescc-tools), and M2-Planet.")
+      (license license:gpl3+))))
+
 (define %bootstrap-mes-rewired
   (package
     (inherit mes)
-- 
2.35.1


--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


--=20
Jan Nieuwenhuizen <janneke@HIDDEN>  | GNU LilyPond https://lilypond.org
Freelance IT https://JoyOfSource.com | Avatar=C2=AE https://AvatarAcademy.c=
om

--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 9 May 2022 04:04:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 09 00:04:05 2022
Received: from localhost ([127.0.0.1]:55643 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nnucu-0006CT-JN
	for submit <at> debbugs.gnu.org; Mon, 09 May 2022 00:04:04 -0400
Received: from mx.kolabnow.com ([212.103.80.154]:51234)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bauermann@HIDDEN>) id 1nnucs-0006Bx-CB
 for 55227 <at> debbugs.gnu.org; Mon, 09 May 2022 00:04:03 -0400
Received: from localhost (unknown [127.0.0.1])
 by mx.kolabnow.com (Postfix) with ESMTP id 78A5B10C2;
 Mon,  9 May 2022 06:03:56 +0200 (CEST)
Authentication-Results: ext-mx-out001.mykolab.com (amavisd-new);
 dkim=pass (4096-bit key) reason="pass (just generated, assumed good)"
 header.d=kolabnow.com
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kolabnow.com; h=
 content-transfer-encoding:content-type:content-type:mime-version
 :message-id:in-reply-to:date:date:subject:subject:from:from
 :references:received:received:received; s=dkim20160331; t=
 1652069035; x=1653883436; bh=qastRCW/YgIMdHPPT/TrWVluePhthYbhkNU
 JC6/LxAw=; b=ZmF6Q46eZw7VQl6i/aDfyvhd7Tc9PyDQ0lpJi8PhBzUz3vsV6gK
 hc+3ODjxyTmS65HD5Rk1N21bOmFd5CXn04HjhPec9vCbDDoOo6oiaiBAeJz99Bi/
 Rk5MIS+1KOMIyfdUfmteGqWHP7I89WE3REwSG+j7gUsj4joFBCZG6UUUPykiwP7u
 c/CINT6fHQeHTGWdoG0BLcjdHBU2n7ODGSFX/1tMB0sPRLHnW7lTqV55ojos5MyK
 TJFcCdSRpdR6tqTCKgwQ22l1oePc4KdeNk0nBKlpMd0Gd+TImFHg+zw3j7/XWHDS
 0ilUGopJTxlZbmTbZ15DyJf8PcP4wk7wb6eOTtU6Wu/7NR75EC2eJdtD2ICUBc2h
 gMzw5VaYmtWWqcW2BxZYcxJ3Il7EAbxX/ibrWIDzktGPH459vn/PLJ7RPtr0LxXi
 ynwhgzn1ViJ6Rw4113MdChaMUm2okI1XVtLqg967zx84X+XGHyl7wTaTjtD2OOBS
 poGm2wyeypZvxdcZR2NqshKiAPDVvNgc5eCNl5Gr8uBGp8fmXyX6jJBbinXBLY97
 55Ep2tkoZzjnfK3XY/aZCQdXwLTZ3AU7s37pQ31QzkplpcDfla1jxXnenGC0vqbU
 MqN+iZzizfmi7Z+7gfSIk69DMlubErtED+7bY+MV4cbJgmr7OAydJVmA=
X-Virus-Scanned: amavisd-new at mykolab.com
X-Spam-Flag: NO
X-Spam-Score: -1.9
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 tagged_above=-10 required=5
 tests=[BAYES_00=-1.9] autolearn=ham autolearn_force=no
Received: from mx.kolabnow.com ([127.0.0.1])
 by localhost (ext-mx-out001.mykolab.com [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id TA214NTFrCX1; Mon,  9 May 2022 06:03:55 +0200 (CEST)
Received: from int-mx001.mykolab.com (unknown [10.9.13.1])
 by mx.kolabnow.com (Postfix) with ESMTPS id 2C2F7722;
 Mon,  9 May 2022 06:03:55 +0200 (CEST)
Received: from ext-subm001.mykolab.com (unknown [10.9.6.1])
 by int-mx001.mykolab.com (Postfix) with ESMTPS id 979AC112D;
 Mon,  9 May 2022 06:03:54 +0200 (CEST)
References: <20220502182434.32130-1-janneke@HIDDEN>
 <20220502182434.32130-2-janneke@HIDDEN>
From: Thiago Jung Bauermann <bauermann@HIDDEN>
To: "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN>
Subject: Re: [bug#55227] [PATCH core-updates 2/8] commencement: Add
 stage0-posix.
Date: Mon, 09 May 2022 00:49:44 -0300
In-reply-to: <20220502182434.32130-2-janneke@HIDDEN>
Message-ID: <87ee13nyho.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55227
Cc: 55227 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Hello Jan,

This is great work! This is not an area I have experience in, so I
didn't read it closely, at least as of yet. I have only one minor
comment:

"Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN> writes:

> Stage0-posix is a skeleton for bootstrapping all of Stage0 for POSIX syst=
ems.
> On x86-linux, from the 357-byte hex0-seed binary from the bootstrap-seeds=
, it
> builds hex0, kaem, hex1, catm, hex2, M0, cc_x86, M1, M2,
> get_machine, (mescc-tools), and M2-Planet.
>
> * gnu/packages/commencement.scm (stage0-posix): New variable.
> ---
>  gnu/packages/commencement.scm | 109 ++++++++++++++++++++++++++++++++++
>  1 file changed, 109 insertions(+)
>
> diff --git a/gnu/packages/commencement.scm b/gnu/packages/commencement.scm
> index 663ffacd56..24e1e6ec8c 100644
> --- a/gnu/packages/commencement.scm
> +++ b/gnu/packages/commencement.scm
> @@ -306,6 +306,115 @@ (define bootstrap-seeds
>  M1, and M2-Planet.")
>      (license license:gpl3+)))
>=20=20
> +(define stage0-posix
> +  ;; The initial bootstrap package: no binary inputs except those from
> +  ;; `bootstrap-seeds, for x86 a 357 byte binary seed: `x86/hex0-seed'.
> +  (let ((mescc-tools-version "1.4.0")
> +        (m2-planet-version "1.9.0"))
> +    (package
> +      (name "stage0-posix")
> +      (version "1.4")
> +      (source (bootstrap-origin
> +               (origin
> +                 (method url-fetch)
> +                 (uri (string-append
> +                       "https://lilypond.org/janneke/guix/20220502/"
> +                       "stage0-posix-" version ".tar.gz"))
> +                 (sha256
> +                  (base32
> +                   "1ammifkj33205qrpfm84yb1c99lwgbn4jsl1hd08aab8c9ffz6p4=
")))))
> +      (native-inputs
> +       `(("bootstrap-seeds" ,bootstrap-seeds)
> +         ("mescc-tools"
> +          ,(bootstrap-origin
> +            (origin
> +              (method url-fetch)
> +              (uri (string-append
> +                    "https://lilypond.org/janneke/guix/20220502/"
> +                    "mescc-tools-" mescc-tools-version ".tar.gz"))
> +              (sha256
> +               (base32
> +                "1xi6f48pf5bhajhfis189gpizxij7nbp1vzvsb1aafhz4skkiqvg"))=
)))
> +         ("m2-planet"
> +          ,(bootstrap-origin
> +            (origin
> +              (method url-fetch)
> +              (uri (string-append
> +                    "https://lilypond.org/janneke/guix/20220502/"
> +                    "M2-Planet-" m2-planet-version ".tar.gz"))
> +              (sha256
> +               (base32
> +                "1xrn69sc5nz4hwaishqyrcidp1ncxwib9zswl45x378ddz3mmk7g"))=
)))
> +         ,@(%boot-gash-inputs)))
> +      (build-system trivial-build-system)
> +      (arguments
> +       `(#:guile ,%bootstrap-guile
> +         #:modules ((guix build utils))
> +         #:builder
> +         (begin
> +           (use-modules (guix build utils))
> +           (let* ((bootstrap-seeds (assoc-ref %build-inputs "bootstrap-s=
eeds"))
> +                  (mescc-tools (assoc-ref %build-inputs "mescc-tools"))
> +                  (m2-planet (assoc-ref %build-inputs "m2-planet"))
> +                  (source (assoc-ref %build-inputs "source"))
> +                  (tar (assoc-ref %build-inputs "bootar"))
> +                  (bash (assoc-ref %build-inputs "bash"))
> +                  (coreutils (assoc-ref %build-inputs "coreutils"))
> +                  (guile (assoc-ref %build-inputs "guile"))
> +                  (out (assoc-ref %outputs "out"))
> +                  (bindir (string-append out "/bin"))
> +                  (target (or ,(%current-target-system)
> +                              ,(%current-system)))
> +                  (stage0-cpu
> +                   (cond
> +                    ((or (string-prefix? "x86_64-linux" target)

IMHO the code is clearer and less error prone if the (guix utils)
convenience functions are used to test the target rather than directly
doing string pattern matching.

In this case, =E2=80=98target-x86-64?=E2=80=99 is the one. There's no need =
to even pass
an argument to it since the default is what you need.

The check for Linux could be done separately in the body of the builder
with =E2=80=98target-linux?=E2=80=99. What do you think?

> +                         (string-prefix? "i686-linux" target))

Here it would be =E2=80=98target-x86-32?=E2=80=99.

> +                     "x86")
> +                    ((or (string-prefix? "aarch64-linux" target)
> +                         (string-prefix? "armhf-linux" target))

This is a good case in point. There's a bug above: =E2=80=9Carmhf-linux=E2=
=80=9D matches
32-bit ARM when building natively because that's what's in
%current-target, but when cross-building %current-target-system will
contain =E2=80=9Carm-unknown-linux-gnueabihf=E2=80=9D and this branch won't=
 be taken.

Using =E2=80=98target-arm32?=E2=80=99 avoids the bug.

> +                     "armv7l")
> +                    (else
> +                     (error "stage0-posix: system not supported" target)=
)))

--=20
Thanks
Thiago




Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 May 2022 04:04:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 09 00:04:20 2022
Received: from localhost ([127.0.0.1]:55647 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nnudA-0006Cv-2j
	for submit <at> debbugs.gnu.org; Mon, 09 May 2022 00:04:20 -0400
Received: from lists.gnu.org ([209.51.188.17]:38184)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bauermann@HIDDEN>) id 1nnud6-0006Cm-Ta
 for submit <at> debbugs.gnu.org; Mon, 09 May 2022 00:04:18 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:52830)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bauermann@HIDDEN>)
 id 1nnud1-0002hB-7N
 for guix-patches@HIDDEN; Mon, 09 May 2022 00:04:14 -0400
Received: from mx.kolabnow.com ([212.103.80.155]:49878)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bauermann@HIDDEN>)
 id 1nnucv-0005mX-6K; Mon, 09 May 2022 00:04:10 -0400
Received: from localhost (unknown [127.0.0.1])
 by mx.kolabnow.com (Postfix) with ESMTP id 78A5B10C2;
 Mon,  9 May 2022 06:03:56 +0200 (CEST)
Authentication-Results: ext-mx-out001.mykolab.com (amavisd-new);
 dkim=pass (4096-bit key) reason="pass (just generated, assumed good)"
 header.d=kolabnow.com
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kolabnow.com; h=
 content-transfer-encoding:content-type:content-type:mime-version
 :message-id:in-reply-to:date:date:subject:subject:from:from
 :references:received:received:received; s=dkim20160331; t=
 1652069035; x=1653883436; bh=qastRCW/YgIMdHPPT/TrWVluePhthYbhkNU
 JC6/LxAw=; b=ZmF6Q46eZw7VQl6i/aDfyvhd7Tc9PyDQ0lpJi8PhBzUz3vsV6gK
 hc+3ODjxyTmS65HD5Rk1N21bOmFd5CXn04HjhPec9vCbDDoOo6oiaiBAeJz99Bi/
 Rk5MIS+1KOMIyfdUfmteGqWHP7I89WE3REwSG+j7gUsj4joFBCZG6UUUPykiwP7u
 c/CINT6fHQeHTGWdoG0BLcjdHBU2n7ODGSFX/1tMB0sPRLHnW7lTqV55ojos5MyK
 TJFcCdSRpdR6tqTCKgwQ22l1oePc4KdeNk0nBKlpMd0Gd+TImFHg+zw3j7/XWHDS
 0ilUGopJTxlZbmTbZ15DyJf8PcP4wk7wb6eOTtU6Wu/7NR75EC2eJdtD2ICUBc2h
 gMzw5VaYmtWWqcW2BxZYcxJ3Il7EAbxX/ibrWIDzktGPH459vn/PLJ7RPtr0LxXi
 ynwhgzn1ViJ6Rw4113MdChaMUm2okI1XVtLqg967zx84X+XGHyl7wTaTjtD2OOBS
 poGm2wyeypZvxdcZR2NqshKiAPDVvNgc5eCNl5Gr8uBGp8fmXyX6jJBbinXBLY97
 55Ep2tkoZzjnfK3XY/aZCQdXwLTZ3AU7s37pQ31QzkplpcDfla1jxXnenGC0vqbU
 MqN+iZzizfmi7Z+7gfSIk69DMlubErtED+7bY+MV4cbJgmr7OAydJVmA=
X-Virus-Scanned: amavisd-new at mykolab.com
X-Spam-Flag: NO
X-Spam-Score: -1.9
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 tagged_above=-10 required=5
 tests=[BAYES_00=-1.9] autolearn=ham autolearn_force=no
Received: from mx.kolabnow.com ([127.0.0.1])
 by localhost (ext-mx-out001.mykolab.com [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id TA214NTFrCX1; Mon,  9 May 2022 06:03:55 +0200 (CEST)
Received: from int-mx001.mykolab.com (unknown [10.9.13.1])
 by mx.kolabnow.com (Postfix) with ESMTPS id 2C2F7722;
 Mon,  9 May 2022 06:03:55 +0200 (CEST)
Received: from ext-subm001.mykolab.com (unknown [10.9.6.1])
 by int-mx001.mykolab.com (Postfix) with ESMTPS id 979AC112D;
 Mon,  9 May 2022 06:03:54 +0200 (CEST)
References: <20220502182434.32130-1-janneke@HIDDEN>
 <20220502182434.32130-2-janneke@HIDDEN>
From: Thiago Jung Bauermann <bauermann@HIDDEN>
To: "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN>
Subject: Re: [bug#55227] [PATCH core-updates 2/8] commencement: Add
 stage0-posix.
Date: Mon, 09 May 2022 00:49:44 -0300
In-reply-to: <20220502182434.32130-2-janneke@HIDDEN>
Message-ID: <87ee13nyho.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=212.103.80.155;
 envelope-from=bauermann@HIDDEN; helo=mx.kolabnow.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: 55227 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)


Hello Jan,

This is great work! This is not an area I have experience in, so I
didn't read it closely, at least as of yet. I have only one minor
comment:

"Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN> writes:

> Stage0-posix is a skeleton for bootstrapping all of Stage0 for POSIX syst=
ems.
> On x86-linux, from the 357-byte hex0-seed binary from the bootstrap-seeds=
, it
> builds hex0, kaem, hex1, catm, hex2, M0, cc_x86, M1, M2,
> get_machine, (mescc-tools), and M2-Planet.
>
> * gnu/packages/commencement.scm (stage0-posix): New variable.
> ---
>  gnu/packages/commencement.scm | 109 ++++++++++++++++++++++++++++++++++
>  1 file changed, 109 insertions(+)
>
> diff --git a/gnu/packages/commencement.scm b/gnu/packages/commencement.scm
> index 663ffacd56..24e1e6ec8c 100644
> --- a/gnu/packages/commencement.scm
> +++ b/gnu/packages/commencement.scm
> @@ -306,6 +306,115 @@ (define bootstrap-seeds
>  M1, and M2-Planet.")
>      (license license:gpl3+)))
>=20=20
> +(define stage0-posix
> +  ;; The initial bootstrap package: no binary inputs except those from
> +  ;; `bootstrap-seeds, for x86 a 357 byte binary seed: `x86/hex0-seed'.
> +  (let ((mescc-tools-version "1.4.0")
> +        (m2-planet-version "1.9.0"))
> +    (package
> +      (name "stage0-posix")
> +      (version "1.4")
> +      (source (bootstrap-origin
> +               (origin
> +                 (method url-fetch)
> +                 (uri (string-append
> +                       "https://lilypond.org/janneke/guix/20220502/"
> +                       "stage0-posix-" version ".tar.gz"))
> +                 (sha256
> +                  (base32
> +                   "1ammifkj33205qrpfm84yb1c99lwgbn4jsl1hd08aab8c9ffz6p4=
")))))
> +      (native-inputs
> +       `(("bootstrap-seeds" ,bootstrap-seeds)
> +         ("mescc-tools"
> +          ,(bootstrap-origin
> +            (origin
> +              (method url-fetch)
> +              (uri (string-append
> +                    "https://lilypond.org/janneke/guix/20220502/"
> +                    "mescc-tools-" mescc-tools-version ".tar.gz"))
> +              (sha256
> +               (base32
> +                "1xi6f48pf5bhajhfis189gpizxij7nbp1vzvsb1aafhz4skkiqvg"))=
)))
> +         ("m2-planet"
> +          ,(bootstrap-origin
> +            (origin
> +              (method url-fetch)
> +              (uri (string-append
> +                    "https://lilypond.org/janneke/guix/20220502/"
> +                    "M2-Planet-" m2-planet-version ".tar.gz"))
> +              (sha256
> +               (base32
> +                "1xrn69sc5nz4hwaishqyrcidp1ncxwib9zswl45x378ddz3mmk7g"))=
)))
> +         ,@(%boot-gash-inputs)))
> +      (build-system trivial-build-system)
> +      (arguments
> +       `(#:guile ,%bootstrap-guile
> +         #:modules ((guix build utils))
> +         #:builder
> +         (begin
> +           (use-modules (guix build utils))
> +           (let* ((bootstrap-seeds (assoc-ref %build-inputs "bootstrap-s=
eeds"))
> +                  (mescc-tools (assoc-ref %build-inputs "mescc-tools"))
> +                  (m2-planet (assoc-ref %build-inputs "m2-planet"))
> +                  (source (assoc-ref %build-inputs "source"))
> +                  (tar (assoc-ref %build-inputs "bootar"))
> +                  (bash (assoc-ref %build-inputs "bash"))
> +                  (coreutils (assoc-ref %build-inputs "coreutils"))
> +                  (guile (assoc-ref %build-inputs "guile"))
> +                  (out (assoc-ref %outputs "out"))
> +                  (bindir (string-append out "/bin"))
> +                  (target (or ,(%current-target-system)
> +                              ,(%current-system)))
> +                  (stage0-cpu
> +                   (cond
> +                    ((or (string-prefix? "x86_64-linux" target)

IMHO the code is clearer and less error prone if the (guix utils)
convenience functions are used to test the target rather than directly
doing string pattern matching.

In this case, =E2=80=98target-x86-64?=E2=80=99 is the one. There's no need =
to even pass
an argument to it since the default is what you need.

The check for Linux could be done separately in the body of the builder
with =E2=80=98target-linux?=E2=80=99. What do you think?

> +                         (string-prefix? "i686-linux" target))

Here it would be =E2=80=98target-x86-32?=E2=80=99.

> +                     "x86")
> +                    ((or (string-prefix? "aarch64-linux" target)
> +                         (string-prefix? "armhf-linux" target))

This is a good case in point. There's a bug above: =E2=80=9Carmhf-linux=E2=
=80=9D matches
32-bit ARM when building natively because that's what's in
%current-target, but when cross-building %current-target-system will
contain =E2=80=9Carm-unknown-linux-gnueabihf=E2=80=9D and this branch won't=
 be taken.

Using =E2=80=98target-arm32?=E2=80=99 avoids the bug.

> +                     "armv7l")
> +                    (else
> +                     (error "stage0-posix: system not supported" target)=
)))

--=20
Thanks
Thiago




Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.
Severity set to 'important' from 'normal' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 2 May 2022 18:24:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 02 14:24:58 2022
Received: from localhost ([127.0.0.1]:37988 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nlajC-0003Ev-7P
	for submit <at> debbugs.gnu.org; Mon, 02 May 2022 14:24:58 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45202)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1nlaiy-0003D3-LY
 for 55227 <at> debbugs.gnu.org; Mon, 02 May 2022 14:24:56 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33892)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1nlait-0000t5-Es; Mon, 02 May 2022 14:24:39 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:References:In-Reply-To:Date:Subject:To:
 From; bh=cIr9hTG5K5LHbtR7alw5BeviehUb3UixB9bxj90sm/w=; b=Th+elYrxHL47c6cDA/Km
 9TbMXqzt/jG3R1vNWLP5KwqJu+JDyRcoWYoi0+aWOtOJJm1T/VCcgn17L9EFO/97PBCcwb3alsUOv
 fIi6LFosHiEzZ5UAy91GnVAgr0KwfcjtPo509g/dDBvuHm8JRD3ROrti9ZUDnTi0peLBoLnhUqWST
 npzVzsMKKOF7RIkuaNxwo4Fs1+KalMigw+2ziMLJQbr3DdRw+q9jlwgG+EDltwDpG+7cflCB/oFKm
 DJWrN0hZvFnlYGmgTxKIL6y2LLZrMTxCZjdJFpw8PxJBEtKsM5OsfOsLQaa69tqdHPKwBmKqWPJMr
 Egmw1pE4zP0ZdA==;
Received: from 2a02-a462-da03-1-fa3e-1174-c33f-9485.fixed6.kpn.net
 ([2a02:a462:da03:1:fa3e:1174:c33f:9485]:48262 helo=drakenbij.fritz.box)
 by fencepost.gnu.org with esmtpa (Exim 4.90_1)
 (envelope-from <janneke@HIDDEN>)
 id 1nlait-0006Dq-3J; Mon, 02 May 2022 14:24:39 -0400
From: "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN>
To: 55227 <at> debbugs.gnu.org
Subject: [PATCH core-updates 7/8] commencement: Remove %bootstrap-mes-rewired.
Date: Mon,  2 May 2022 20:24:33 +0200
Message-Id: <20220502182434.32130-7-janneke@HIDDEN>
X-Mailer: git-send-email 2.35.1
In-Reply-To: <20220502182434.32130-1-janneke@HIDDEN>
References: <20220502182434.32130-1-janneke@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55227
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/commencement.scm (%bootstrap-mes-rewired): Remove.
---
 gnu/packages/commencement.scm | 108 ----------------------------------
 1 file changed, 108 deletions(-)

diff --git a/gnu/packages/commencement.scm b/gnu/packages/commencement.scm
index 8b8b243754..ffc8a5dd37 100644
--- a/gnu/packages/commencement.scm
+++ b/gnu/packages/commencement.scm
@@ -415,114 +415,6 @@ (define stage0-posix
 M2, get_machine, (mescc-tools), and M2-Planet.")
       (license license:gpl3+))))
 
-(define %bootstrap-mes-rewired
-  (package
-    (inherit mes)
-    (name "bootstrap-mes-rewired")
-    (version "0.19")
-    (source #f)
-    (native-inputs `(("mes" ,%bootstrap-mes)
-                     ("gash" ,gash-boot)))
-    (inputs '())
-    (propagated-inputs '())
-    (outputs '("out"))
-    (build-system trivial-build-system)
-    (arguments
-     `(#:guile ,%bootstrap-guile
-       #:modules ((guix build utils))
-
-       #:builder (begin
-                   (use-modules (guix build utils)
-                                (srfi srfi-26))
-
-                   (let* ((mes (assoc-ref %build-inputs "mes"))
-                          (gash (assoc-ref %build-inputs "gash"))
-                          (mes-bin (string-append mes "/bin"))
-                          (guile (string-append mes-bin "/mes"))
-                          (mes-module (string-append mes "/share/mes/module"))
-                          (out (assoc-ref %outputs "out"))
-                          (bin (string-append out "/bin"))
-                          (mescc (string-append bin "/mescc"))
-                          (module (string-append out "/share/mes/module")))
-                     (define (rewire file)
-                       (substitute* file
-                         ((mes) out)
-                         (("/gnu/store[^ ]+mes-minimal-[^/)}\"]*") out)
-                         (("/gnu/store[^ ]+guile-[^/]*/bin/guile") guile)
-                         (("/gnu/store[^ ]+bash-[^/)}\"]*") gash)))
-
-                     (mkdir-p bin)
-                     (for-each (lambda (file) (install-file file bin))
-                               (find-files mes-bin))
-                     (mkdir-p module)
-                     (copy-recursively (string-append mes-module "/mes")
-                                       (string-append module "/mes"))
-                     (copy-recursively (string-append mes-module "/srfi")
-                                       (string-append module "/srfi"))
-                     (for-each rewire
-                               ;; Cannot easily rewire "mes" because it
-                               ;; contains NUL characters; would require
-                               ;; remove-store-references alike trick
-                               (filter (negate (cut string-suffix? "/mes" <>))
-                                       (find-files bin)))
-                     (rewire (string-append module "/mes/boot-0.scm"))
-
-                     (delete-file mescc)
-                     (with-output-to-file mescc
-                       (lambda _
-                         (display (string-append
-                                   "\
-#! " gash "/bin/sh
-LANG=C
-LC_ALL=C
-export LANG LC_ALL
-
-MES_PREFIX=${MES_REWIRED_PREFIX-" out "/share/mes}
-MES=" bin "/mes
-export MES MES_PREFIX
-
-MES_ARENA=${MES_REWIRED_ARENA-10000000}
-MES_MAX_ARENA=${MES_REWIRED_ARENA-10000000}
-MES_STACK=${MES_REWIRED_STACK-1000000}
-export MES_ARENA MES_MAX_ARENA MES_STACK
-
-$MES -e '(mescc)' module/mescc.scm -- \"$@\"
-"))))
-                     (chmod mescc #o555)
-
-                     (with-directory-excursion module
-                       (chmod "mes/base.mes" #o644)
-                       (copy-file "mes/base.mes" "mes/base.mes.orig")
-                       (let ((base.mes (open-file "mes/base.mes" "a")))
-                         (display "
-;; A fixed map, from Mes 0.21, required to bootstrap Mes 0.21
-(define (map f h . t)
-  (if (or (null? h)
-          (and (pair? t) (null? (car t)))
-          (and (pair? t) (pair? (cdr t)) (null? (cadr t)))) '()
-      (if (null? t) (cons (f (car h)) (map f (cdr h)))
-          (if (null? (cdr t))
-              (cons (f (car h) (caar t)) (map f (cdr h) (cdar t)))
-              (if (null? (cddr t))
-                  (cons (f (car h) (caar t) (caadr t)) (map f (cdr h) (cdar t) (cdadr t)))
-                  (error 'unsupported (cons* 'map-4: f h t))b )))))
-" base.mes)
-                         (close base.mes))
-
-                       (chmod "mes/guile.mes" #o644)
-                       (copy-file "mes/guile.mes" "mes/guile.mes.orig")
-                       (let ((guile.mes (open-file "mes/guile.mes" "a")))
-                         (display "
-;; After booting guile.scm; use Mes 0.21; especially: MesCC 0.21
-(let* ((self (car (command-line)))
-       (prefix (dirname (dirname self))))
-  (set! %moduledir (string-append prefix \"/mes/module/\"))
-  (setenv \"%numbered_arch\" \"true\"))
-
-" guile.mes)
-                         (close guile.mes)))
-                     #t))))))
-
 (define mes-boot
   (package
     (inherit mes)
-- 
2.35.1





Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 2 May 2022 18:24:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 02 14:24:58 2022
Received: from localhost ([127.0.0.1]:37986 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nlajB-0003En-68
	for submit <at> debbugs.gnu.org; Mon, 02 May 2022 14:24:58 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45212)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1nlaiz-0003D5-Bc
 for 55227 <at> debbugs.gnu.org; Mon, 02 May 2022 14:24:51 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33894)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1nlaiu-0000tJ-42; Mon, 02 May 2022 14:24:40 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:References:In-Reply-To:Date:Subject:To:
 From; bh=wD5Qlwd3LLIEnyBzF6LuxcAeKhQK2PLSZD/0/mKk/iE=; b=fYRgVzluZctE+f9t9AKZ
 XMO6j5BJSrkNelyekmonASX5rFQsouNkAf0xh/hURUgI3abFX41qDOZDPG8uD/LGdOXtLUkEJLGH0
 1+1QIWXWm9qOgPKic+yfJ1aWsDT0ea2ciQKyuzeMWpBa4Z7Sc3e2rZ8EjyD6w1QPAZYYumMC+obs2
 tdx5mMgoXmG6ORTkUcdgvz3I5UMutUn2UzKsLpaG+ANakJPYh3Og7sJ9TVNqhiL6vQcs4GbJZZlNN
 VqZ2fqGtYiGdEwSbd9BuEjDuGohk7Zn+iSAlUYSj6XQO6NjSw11YKQjXBAX+zmNuuNHQRC3GNPC/A
 SjnWk6W/5raopg==;
Received: from 2a02-a462-da03-1-fa3e-1174-c33f-9485.fixed6.kpn.net
 ([2a02:a462:da03:1:fa3e:1174:c33f:9485]:48262 helo=drakenbij.fritz.box)
 by fencepost.gnu.org with esmtpa (Exim 4.90_1)
 (envelope-from <janneke@HIDDEN>)
 id 1nlait-0006Dq-O3; Mon, 02 May 2022 14:24:39 -0400
From: "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN>
To: 55227 <at> debbugs.gnu.org
Subject: [PATCH core-updates 8/8] doc: Add the "Full Source Bootstrap".
Date: Mon,  2 May 2022 20:24:34 +0200
Message-Id: <20220502182434.32130-8-janneke@HIDDEN>
X-Mailer: git-send-email 2.35.1
In-Reply-To: <20220502182434.32130-1-janneke@HIDDEN>
References: <20220502182434.32130-1-janneke@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55227
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* doc/guix.texi (Reduced Binary Seed Bootstrap): Update and rename to...
(Full Source Bootstrap): ...this.
* doc/images/gcc-core-mesboot0-graph.dot: Regenerate.
---
 doc/guix.texi                          |  77 +++++-----
 doc/images/gcc-core-mesboot0-graph.dot | 187 ++++++++++---------------
 2 files changed, 116 insertions(+), 148 deletions(-)

diff --git a/doc/guix.texi b/doc/guix.texi
index 7bd80a1592..3c08d6be1a 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -36,7 +36,7 @@ Copyright @copyright{} 2016, 2017, 2018, 2021 Chris Marusich@*
 Copyright @copyright{} 2016, 2017, 2018, 2019, 2020, 2021, 2022 Efraim Flashner@*
 Copyright @copyright{} 2016 John Darrington@*
 Copyright @copyright{} 2016, 2017 Nikita Gillmann@*
-Copyright @copyright{} 2016, 2017, 2018, 2019, 2020 Jan Nieuwenhuizen@*
+Copyright @copyright{} 2016, 2017, 2018, 2019, 2021 Jan Nieuwenhuizen@*
 Copyright @copyright{} 2016, 2017, 2018, 2019, 2020, 2021 Julien Lepiller@*
 Copyright @copyright{} 2016 Alex ter Weele@*
 Copyright @copyright{} 2016, 2017, 2018, 2019, 2020, 2021 Christopher Baines@*
@@ -394,7 +394,7 @@ Installing Debugging Files
 
 Bootstrapping
 
-* Reduced Binary Seed Bootstrap::  A Bootstrap worthy of GNU.
+* Full Source Bootstrap::  A Bootstrap worthy of GNU.
 * Preparing to Use the Bootstrap Binaries:: Building that what matters most.
 
 @end detailmenu
@@ -39491,12 +39491,12 @@ re-create them if needed (@pxref{Preparing to Use the Bootstrap
 Binaries}).
 
 @menu
-* Reduced Binary Seed Bootstrap::  A Bootstrap worthy of GNU.
+* Full Source Bootstrap::  A Bootstrap worthy of GNU.
 * Preparing to Use the Bootstrap Binaries:: Building that what matters most.
 @end menu
 
-@node Reduced Binary Seed Bootstrap
-@section The Reduced Binary Seed Bootstrap
+@node Full Source Bootstrap
+@section The Full Source Bootstrap
 
 Guix---like other GNU/Linux distributions---is traditionally bootstrapped from
 a set of bootstrap binaries: Bourne shell, command-line tools provided by GNU
@@ -39511,28 +39511,43 @@ about 250MB (@pxref{Bootstrappable Builds,,, mes, GNU Mes}).  Auditing
 or even inspecting these is next to impossible.
 
 For @code{i686-linux} and @code{x86_64-linux}, Guix now features a
-``Reduced Binary Seed'' bootstrap @footnote{We would like to say: ``Full
-Source Bootstrap'' and while we are working towards that goal it would
-be hyperbole to use that term for what we do now.}.
-
-The Reduced Binary Seed bootstrap removes the most critical tools---from a
-trust perspective---from the bootstrap binaries: GCC, Binutils and the GNU C
-Library are replaced by: @code{bootstrap-mescc-tools} (a tiny assembler and
-linker) and @code{bootstrap-mes} (a small Scheme Interpreter and a C compiler
-written in Scheme and the Mes C Library, built for TinyCC and for GCC).
-
-Using these new binary seeds the ``missing'' Binutils, GCC, and the GNU
-C Library are built from source.  From here on the more traditional
-bootstrap process resumes.  This approach has reduced the bootstrap
-binaries in size to about 145MB in Guix v1.1.
-
-The next step that Guix has taken is to replace the shell and all its
+``Full Source'' bootstrap.  This bootstrap is rooted in @file{hex0-seed}
+from the @url{https://savannah.gnu.org/projects/stage0, Stage0} package.
+The source code of this initial hex0 program is a file called
+@c XXX TODO: udpate to savannah url, once accepted there
+@url{https://github.com/oriansj/bootstrap-seeds/blob/master/POSIX/x86/hex0_x86.hex0,@file{hex0_x86.hex0}}
+and is written in the @code{hex0} language.
+
+Hex0 is self hosting, which means that it can build itself:
+
+@example
+./hex0-seed hex0_x86.hex0 hex0
+@end example
+
+Hex0 it is the ASCII-equivalent of the binary program and can be
+produced by doing something much like:
+
+@example
+sed 's/[;#].*$//g' hex0_x86.hex0 | xxd -r -p > hex0
+chmod +x hex0
+@end example
+
+It is because of this ASCII-binary equivalence that we can bless this
+initial 357-byte binary as source, and hence `Full Source Bootstrap''.
+
+The bootstrap then continues: @code{hex0} builds @code{hex1} and then on
+to @code{M0}, @code{hex2}, @code{M1}, @code{mescc-tools} and finally
+@code{M2-Planet}.  Then, using @code{mescc-tools}, @code{M2-Planet} we
+build Mes (@pxref{Top, GNU Mes Reference Manual,, mes, GNU Mes}, a
+Scheme interpreter and C compiler in Scheme).  Frome here on starts
+the more traditional @code{C}-based bootstrap of the GNU System.
+
+Another step that Guix has taken is to replace the shell and all its
 utilities with implementations in Guile Scheme, the @emph{Scheme-only
 bootstrap}.  Gash (@pxref{Gash,,, gash, The Gash manual}) is a
 POSIX-compatible shell that replaces Bash, and it comes with Gash Utils
 which has minimalist replacements for Awk, the GNU Core Utilities, Grep,
-Gzip, Sed, and Tar.  The rest of the bootstrap binary seeds that were
-removed are now built from source.
+Gzip, Sed, and Tar.
 
 Building the GNU System from source is currently only possible by adding
 some historical GNU packages as intermediate steps@footnote{Packages
@@ -39548,22 +39563,10 @@ The graph below shows the resulting dependency graph for
 @code{gcc-core-mesboot0}, the bootstrap compiler used for the
 traditional bootstrap of the rest of the Guix System.
 
-@c ./pre-inst-env guix graph -e '(@@ (gnu packages commencement) gcc-core-mesboot0)' | sed -re 's,((bootstrap-mescc-tools|bootstrap-mes|guile-bootstrap).*shape =) box,\1 ellipse,' > doc/images/gcc-core-mesboot0-graph.dot
+@c ./pre-inst-env guix graph -e '(@@ (gnu packages commencement) gcc-core-mesboot0)' | sed -re 's,((bootstrap-seeds|guile-bootstrap).*shape =) box,\1 ellipse,' > doc/images/gcc-core-mesboot0-graph.dot
 @image{images/gcc-core-mesboot0-graph,6in,,Dependency graph of gcc-core-mesboot0}
 
-The only significant binary bootstrap seeds that remain@footnote{
-Ignoring the 68KB @code{mescc-tools}; that will be removed later,
-together with @code{mes}.} are a Scheme interpreter and a Scheme
-compiler: GNU Mes and GNU Guile@footnote{Not shown in this graph are the
-static binaries for @file{bash}, @code{tar}, and @code{xz} that are used
-to get Guile running.}.
-
-This further reduction has brought down the size of the binary seed to
-about 60MB for @code{i686-linux} and @code{x86_64-linux}.
-
-Work is ongoing to remove all binary blobs from our free software
-bootstrap stack, working towards a Full Source Bootstrap.  Also ongoing
-is work to bring these bootstraps to the @code{arm-linux} and
+Work is ongoing to to bring these bootstraps to the @code{arm-linux} and
 @code{aarch64-linux} architectures and to the Hurd.
 
 If you are interested, join us on @samp{#bootstrappable} on the Freenode
diff --git a/doc/images/gcc-core-mesboot0-graph.dot b/doc/images/gcc-core-mesboot0-graph.dot
index 191582ed4c..ef4e3a441e 100644
--- a/doc/images/gcc-core-mesboot0-graph.dot
+++ b/doc/images/gcc-core-mesboot0-graph.dot
@@ -1,114 +1,79 @@
 digraph "Guix package" {
-  "139781154519456" [label = "gcc-core-mesboot0@HIDDEN", shape = box, fontname = Helvetica];
-  "139781154519456" -> "139781154519632" [color = darkgoldenrod];
-  "139781154519456" -> "139781154520688" [color = darkgoldenrod];
-  "139781154519456" -> "139781034971312" [color = darkgoldenrod];
-  "139781154519456" -> "139781154520160" [color = darkgoldenrod];
-  "139781154519456" -> "139781034971664" [color = darkgoldenrod];
-  "139781154519456" -> "139781154519984" [color = darkgoldenrod];
-  "139781154519456" -> "139781154519808" [color = darkgoldenrod];
-  "139781154519456" -> "139781154520512" [color = darkgoldenrod];
-  "139781154519456" -> "139781034971488" [color = darkgoldenrod];
-  "139781154519456" -> "139781034972896" [color = darkgoldenrod];
-  "139781154519456" -> "139781034972368" [color = darkgoldenrod];
-  "139781154519456" -> "139781034973072" [color = darkgoldenrod];
-  "139781154519456" -> "139781131267872" [color = darkgoldenrod];
-  "139781154519632" [label = "binutils-mesboot0@HIDDEN", shape = box, fontname = Helvetica];
-  "139781154519632" -> "139781154520688" [color = peachpuff4];
-  "139781154519632" -> "139781034971312" [color = peachpuff4];
-  "139781154519632" -> "139781154520160" [color = peachpuff4];
-  "139781154519632" -> "139781034971664" [color = peachpuff4];
-  "139781154519632" -> "139781154519984" [color = peachpuff4];
-  "139781154519632" -> "139781154519808" [color = peachpuff4];
-  "139781154519632" -> "139781154520512" [color = peachpuff4];
-  "139781154519632" -> "139781034971488" [color = peachpuff4];
-  "139781154519632" -> "139781034972896" [color = peachpuff4];
-  "139781154519632" -> "139781034972368" [color = peachpuff4];
-  "139781154519632" -> "139781034973072" [color = peachpuff4];
-  "139781154519632" -> "139781131267872" [color = peachpuff4];
-  "139781154520688" [label = "bash-mesboot0@HIDDEN", shape = box, fontname = Helvetica];
-  "139781154520688" -> "139781034971488" [color = magenta];
-  "139781154520688" -> "139781034971840" [color = magenta];
-  "139781154520688" -> "139781034972896" [color = magenta];
-  "139781154520688" -> "139781034972368" [color = magenta];
-  "139781154520688" -> "139781034973072" [color = magenta];
-  "139781154520688" -> "139781131267872" [color = magenta];
-  "139781034971488" [label = "make-mesboot0@HIDDEN", shape = box, fontname = Helvetica];
-  "139781034971488" -> "139781034971840" [color = dimgrey];
-  "139781034971488" -> "139781034972896" [color = dimgrey];
-  "139781034971488" -> "139781034972368" [color = dimgrey];
-  "139781034971488" -> "139781034973072" [color = dimgrey];
-  "139781034971488" -> "139781131267872" [color = dimgrey];
-  "139781034971840" [label = "tcc-boot0@HIDDEN", shape = box, fontname = Helvetica];
-  "139781034971840" -> "139781034972016" [color = magenta];
-  "139781034971840" -> "139781131266816" [color = magenta];
-  "139781034971840" -> "139781034972896" [color = magenta];
-  "139781034971840" -> "139781034972368" [color = magenta];
-  "139781034971840" -> "139781034973072" [color = magenta];
-  "139781034971840" -> "139781131267872" [color = magenta];
-  "139781034972016" [label = "mes-boot@HIDDEN", shape = box, fontname = Helvetica];
-  "139781034972016" -> "139781034972192" [color = cyan3];
-  "139781034972016" -> "139781131266816" [color = cyan3];
-  "139781034972016" -> "139781034972896" [color = cyan3];
-  "139781034972016" -> "139781034972368" [color = cyan3];
-  "139781034972016" -> "139781034973072" [color = cyan3];
-  "139781034972016" -> "139781131267872" [color = cyan3];
-  "139781034972192" [label = "bootstrap-mes-rewired@HIDDEN", shape = ellipse, fontname = Helvetica];
-  "139781034972192" -> "139781131266640" [color = darkseagreen];
-  "139781034972192" -> "139781034972896" [color = darkseagreen];
-  "139781131266640" [label = "bootstrap-mes@0", shape = ellipse, fontname = Helvetica];
-  "139781034972896" [label = "gash-boot@HIDDEN", shape = box, fontname = Helvetica];
-  "139781034972896" -> "139781034973072" [color = darkviolet];
-  "139781034972896" -> "139781131267872" [color = darkviolet];
-  "139781034973072" [label = "bootar@1", shape = box, fontname = Helvetica];
-  "139781034973072" -> "139781131267872" [color = darkviolet];
-  "139781131267872" [label = "guile-bootstrap@HIDDEN", shape = ellipse, fontname = Helvetica];
-  "139781131266816" [label = "bootstrap-mescc-tools@HIDDEN", shape = ellipse, fontname = Helvetica];
-  "139781034972368" [label = "gash-utils-boot@HIDDEN", shape = box, fontname = Helvetica];
-  "139781034972368" -> "139781034973072" [color = darkseagreen];
-  "139781034972368" -> "139781034972896" [color = darkseagreen];
-  "139781034972368" -> "139781131267872" [color = darkseagreen];
-  "139781034971312" [label = "bzip2-mesboot@HIDDEN", shape = box, fontname = Helvetica];
-  "139781034971312" -> "139781034971488" [color = cyan3];
-  "139781034971312" -> "139781034971840" [color = cyan3];
-  "139781034971312" -> "139781034972896" [color = cyan3];
-  "139781034971312" -> "139781034972368" [color = cyan3];
-  "139781034971312" -> "139781034973072" [color = cyan3];
-  "139781034971312" -> "139781131267872" [color = cyan3];
-  "139781154520160" [label = "diffutils-mesboot@HIDDEN", shape = box, fontname = Helvetica];
-  "139781154520160" -> "139781034971488" [color = red];
-  "139781154520160" -> "139781034971840" [color = red];
-  "139781154520160" -> "139781034972896" [color = red];
-  "139781154520160" -> "139781034972368" [color = red];
-  "139781154520160" -> "139781034973072" [color = red];
-  "139781154520160" -> "139781131267872" [color = red];
-  "139781034971664" [label = "gzip-mesboot@HIDDEN", shape = box, fontname = Helvetica];
-  "139781034971664" -> "139781034971840" [color = red];
-  "139781034971664" -> "139781034972896" [color = red];
-  "139781034971664" -> "139781034972368" [color = red];
-  "139781034971664" -> "139781034973072" [color = red];
-  "139781034971664" -> "139781131267872" [color = red];
-  "139781154519984" [label = "patch-mesboot@HIDDEN", shape = box, fontname = Helvetica];
-  "139781154519984" -> "139781034971488" [color = blue];
-  "139781154519984" -> "139781034971840" [color = blue];
-  "139781154519984" -> "139781034972896" [color = blue];
-  "139781154519984" -> "139781034972368" [color = blue];
-  "139781154519984" -> "139781034973072" [color = blue];
-  "139781154519984" -> "139781131267872" [color = blue];
-  "139781154519808" [label = "sed-mesboot0@HIDDEN", shape = box, fontname = Helvetica];
-  "139781154519808" -> "139781034971488" [color = red];
-  "139781154519808" -> "139781034971840" [color = red];
-  "139781154519808" -> "139781034972896" [color = red];
-  "139781154519808" -> "139781034972368" [color = red];
-  "139781154519808" -> "139781034973072" [color = red];
-  "139781154519808" -> "139781131267872" [color = red];
-  "139781154520512" [label = "tcc-boot@HIDDEN", shape = box, fontname = Helvetica];
-  "139781154520512" -> "139781034971312" [color = darkviolet];
-  "139781154520512" -> "139781034971488" [color = darkviolet];
-  "139781154520512" -> "139781034971840" [color = darkviolet];
-  "139781154520512" -> "139781034972896" [color = darkviolet];
-  "139781154520512" -> "139781034972368" [color = darkviolet];
-  "139781154520512" -> "139781034973072" [color = darkviolet];
-  "139781154520512" -> "139781131267872" [color = darkviolet];
+  "139803511371136" [label = "gcc-core-mesboot0@HIDDEN", shape = box, fontname = sans];
+  "139803511371136" -> "139803511371312" [color = red];
+  "139803511371136" -> "139803511372016" [color = red];
+  "139803511371136" -> "139803511371488" [color = red];
+  "139803511371136" -> "139803511371664" [color = red];
+  "139803511371136" -> "139803511371840" [color = red];
+  "139803511371136" -> "139803507105792" [color = red];
+  "139803511371136" -> "139803511373600" [color = red];
+  "139803511371136" -> "139803507105968" [color = red];
+  "139803511371136" -> "139803749199472" [color = red];
+  "139803511371312" [label = "binutils-mesboot0@HIDDEN", shape = box, fontname = sans];
+  "139803511371312" -> "139803511372016" [color = dimgrey];
+  "139803511371312" -> "139803511371488" [color = dimgrey];
+  "139803511371312" -> "139803511371664" [color = dimgrey];
+  "139803511371312" -> "139803511371840" [color = dimgrey];
+  "139803511371312" -> "139803507105792" [color = dimgrey];
+  "139803511371312" -> "139803511373600" [color = dimgrey];
+  "139803511371312" -> "139803507105968" [color = dimgrey];
+  "139803511371312" -> "139803749199472" [color = dimgrey];
+  "139803511372016" [label = "gzip-mesboot@HIDDEN", shape = box, fontname = sans];
+  "139803511372016" -> "139803511372192" [color = magenta];
+  "139803511372016" -> "139803507105792" [color = magenta];
+  "139803511372016" -> "139803511373600" [color = magenta];
+  "139803511372016" -> "139803507105968" [color = magenta];
+  "139803511372016" -> "139803749199472" [color = magenta];
+  "139803511372192" [label = "tcc-boot0@HIDDEN", shape = box, fontname = sans];
+  "139803511372192" -> "139803511372368" [color = magenta];
+  "139803511372192" -> "139803511372544" [color = magenta];
+  "139803511372192" -> "139803507105792" [color = magenta];
+  "139803511372192" -> "139803511373600" [color = magenta];
+  "139803511372192" -> "139803507105968" [color = magenta];
+  "139803511372192" -> "139803749199472" [color = magenta];
+  "139803511372368" [label = "mes-boot@HIDDEN", shape = box, fontname = sans];
+  "139803511372368" -> "139803511372544" [color = darkviolet];
+  "139803511372368" -> "139803507105792" [color = darkviolet];
+  "139803511372368" -> "139803511373600" [color = darkviolet];
+  "139803511372368" -> "139803507105968" [color = darkviolet];
+  "139803511372368" -> "139803749199472" [color = darkviolet];
+  "139803511372544" [label = "stage0-posix@HIDDEN", shape = box, fontname = sans];
+  "139803511372544" -> "139803511373072" [color = peachpuff4];
+  "139803511372544" -> "139803507105792" [color = peachpuff4];
+  "139803511372544" -> "139803511373600" [color = peachpuff4];
+  "139803511372544" -> "139803507105968" [color = peachpuff4];
+  "139803511372544" -> "139803749199472" [color = peachpuff4];
+  "139803511373072" [label = "bootstrap-seeds@HIDDEN", shape = ellipse, fontname = sans];
+  "139803511373072" -> "139803507105968" [color = cyan3];
+  "139803507105968" [label = "bootar@1b", shape = box, fontname = sans];
+  "139803507105968" -> "139803749199472" [color = dimgrey];
+  "139803749199472" [label = "guile-bootstrap@HIDDEN", shape = ellipse, fontname = sans];
+  "139803507105792" [label = "gash-boot@HIDDEN", shape = box, fontname = sans];
+  "139803507105792" -> "139803507105968" [color = darkviolet];
+  "139803507105792" -> "139803749199472" [color = darkviolet];
+  "139803511373600" [label = "gash-utils-boot@HIDDEN", shape = box, fontname = sans];
+  "139803511373600" -> "139803507105968" [color = red];
+  "139803511373600" -> "139803507105792" [color = red];
+  "139803511373600" -> "139803749199472" [color = red];
+  "139803511371488" [label = "patch-mesboot@HIDDEN", shape = box, fontname = sans];
+  "139803511371488" -> "139803511371840" [color = darkseagreen];
+  "139803511371488" -> "139803511372192" [color = darkseagreen];
+  "139803511371488" -> "139803507105792" [color = darkseagreen];
+  "139803511371488" -> "139803511373600" [color = darkseagreen];
+  "139803511371488" -> "139803507105968" [color = darkseagreen];
+  "139803511371488" -> "139803749199472" [color = darkseagreen];
+  "139803511371840" [label = "make-mesboot0@HIDDEN", shape = box, fontname = sans];
+  "139803511371840" -> "139803511372192" [color = blue];
+  "139803511371840" -> "139803507105792" [color = blue];
+  "139803511371840" -> "139803511373600" [color = blue];
+  "139803511371840" -> "139803507105968" [color = blue];
+  "139803511371840" -> "139803749199472" [color = blue];
+  "139803511371664" [label = "tcc-boot@HIDDEN", shape = box, fontname = sans];
+  "139803511371664" -> "139803511371840" [color = peachpuff4];
+  "139803511371664" -> "139803511372192" [color = peachpuff4];
+  "139803511371664" -> "139803507105792" [color = peachpuff4];
+  "139803511371664" -> "139803511373600" [color = peachpuff4];
+  "139803511371664" -> "139803507105968" [color = peachpuff4];
+  "139803511371664" -> "139803749199472" [color = peachpuff4];
 
 }
-- 
2.35.1





Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 2 May 2022 18:24:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 02 14:24:57 2022
Received: from localhost ([127.0.0.1]:37984 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nlajA-0003Ef-QH
	for submit <at> debbugs.gnu.org; Mon, 02 May 2022 14:24:57 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45186)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1nlaix-0003Cy-Fo
 for 55227 <at> debbugs.gnu.org; Mon, 02 May 2022 14:24:49 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33886)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1nlais-0000sr-97; Mon, 02 May 2022 14:24:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:References:In-Reply-To:Date:Subject:To:
 From; bh=PdCJNvzTnPXpDd7Xrdnxj8gKl18o2JjEfPug3Icz+yw=; b=rdOw43jEhc3vDK8EOdyO
 koAXduFCubXg54TG/ihqg5YexOUathJaY95OGwcJF9NK6VNHe2PgjgHaP4Y0/dXEMb/jVZhBW3fGg
 VcH/Jv1msSf8rb1gfuZFfZ5aHL1Fkf2h0fh8n3HnGb15M78O/9duMlm61wB0iC7bkU8HxGHyV2hSY
 apUhCHf0fe6PyXv6SPcFK3dgCtqzjD1syfFJG7KPNnXAza0FO5krUGgVXgk0cYEilz7AXOCMIYGrP
 21XW2Nnpn0pT4U0C0IGM7tta66HZ1RYClxRnkk3uWVThwTwfoTL8OuBRybHQCS7VgtiyZ4ux168r1
 YqpWIXUfBCjVoQ==;
Received: from 2a02-a462-da03-1-fa3e-1174-c33f-9485.fixed6.kpn.net
 ([2a02:a462:da03:1:fa3e:1174:c33f:9485]:48262 helo=drakenbij.fritz.box)
 by fencepost.gnu.org with esmtpa (Exim 4.90_1)
 (envelope-from <janneke@HIDDEN>)
 id 1nlair-0006Dq-TO; Mon, 02 May 2022 14:24:38 -0400
From: "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN>
To: 55227 <at> debbugs.gnu.org
Subject: [PATCH core-updates 5/8] commencement: tcc-boot0: Update to
 0.9.26-1136-g0fbeb2dd.
Date: Mon,  2 May 2022 20:24:31 +0200
Message-Id: <20220502182434.32130-5-janneke@HIDDEN>
X-Mailer: git-send-email 2.35.1
In-Reply-To: <20220502182434.32130-1-janneke@HIDDEN>
References: <20220502182434.32130-1-janneke@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55227
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/commencement.scm (tcc-boot0)[source]: Update to
0.9.26-1136-g0fbeb2dd.
[native-inputs]: Add stage0-posix and mes-boot, remove
%bootstrap-mescc-tools and %bootstrap-mes-rewired.
---
 gnu/packages/commencement.scm | 31 +++++++++++++++----------------
 1 file changed, 15 insertions(+), 16 deletions(-)

diff --git a/gnu/packages/commencement.scm b/gnu/packages/commencement.scm
index 7f1ba7aa6a..8b8b243754 100644
--- a/gnu/packages/commencement.scm
+++ b/gnu/packages/commencement.scm
@@ -608,7 +608,7 @@ (define (objects-in-dir dir)
 
 
 (define tcc-boot0
-  ;; Pristine tcc cannot be built by MesCC, we are keeping a delta of 11
+  ;; Pristine tcc cannot be built by MesCC, we are keeping a delta of 30
   ;; patches.  In a very early and rough form they were presented to the
   ;; TinyCC developers, who at the time showed no interest in supporting the
   ;; bootstrappable effort; we will try again later.  These patches have been
@@ -617,26 +617,26 @@ (define tcc-boot0
   (package
     (inherit tcc)
     (name "tcc-boot0")
-    (version "0.9.26-1103-g6e62e0e")
+    (version "0.9.26-1136-g5bba73cc")
     (source (bootstrap-origin
              (origin
                (method url-fetch)
                (uri (string-append
-                     "https://lilypond.org/janneke/mes/20191117/"
+                     "https://lilypond.org/janneke/tcc/"
                      "/tcc-" version ".tar.gz"))
                (sha256
                 (base32
-                 "1qbybw7mxbgkv3sazvz1v7c8byq998vk8f1h25ik8w3d2l63lxng")))))
+                 "1y2f04qwdqg7dgxiscbf0ibybx2gclniwbbcsxpayazzii2cvji3")))))
     (build-system gnu-build-system)
     (supported-systems '("i686-linux" "x86_64-linux"))
     (inputs '())
     (propagated-inputs '())
     (native-inputs
      `(("mes" ,mes-boot)
+       ("mescc-tools" ,stage0-posix)
        ("nyacc-source" ,(bootstrap-origin
                          (origin (inherit (package-source nyacc-1.00.2))
                                  (snippet #f))))
-       ("mescc-tools" ,%bootstrap-mescc-tools)
        ,@(%boot-gash-inputs)))
     (arguments
      `(#:implicit-inputs? #f
@@ -651,18 +651,17 @@ (define tcc-boot0
                (with-directory-excursion ".."
                  (invoke "tar" "-xvf" nyacc-source)))))
          (replace 'configure
-           (lambda* (#:key outputs #:allow-other-keys)
+           (lambda* (#:key inputs outputs #:allow-other-keys)
              (let* ((out (assoc-ref %outputs "out"))
                     (dir (with-directory-excursion ".." (getcwd)))
-                    (interpreter "/lib/mes-loader"))
-
-               (setenv "prefix" out)
-               (setenv "GUILE_LOAD_PATH"
-                       (string-append dir "/nyacc-0.99.0/module"))
-
+                    (interpreter "/lib/mes-loader")
+                    (mes (assoc-ref inputs "mes"))
+                    (mescc (string-append mes "/bin/mescc")))
                (substitute* "conftest.c"
                  (("volatile") ""))
-
+               (setenv "prefix" out)
+               (setenv "GUILE_LOAD_PATH"
+                       (string-append dir "/nyacc-1.00.2/module"))
                (invoke "sh" "configure"
                        "--cc=mescc"
                        (string-append "--prefix=" out)
@@ -672,7 +671,7 @@ (define tcc-boot0
          (replace 'build
            (lambda _
              (substitute* "bootstrap.sh" ; Show some progress
-               (("^( *)((cp|ls|mkdir|rm|[.]/tcc|[.]/[$][{PROGRAM_PREFIX[}]tcc) [^\"]*[^\\])\n" all space cmd)
+               (("^( *)((cp|ls|mkdir|rm|[.]/tcc|[.]/[$][{program_prefix[}]tcc) [^\"]*[^\\])\n" all space cmd)
                 (string-append space "echo \"" cmd "\"\n"
                                space cmd "\n")))
              (invoke "sh" "bootstrap.sh")))
@@ -892,8 +891,8 @@ (define tcc-boot
                                   (string-append out "/include"))
                 (copy-recursively (string-append tcc "/lib")
                                   (string-append out "/lib"))
-                (invoke "tcc" "-D" "TCC_TARGET_I386=1" "-c" "-o" "libtcc1.o" "lib/libtcc1.c")
-                (invoke "tcc" "-ar" "rc" "libtcc1.a" "libtcc1.o")
+                (invoke "./tcc" "-D" "TCC_TARGET_I386=1" "-c" "-o" "libtcc1.o" "lib/libtcc1.c")
+                (invoke "./tcc" "-ar" "rc" "libtcc1.a" "libtcc1.o")
                 (copy-file "libtcc1.a" (string-append out "/lib/libtcc1.a"))
                 (delete-file (string-append out "/lib/tcc/libtcc1.a"))
                 (copy-file "libtcc1.a"
-- 
2.35.1





Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 2 May 2022 18:24:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 02 14:24:56 2022
Received: from localhost ([127.0.0.1]:37982 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nlajA-0003EX-Da
	for submit <at> debbugs.gnu.org; Mon, 02 May 2022 14:24:56 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45194)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1nlaiy-0003D1-3Q
 for 55227 <at> debbugs.gnu.org; Mon, 02 May 2022 14:24:49 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33888)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1nlais-0000sy-SY; Mon, 02 May 2022 14:24:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:References:In-Reply-To:Date:Subject:To:
 From; bh=iOVLtEkMtDshtLU0RT0isnJjRmmtfR9bgioBYJwVZwQ=; b=oZ4zMsAv6UWf2g2BScT+
 1q2OnUB24kc5Gdc9Mc8FPrC2N5bIVhDmFOmlHWnKYu0sW8hWEGCDe84+6i9kKKfY3UpWhM2b4E5XG
 Fo0HdempzFWmVt/HPr/esiQjYPc1QFoiuDA1J7vX0KN+NQNcpXhW4RnkwCPELLT2UxcWV/isVGuG5
 oVKoV5I6HKlA3wqT3bfCTIbRqaDSlS+JU5/2L69hImhk2uevJcAyWoxUmAo3RWVW74t/zQxoveehW
 EEnuPbJK9Kssfnza4g66o9RCtPWgjW9CRMvtCaOIUNu3VskiihriosiN0FCfoCHOVGC/kEtwLEOSQ
 oapgjIDZ8DYOGQ==;
Received: from 2a02-a462-da03-1-fa3e-1174-c33f-9485.fixed6.kpn.net
 ([2a02:a462:da03:1:fa3e:1174:c33f:9485]:48262 helo=drakenbij.fritz.box)
 by fencepost.gnu.org with esmtpa (Exim 4.90_1)
 (envelope-from <janneke@HIDDEN>)
 id 1nlais-0006Dq-Fs; Mon, 02 May 2022 14:24:38 -0400
From: "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN>
To: 55227 <at> debbugs.gnu.org
Subject: [PATCH core-updates 6/8] bootstrap: Remove %bootstrap-mescc-tools,
 %bootstrap-mes.
Date: Mon,  2 May 2022 20:24:32 +0200
Message-Id: <20220502182434.32130-6-janneke@HIDDEN>
X-Mailer: git-send-email 2.35.1
In-Reply-To: <20220502182434.32130-1-janneke@HIDDEN>
References: <20220502182434.32130-1-janneke@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55227
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/bootstrap.scm (%bootstrap-inputs): Remove
%bootstrap-mescc-tools, %bootstrap-mes.
---
 gnu/packages/bootstrap.scm | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

diff --git a/gnu/packages/bootstrap.scm b/gnu/packages/bootstrap.scm
index 8bd0c4eaf3..03242f0e7b 100644
--- a/gnu/packages/bootstrap.scm
+++ b/gnu/packages/bootstrap.scm
@@ -1035,9 +1035,7 @@ (define (%bootstrap-inputs)
   ;; own packages.
   (match (%current-system)
     ((or "i686-linux" "x86_64-linux")
-     `(("linux-libre-headers" ,%bootstrap-linux-libre-headers)
-       ("bootstrap-mescc-tools" ,%bootstrap-mescc-tools)
-       ("mes" ,%bootstrap-mes)))
+     `(("linux-libre-headers" ,%bootstrap-linux-libre-headers)))
     (_
      `(("libc" ,%bootstrap-glibc)
        ("gcc" ,%bootstrap-gcc)
-- 
2.35.1





Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 2 May 2022 18:24:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 02 14:24:56 2022
Received: from localhost ([127.0.0.1]:37980 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nlaj5-0003E8-0v
	for submit <at> debbugs.gnu.org; Mon, 02 May 2022 14:24:56 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45182)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1nlaiw-0003Cw-Rp
 for 55227 <at> debbugs.gnu.org; Mon, 02 May 2022 14:24:49 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33884)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1nlair-0000sj-Kp; Mon, 02 May 2022 14:24:37 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:References:In-Reply-To:Date:Subject:To:
 From; bh=kMza4Gr9LDR+PqH98ngJVKcet5qZB/r1Ot6yDO2gQ50=; b=etoHDQ3rYXFYoMnmTjDY
 OGfrGUSlJPEosVv2TKiWihEsH5Id+/RShNShdBSDlRFo05rD+p1oW/+Ggjo5unU8EeeIyQdyko/5h
 NIiZj75MfjM4hnBQcvrNoyUpT1r1VtPjeHK13FD/HuVI+kDnTl4tIN/RDHK1LF2ImvZFEEIAQX4gp
 gNHcPyc0KC1amDGeYdEVLWfQ9k94lBOvyX+IK1BGlggC8jSSI3+DX5GZir0ZpOzectd8o20UOmG+8
 XdxoOc2suTDWunCQ+nwaT3Lq9g3T9Jn7RVN2dXsmdBfOMrI7MFMhkIw+ym7O7Kh6tK8Lehubq1Iu3
 y2ArcPj0bSU79Q==;
Received: from 2a02-a462-da03-1-fa3e-1174-c33f-9485.fixed6.kpn.net
 ([2a02:a462:da03:1:fa3e:1174:c33f:9485]:48262 helo=drakenbij.fritz.box)
 by fencepost.gnu.org with esmtpa (Exim 4.90_1)
 (envelope-from <janneke@HIDDEN>)
 id 1nlair-0006Dq-9J; Mon, 02 May 2022 14:24:37 -0400
From: "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN>
To: 55227 <at> debbugs.gnu.org
Subject: [PATCH core-updates 4/8] commencement: tcc-boot0: Use NYACC-1.00.2.
Date: Mon,  2 May 2022 20:24:30 +0200
Message-Id: <20220502182434.32130-4-janneke@HIDDEN>
X-Mailer: git-send-email 2.35.1
In-Reply-To: <20220502182434.32130-1-janneke@HIDDEN>
References: <20220502182434.32130-1-janneke@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55227
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/commencement.scm (tcc-boot0): Call 'bootstrap-origin' on source
and on the source of NYACC-0.99.  Use https source URL.  Update NYACC to
1.00.2.
---
 gnu/packages/commencement.scm | 24 +++++++++++++-----------
 1 file changed, 13 insertions(+), 11 deletions(-)

diff --git a/gnu/packages/commencement.scm b/gnu/packages/commencement.scm
index 468a846e76..7f1ba7aa6a 100644
--- a/gnu/packages/commencement.scm
+++ b/gnu/packages/commencement.scm
@@ -5,7 +5,7 @@
 ;;; Copyright © 2014, 2015, 2017 Mark H Weaver <mhw@HIDDEN>
 ;;; Copyright © 2017, 2018, 2019, 2021, 2022 Efraim Flashner <efraim@HIDDEN>
 ;;; Copyright © 2018 Tobias Geerinckx-Rice <me@HIDDEN>
-;;; Copyright © 2018, 2019, 2020, 2021 Jan (janneke) Nieuwenhuizen <janneke@HIDDEN>
+;;; Copyright © 2018, 2019, 2020, 2021, 2022 Jan (janneke) Nieuwenhuizen <janneke@HIDDEN>
 ;;; Copyright © 2019, 2020, 2021 Marius Bakke <marius@HIDDEN>
 ;;; Copyright © 2020, 2022 Timothy Sample <samplet@HIDDEN>
 ;;; Copyright © 2020 Guy Fleury Iteriteka <gfleury@HIDDEN>
@@ -618,22 +618,24 @@ (define tcc-boot0
     (inherit tcc)
     (name "tcc-boot0")
     (version "0.9.26-1103-g6e62e0e")
-    (source (origin
-              (method url-fetch)
-              (uri (string-append
-                    "http://lilypond.org/janneke/mes/20191117/"
-                    "/tcc-" version ".tar.gz"))
-              (sha256
-               (base32
-                "1qbybw7mxbgkv3sazvz1v7c8byq998vk8f1h25ik8w3d2l63lxng"))))
+    (source (bootstrap-origin
+             (origin
+               (method url-fetch)
+               (uri (string-append
+                     "https://lilypond.org/janneke/mes/20191117/"
+                     "/tcc-" version ".tar.gz"))
+               (sha256
+                (base32
+                 "1qbybw7mxbgkv3sazvz1v7c8byq998vk8f1h25ik8w3d2l63lxng")))))
     (build-system gnu-build-system)
     (supported-systems '("i686-linux" "x86_64-linux"))
     (inputs '())
     (propagated-inputs '())
     (native-inputs
      `(("mes" ,mes-boot)
-       ("nyacc-source" ,(origin (inherit (package-source nyacc-0.99))
-                                (snippet #f)))
+       ("nyacc-source" ,(bootstrap-origin
+                         (origin (inherit (package-source nyacc-1.00.2))
+                                 (snippet #f))))
        ("mescc-tools" ,%bootstrap-mescc-tools)
        ,@(%boot-gash-inputs)))
     (arguments
-- 
2.35.1





Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 2 May 2022 18:24:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 02 14:24:51 2022
Received: from localhost ([127.0.0.1]:37978 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nlaj4-0003E1-9e
	for submit <at> debbugs.gnu.org; Mon, 02 May 2022 14:24:50 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45178)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1nlaiw-0003Cv-8b
 for 55227 <at> debbugs.gnu.org; Mon, 02 May 2022 14:24:42 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33882)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1nlair-0000sc-2B; Mon, 02 May 2022 14:24:37 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:References:In-Reply-To:Date:Subject:To:
 From; bh=tHfPN02GlYHVNOQL5uG3tB4RfNuGJS46S/62nSFC2GE=; b=UbsM7aPXSAC2ZL26nRIn
 cdYS6Uk9EPwPnNcnv/hab2q/ZivL/qagyVyMxO3lqifHgwPS3J6mbYZ5/Hxvl727QMKkXVL1+wBTa
 AQ+ypgZDoyPj0PELf/ByduK5wED7UTHHc+0jfK6HMV30T23+CKtAm1VyVlCDcGq9FnvsT3LAi/7ko
 cAWbE0e84HNLnUtsYFmUgpmWEdikFGz+Zn1IWnkci/lSlUomYfk2ymPZ0IQxeDdTQ2wkbXv1bS00n
 zzXp+hdY3/E7vrvgLMiDXI3R51S42XvgI1o447OJIeJbJNRDejARZkIzV3ABy65F/UrK8A3PRNaoi
 wgutrjbjnWhEIw==;
Received: from 2a02-a462-da03-1-fa3e-1174-c33f-9485.fixed6.kpn.net
 ([2a02:a462:da03:1:fa3e:1174:c33f:9485]:48262 helo=drakenbij.fritz.box)
 by fencepost.gnu.org with esmtpa (Exim 4.90_1)
 (envelope-from <janneke@HIDDEN>)
 id 1nlaiq-0006Dq-Mh; Mon, 02 May 2022 14:24:36 -0400
From: "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN>
To: 55227 <at> debbugs.gnu.org
Subject: [PATCH core-updates 3/8] commencement: mes-boot: Update to 0.24,
 build with M2-Planet.
Date: Mon,  2 May 2022 20:24:29 +0200
Message-Id: <20220502182434.32130-3-janneke@HIDDEN>
X-Mailer: git-send-email 2.35.1
In-Reply-To: <20220502182434.32130-1-janneke@HIDDEN>
References: <20220502182434.32130-1-janneke@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55227
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/commencement.scm (mes-boot)[source]: Update to
0.24.
[native-inputs]: Add stage0-posix, remove %bootstrap-mescc-tools and
%bootstrap-mes-rewired, and update nyacc to 1.00.2.
---
 gnu/packages/commencement.scm | 61 +++++++++++++++++------------------
 1 file changed, 30 insertions(+), 31 deletions(-)

diff --git a/gnu/packages/commencement.scm b/gnu/packages/commencement.scm
index 24e1e6ec8c..468a846e76 100644
--- a/gnu/packages/commencement.scm
+++ b/gnu/packages/commencement.scm
@@ -527,27 +527,28 @@ (define mes-boot
   (package
     (inherit mes)
     (name "mes-boot")
-    (version "0.22")
-    (source (origin
-              (method url-fetch)
-              (uri (string-append "mirror://gnu/mes/"
-                                  "mes-" version ".tar.gz"))
-              (sha256
-               (base32
-                "0p1jsrrmcbc0zrvbvnjbb6iyxr0in71km293q8qj6gnar6bw09av"))))
+    (version "0.24")
+    (source (bootstrap-origin
+             (origin
+               (method url-fetch)
+               (uri (string-append "mirror://gnu/mes/"
+                                   "mes-" version ".tar.gz"))
+               (sha256
+                (base32
+                 "00lrpm4x5qg0l840zhbf9mr67mqhp8gljcl24j5dy0y109gf32w2")))))
     (inputs '())
     (propagated-inputs '())
     (native-inputs
-     `(("nyacc-source" ,(origin (inherit (package-source nyacc-0.99))
-                                (snippet #f)))
-       ("mes" ,%bootstrap-mes-rewired)
-       ("mescc-tools" ,%bootstrap-mescc-tools)
+     `(("m2-planet" ,stage0-posix)
+       ("nyacc-source" ,(bootstrap-origin
+                         (origin (inherit (package-source nyacc-1.00.2))
+                                 (snippet #f))))
        ,@(%boot-gash-inputs)))
     (arguments
      `(#:implicit-inputs? #f
        #:tests? #f
        #:guile ,%bootstrap-guile
-       #:strip-binaries? #f    ; binutil's strip b0rkes MesCC/M1/hex2 binaries
+       #:strip-binaries? #f             ;no strip yet
        #:phases
        (modify-phases %standard-phases
          (add-after 'unpack 'unpack-seeds
@@ -556,44 +557,42 @@ (define mes-boot
                (with-directory-excursion ".."
                  (invoke "tar" "-xvf" nyacc-source)))))
          (replace 'configure
-           (lambda* (#:key outputs #:allow-other-keys)
-             (let ((out (assoc-ref %outputs "out"))
-                   (gash (assoc-ref %build-inputs "bash"))
-                   (mes (assoc-ref %build-inputs "mes"))
+           (lambda* (#:key inputs outputs #:allow-other-keys)
+             (let ((out (assoc-ref outputs "out"))
+                   (gash (assoc-ref inputs "bash"))
+                   (mes (assoc-ref inputs "mes"))
                    (dir (with-directory-excursion ".." (getcwd))))
-               (setenv "AR" (string-append "gash " (getcwd) "/scripts/mesar"))
-               (setenv "BASH" (string-append gash "/bin/bash"))
-               (setenv "CC" (string-append mes "/bin/mescc"))
-               (setenv "GUILE_LOAD_PATH"
-                       (string-append
-                        mes "/share/mes/module"
-                        ":" dir "/nyacc-0.99.0/module"))
+               (setenv "GUILE_LOAD_PATH" (string-append
+                                          dir "/nyacc-1.00.2/module"))
                (invoke "gash" "configure.sh"
                        (string-append "--prefix=" out)
-                       (string-append "--host=i686-linux-gnu")))))
+                       "--host=i686-linux-gnu"))))
          (replace 'build
            (lambda _
-             (invoke "sh" "bootstrap.sh")))
+             (invoke "gash" "bootstrap.sh")))
          (delete 'check)
          (replace 'install
-           (lambda _
+           (lambda* (#:key outputs #:allow-other-keys)
              (substitute* "install.sh"  ; show some progress
                ((" -xf") " -xvf")
                (("^( *)((cp|mkdir|tar) [^']*[^\\])\n" all space cmd)
                 (string-append space "echo '" cmd "'\n"
                                space cmd "\n")))
-             (invoke "sh" "install.sh")
+             (invoke "gash" "install.sh")
              ;; Keep ASCII output, for friendlier comparison and bisection
-             (let* ((out (assoc-ref %outputs "out"))
+             (let* ((out (assoc-ref outputs "out"))
                     (cache (string-append out "/lib/cache")))
                (define (objects-in-dir dir)
                  (find-files dir
                              (lambda (name stat)
                                (and (equal? (dirname name) dir)
-                                    (or (string-suffix? ".o" name)
+                                    (or (string-suffix? ".M1" name)
+                                        (string-suffix? ".hex2" name)
+                                        (string-suffix? ".o" name)
                                         (string-suffix? ".s" name))))))
                (for-each (lambda (x) (install-file x cache))
-                         (append (objects-in-dir ".")
+                         (append (objects-in-dir "m2")
+                                 (objects-in-dir ".")
                                  (objects-in-dir "mescc-lib")))))))))
     (native-search-paths
      (list (search-path-specification
-- 
2.35.1





Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 2 May 2022 18:24:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 02 14:24:50 2022
Received: from localhost ([127.0.0.1]:37976 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nlaj2-0003DZ-V0
	for submit <at> debbugs.gnu.org; Mon, 02 May 2022 14:24:50 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45174)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1nlaiv-0003Cs-NV
 for 55227 <at> debbugs.gnu.org; Mon, 02 May 2022 14:24:42 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33880)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1nlaiq-0000sV-Ff; Mon, 02 May 2022 14:24:36 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:References:In-Reply-To:Date:Subject:To:
 From; bh=L8JCq6pen70E+Gihv/t6OrCxwyT1UqFj7/AEOfH+k7g=; b=NCsinWmwopLfbATL165E
 Z9Iksc5ejPRL2q8zH70gk1SwurMpUYMrL4my7SPnL5eaUUAlQgy4oLRKblhm7PY2LBcpmhDhCOfJl
 EkPX9R7935QyrJnPVNrLsfKGfDJsjsCCuu11ZropIH3Xj24OHqppsv4XNGOI1Wr/y7+VyjfH/YFyR
 Zf/RrJtLi5e1sPbJXopJiUtwIpTMNnbrZ2YE1V9AlZIAjxMryaRtM22h3cGssLnd+Mp6nglOgyHeD
 G+4maBjuGWXicPDkJMHATZ4WrvgFcRLq2SzJKmk3lAu0mpnRtKiohsdWFslyLk89HBw/EXd1b+/bC
 XkQgVPtEASObaw==;
Received: from 2a02-a462-da03-1-fa3e-1174-c33f-9485.fixed6.kpn.net
 ([2a02:a462:da03:1:fa3e:1174:c33f:9485]:48262 helo=drakenbij.fritz.box)
 by fencepost.gnu.org with esmtpa (Exim 4.90_1)
 (envelope-from <janneke@HIDDEN>)
 id 1nlaiq-0006Dq-3n; Mon, 02 May 2022 14:24:36 -0400
From: "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN>
To: 55227 <at> debbugs.gnu.org
Subject: [PATCH core-updates 2/8] commencement: Add stage0-posix.
Date: Mon,  2 May 2022 20:24:28 +0200
Message-Id: <20220502182434.32130-2-janneke@HIDDEN>
X-Mailer: git-send-email 2.35.1
In-Reply-To: <20220502182434.32130-1-janneke@HIDDEN>
References: <20220502182434.32130-1-janneke@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55227
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stage0-posix is a skeleton for bootstrapping all of Stage0 for POSIX systems.
On x86-linux, from the 357-byte hex0-seed binary from the bootstrap-seeds, it
builds hex0, kaem, hex1, catm, hex2, M0, cc_x86, M1, M2,
get_machine, (mescc-tools), and M2-Planet.

* gnu/packages/commencement.scm (stage0-posix): New variable.
---
 gnu/packages/commencement.scm | 109 ++++++++++++++++++++++++++++++++++
 1 file changed, 109 insertions(+)

diff --git a/gnu/packages/commencement.scm b/gnu/packages/commencement.scm
index 663ffacd56..24e1e6ec8c 100644
--- a/gnu/packages/commencement.scm
+++ b/gnu/packages/commencement.scm
@@ -306,6 +306,115 @@ (define bootstrap-seeds
 M1, and M2-Planet.")
     (license license:gpl3+)))
 
+(define stage0-posix
+  ;; The initial bootstrap package: no binary inputs except those from
+  ;; `bootstrap-seeds, for x86 a 357 byte binary seed: `x86/hex0-seed'.
+  (let ((mescc-tools-version "1.4.0")
+        (m2-planet-version "1.9.0"))
+    (package
+      (name "stage0-posix")
+      (version "1.4")
+      (source (bootstrap-origin
+               (origin
+                 (method url-fetch)
+                 (uri (string-append
+                       "https://lilypond.org/janneke/guix/20220502/"
+                       "stage0-posix-" version ".tar.gz"))
+                 (sha256
+                  (base32
+                   "1ammifkj33205qrpfm84yb1c99lwgbn4jsl1hd08aab8c9ffz6p4")))))
+      (native-inputs
+       `(("bootstrap-seeds" ,bootstrap-seeds)
+         ("mescc-tools"
+          ,(bootstrap-origin
+            (origin
+              (method url-fetch)
+              (uri (string-append
+                    "https://lilypond.org/janneke/guix/20220502/"
+                    "mescc-tools-" mescc-tools-version ".tar.gz"))
+              (sha256
+               (base32
+                "1xi6f48pf5bhajhfis189gpizxij7nbp1vzvsb1aafhz4skkiqvg")))))
+         ("m2-planet"
+          ,(bootstrap-origin
+            (origin
+              (method url-fetch)
+              (uri (string-append
+                    "https://lilypond.org/janneke/guix/20220502/"
+                    "M2-Planet-" m2-planet-version ".tar.gz"))
+              (sha256
+               (base32
+                "1xrn69sc5nz4hwaishqyrcidp1ncxwib9zswl45x378ddz3mmk7g")))))
+         ,@(%boot-gash-inputs)))
+      (build-system trivial-build-system)
+      (arguments
+       `(#:guile ,%bootstrap-guile
+         #:modules ((guix build utils))
+         #:builder
+         (begin
+           (use-modules (guix build utils))
+           (let* ((bootstrap-seeds (assoc-ref %build-inputs "bootstrap-seeds"))
+                  (mescc-tools (assoc-ref %build-inputs "mescc-tools"))
+                  (m2-planet (assoc-ref %build-inputs "m2-planet"))
+                  (source (assoc-ref %build-inputs "source"))
+                  (tar (assoc-ref %build-inputs "bootar"))
+                  (bash (assoc-ref %build-inputs "bash"))
+                  (coreutils (assoc-ref %build-inputs "coreutils"))
+                  (guile (assoc-ref %build-inputs "guile"))
+                  (out (assoc-ref %outputs "out"))
+                  (bindir (string-append out "/bin"))
+                  (target (or ,(%current-target-system)
+                              ,(%current-system)))
+                  (stage0-cpu
+                   (cond
+                    ((or (string-prefix? "x86_64-linux" target)
+                         (string-prefix? "i686-linux" target))
+                     "x86")
+                    ((or (string-prefix? "aarch64-linux" target)
+                         (string-prefix? "armhf-linux" target))
+                     "armv7l")
+                    (else
+                     (error "stage0-posix: system not supported" target))))
+                  (kaem (string-append "../bootstrap-seeds/POSIX/"
+                                       stage0-cpu "/kaem-optional-seed")))
+             (setenv "PATH" (string-append tar "/bin:"
+                                           coreutils "/bin:"
+                                           bash "/bin"))
+             (invoke "tar" "xvf" source)
+             (chdir (string-append "stage0-posix-" ,version))
+             (copy-recursively bootstrap-seeds "bootstrap-seeds")
+             (invoke "tar" "xvf" mescc-tools)
+             (rmdir "mescc-tools")
+             (symlink (string-append "mescc-tools-" ,mescc-tools-version)
+                      "mescc-tools")
+             (invoke "tar" "xvf" m2-planet)
+             (rmdir "M2-Planet")
+             (symlink (string-append "M2-Planet-" ,m2-planet-version)
+                      "M2-Planet")
+             (rmdir "M2libc")
+             (symlink "M2-Planet/M2libc" "M2libc")
+             (mkdir-p bindir)
+             (with-directory-excursion stage0-cpu
+               (with-output-to-file "mes-m2.kaem"
+                 (lambda _ (display "")))
+               (with-output-to-file "mescc-tools-extra.kaem"
+                 (lambda _ (display "")))
+               (invoke kaem "kaem.run"))
+             (with-directory-excursion "bin"
+               (install-file "hex2" bindir)
+               (install-file "M1" bindir)
+               (install-file "blood-elf" bindir)
+               (install-file "kaem" bindir)
+               (install-file "get_machine" bindir)
+               (install-file "M2-Planet" bindir))))))
+      (home-page "https://github.com/oriansj/stage0-posix/")
+      (synopsis "The initial bootstrap package, builds stage0 up to M2-Planet")
+      (description
+       "Starting from an 357-byte hex0 provided by the bootstrap-seeds,
+stage0-posix builds hex0, kaem, hex1, catm, hex2, M0, cc_x86, M1,
+M2, get_machine, (mescc-tools), and M2-Planet.")
+      (license license:gpl3+))))
+
 (define %bootstrap-mes-rewired
   (package
     (inherit mes)
-- 
2.35.1





Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at 55227 <at> debbugs.gnu.org:


Received: (at 55227) by debbugs.gnu.org; 2 May 2022 18:24:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 02 14:24:48 2022
Received: from localhost ([127.0.0.1]:37966 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nlaix-0003DQ-5Z
	for submit <at> debbugs.gnu.org; Mon, 02 May 2022 14:24:48 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45168)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1nlaiv-0003Cr-6R
 for 55227 <at> debbugs.gnu.org; Mon, 02 May 2022 14:24:41 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33876)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1nlaip-0000sJ-T5; Mon, 02 May 2022 14:24:35 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:Subject:To:From:in-reply-to:
 references; bh=CEbWSejJp5JPN2yFQjFpOMmaCElJ28CfMDCj9YST+WY=; b=GAXo9QjsslULJ3
 64vumfI/OeQT8Z+YGk5gbs+gTwwsYlwIEjeTg4+1VJZo+YtLo3TshYusxUQMOCww9449PIXNd4t2y
 TUDMoEbToVAnudHxLGXaVTpAowxtO47HBKooyQAvA72nbGYCZK8Jd4KDWzk4GXojpfPj7qK+t5DAH
 ZDZdaV6SlKM6vv9Ec3rr7XFIT0MynYGsgScK+18XPwFHJTEEWOONI2gx52ykEhiSFN7mFk+FRXKuK
 kVxXm2YXA72RETSkrVCCy5EjmKBop/0tchvX1/OzC9rmZLwES6jdhnRgkTSr2NBIN49B/N50Tyoio
 b71E7bOx6Hg/iWQPKNNQ==;
Received: from 2a02-a462-da03-1-fa3e-1174-c33f-9485.fixed6.kpn.net
 ([2a02:a462:da03:1:fa3e:1174:c33f:9485]:48262 helo=drakenbij.fritz.box)
 by fencepost.gnu.org with esmtpa (Exim 4.90_1)
 (envelope-from <janneke@HIDDEN>)
 id 1nlaip-0006Dq-HH; Mon, 02 May 2022 14:24:35 -0400
From: "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN>
To: 55227 <at> debbugs.gnu.org
Subject: [PATCH core-updates 1/8] commencement: Add bootstrap-seeds.
Date: Mon,  2 May 2022 20:24:27 +0200
Message-Id: <20220502182434.32130-1-janneke@HIDDEN>
X-Mailer: git-send-email 2.35.1
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55227
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/commencement.scm (bootstrap-seeds): New variable.
---
 gnu/packages/commencement.scm | 42 ++++++++++++++++++++++++++++++++++-
 1 file changed, 41 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/commencement.scm b/gnu/packages/commencement.scm
index 9d6ed5fd08..663ffacd56 100644
--- a/gnu/packages/commencement.scm
+++ b/gnu/packages/commencement.scm
@@ -5,7 +5,7 @@
 ;;; Copyright © 2014, 2015, 2017 Mark H Weaver <mhw@HIDDEN>
 ;;; Copyright © 2017, 2018, 2019, 2021, 2022 Efraim Flashner <efraim@HIDDEN>
 ;;; Copyright © 2018 Tobias Geerinckx-Rice <me@HIDDEN>
-;;; Copyright © 2018, 2019, 2020 Jan (janneke) Nieuwenhuizen <janneke@HIDDEN>
+;;; Copyright © 2018, 2019, 2020, 2021 Jan (janneke) Nieuwenhuizen <janneke@HIDDEN>
 ;;; Copyright © 2019, 2020, 2021 Marius Bakke <marius@HIDDEN>
 ;;; Copyright © 2020, 2022 Timothy Sample <samplet@HIDDEN>
 ;;; Copyright © 2020 Guy Fleury Iteriteka <gfleury@HIDDEN>
@@ -266,6 +266,46 @@ (define (%boot-gash-inputs)
     ("bootar" ,bootar)
     ("guile" ,%bootstrap-guile)))
 
+(define bootstrap-seeds
+  (package
+    (name "bootstrap-seeds")
+    (version "1.0.0")
+    (source
+     (bootstrap-origin
+      (origin
+        (method url-fetch)
+        (uri (string-append
+              "https://lilypond.org/janneke/guix/20220501/"
+              "bootstrap-seeds-" version ".tar.gz"))
+        (sha256
+         (base32
+          "0scz2bx8fd8c821h6y1j3x6ywgxxns7iinyn9z32dnkiacfdcpfn")))))
+    (native-inputs `(("bootar" ,bootar)))
+    (build-system trivial-build-system)
+    (arguments
+     `(#:guile ,%bootstrap-guile
+       #:modules ((guix build utils))
+       #:builder
+       (begin
+         (use-modules (guix build utils))
+         (let ((source (assoc-ref %build-inputs "source"))
+               (tar (assoc-ref %build-inputs "bootar"))
+               (out (assoc-ref %outputs "out")))
+           (setenv "PATH" (string-append tar "/bin:"))
+           (invoke "tar" "xvf" source)
+           (mkdir-p out)
+           (copy-recursively "bootstrap-seeds" out)
+           #t))))
+    (home-page "https://github.com/oriansj/bootstrap-seeds")
+    (synopsis "The initial bootstrap seeds: 357-byte hex0 and kaem shell")
+    (description
+     "A prebuilt version of the initial bootstrap seeds.  It contains a
+hex0-seed and an optional kaem-minimal shell.  The size of the hex0 seeds are
+for knight: 250 bytes, x86-linux:(357 bytes, x86_64-linux: 431 bytes, and
+aarch64-linux 526 bytes.  These can be used to build stage0: hex0, hex1, hex2,
+M1, and M2-Planet.")
+    (license license:gpl3+)))
+
 (define %bootstrap-mes-rewired
   (package
     (inherit mes)
-- 
2.35.1





Information forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 May 2022 18:21:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 02 14:21:10 2022
Received: from localhost ([127.0.0.1]:37953 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nlafW-00036Q-L6
	for submit <at> debbugs.gnu.org; Mon, 02 May 2022 14:21:10 -0400
Received: from lists.gnu.org ([209.51.188.17]:55546)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1nlafV-00036I-M6
 for submit <at> debbugs.gnu.org; Mon, 02 May 2022 14:21:09 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:38054)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>) id 1nlafV-0004ZA-Gu
 for guix-patches@HIDDEN; Mon, 02 May 2022 14:21:09 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33810)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1nlafU-0000dH-Mk; Mon, 02 May 2022 14:21:08 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:Subject:To:From:in-reply-to:
 references; bh=RbBIZ7O1y7ANWhbIxJhVEX86keHSQu/RPMs9fszhebQ=; b=jHaLRJeBaPY0uv
 GVM1HeB+T34qitXga4MwSDU/tigtXqNab+/ATOrMSQwwLeXmDDHTnXOfywNPf8lGo1S3PG8PfiovG
 zp8Bn6zNQ13vzcktG8Y2e2OzAyy8fYGauXgg5QI8zOymldEBp+wI6B68OmPHTbTGaNRgxPEeFocoH
 jsPKV5ELZaE8QNMDVmosl68djRGdKauHWrfsRQu3Pb85nC7UR8CYTzPjPgUujCVXG4IWj2OZB5YUP
 hXKtxpPM620b5C7RMY0pcS80wZ/A8Np5I/k/LYvkGEKeF4YQ0OtzGwtLMr/zOcqZQrX1EhvljZa1O
 STBjer0brFkZQi35QJAg==;
Received: from 2a02-a462-da03-1-fa3e-1174-c33f-9485.fixed6.kpn.net
 ([2a02:a462:da03:1:fa3e:1174:c33f:9485]:48260 helo=drakenbij.fritz.box)
 by fencepost.gnu.org with esmtpa (Exim 4.90_1)
 (envelope-from <janneke@HIDDEN>)
 id 1nlafU-00061H-AQ; Mon, 02 May 2022 14:21:08 -0400
From: "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH core-updates 0/8] The Full Source Bootstrap
Date: Mon,  2 May 2022 20:21:05 +0200
Message-Id: <20220502182105.32068-1-janneke@HIDDEN>
X-Mailer: git-send-email 2.35.1
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

About a year ago we cheered something like:  WE DID IT!!!

Today I am very excited to finally have released GNU Mes 0.24 which supports
the Full Source Bootstrap.  So we did what?  As Carl Dong once so eloquently
put it

   The holy grail of bootstrappability will be connecting mes to hex0

which is exactly what this patch series brings.

Starting from an 357-byte hex0 provided by the new bootstrap-seeds package,
the new stage0-posix package builds hex0, kaem, hex1, catm, hex2, M0, cc_x86,
M1, M2, get_machine, (mescc-tools), and M2-Planet.  The 0.24 release of Mes
can now be built using this M2-Planet.

This means that the bootstrap binaries that were added as part of the Reduced
Binary Seed Bootstrap (see
https://guix.gnu.org/blog/2020/guix-further-reduces-bootstrap-seed-to-25):
%bootstrap-mescc-tools, %bootstrap-mes, are now removed again.

Greetings,
Janneke


Jan (janneke) Nieuwenhuizen (8):
  commencement: Add bootstrap-seeds.
  commencement: Add stage0-posix.
  commencement: mes-boot: Update to 0.24, build with M2-Planet.
  commencement: tcc-boot0: Use NYACC-1.00.2.
  commencement: tcc-boot0: Update to 0.9.26-1136-g0fbeb2dd.
  bootstrap: Remove %bootstrap-mescc-tools, %bootstrap-mes.
  commencement: Remove %bootstrap-mes-rewired.
  doc: Add the "Full Source Bootstrap".

 doc/guix.texi                          |  77 +++---
 doc/images/gcc-core-mesboot0-graph.dot | 187 ++++++-------
 gnu/packages/bootstrap.scm             |   4 +-
 gnu/packages/commencement.scm          | 355 ++++++++++++++-----------
 4 files changed, 315 insertions(+), 308 deletions(-)

-- 
2.35.1





Acknowledgement sent to "Jan (janneke) Nieuwenhuizen" <janneke@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#55227; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 22 May 2022 04:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.